type token =
  | TUnknown of (Ast_c.info)
  | TCommentSpace of (Ast_c.info)
  | TCommentNewline of (Ast_c.info)
  | TComment of (Ast_c.info)
  | TInt of ((string * (Ast_c.sign * Ast_c.base)) * Ast_c.info)
  | TFloat of ((string * Ast_c.floatType) * Ast_c.info)
  | TChar of ((string * Ast_c.isWchar) * Ast_c.info)
  | TString of ((string * Ast_c.isWchar) * Ast_c.info)
  | TQuote of ((string * Ast_c.isWchar) * Ast_c.info)
  | TPct of (Ast_c.info)
  | TFormat of (string * Ast_c.info)
  | TSubString of (string * Ast_c.info)
  | TDecimal of ((string * string (*n*) * string (*p*)) * Ast_c.info)
  | TIdent of (string * Ast_c.info)
  | TKRParam of (string * Ast_c.info)
  | Tconstructorname of (string * Ast_c.info)
  | TypedefIdent of (string * Ast_c.info)
  | TOPar of (Ast_c.info)
  | TCPar of (Ast_c.info)
  | TOBrace of (Ast_c.info)
  | TCBrace of (Ast_c.info)
  | TOCro of (Ast_c.info)
  | TCCro of (Ast_c.info)
  | TDot of (Ast_c.info)
  | TComma of (Ast_c.info)
  | TPtrOp of (Ast_c.info)
  | TInc of (Ast_c.info)
  | TDec of (Ast_c.info)
  | TAssign of (Ast_c.assignOp)
  | TEq of (Ast_c.info)
  | TWhy of (Ast_c.info)
  | TTilde of (Ast_c.info)
  | TBang of (Ast_c.info)
  | TEllipsis of (Ast_c.info)
  | TDotDot of (Ast_c.info)
  | TPtVirg of (Ast_c.info)
  | TOrLog of (Ast_c.info)
  | TAndLog of (Ast_c.info)
  | TOr of (Ast_c.info)
  | TXor of (Ast_c.info)
  | TAnd of (Ast_c.info)
  | TEqEq of (Ast_c.info)
  | TNotEq of (Ast_c.info)
  | TInf of (Ast_c.info)
  | TSup of (Ast_c.info)
  | TInfEq of (Ast_c.info)
  | TSupEq of (Ast_c.info)
  | TShl of (Ast_c.info)
  | TShr of (Ast_c.info)
  | TPlus of (Ast_c.info)
  | TMinus of (Ast_c.info)
  | TMul of (Ast_c.info)
  | TDiv of (Ast_c.info)
  | TMod of (Ast_c.info)
  | TMax of (Ast_c.info)
  | TMin of (Ast_c.info)
  | Tchar of (Ast_c.info)
  | Tshort of (Ast_c.info)
  | Tint of (Ast_c.info)
  | Tdouble of (Ast_c.info)
  | Tfloat of (Ast_c.info)
  | Tcomplex of (Ast_c.info)
  | Tlong of (Ast_c.info)
  | Tunsigned of (Ast_c.info)
  | Tsigned of (Ast_c.info)
  | Tvoid of (Ast_c.info)
  | Tsize_t of (Ast_c.info)
  | Tssize_t of (Ast_c.info)
  | Tptrdiff_t of (Ast_c.info)
  | TautoType of (Ast_c.info)
  | Tauto of (Ast_c.info)
  | Tregister of (Ast_c.info)
  | Textern of (Ast_c.info)
  | Tstatic of (Ast_c.info)
  | Ttypedef of (Ast_c.info)
  | Tconst of (Ast_c.info)
  | Tvolatile of (Ast_c.info)
  | Tstruct of (Ast_c.info)
  | Tunion of (Ast_c.info)
  | Tenum of (Ast_c.info)
  | Tdecimal of (Ast_c.info)
  | Texec of (Ast_c.info)
  | Tbreak of (Ast_c.info)
  | Telse of (Ast_c.info)
  | Tswitch of (Ast_c.info)
  | Tcase of (Ast_c.info)
  | Tcontinue of (Ast_c.info)
  | Tfor of (Ast_c.info)
  | Tdo of (Ast_c.info)
  | Tif of (Ast_c.info)
  | Twhile of (Ast_c.info)
  | Treturn of (Ast_c.info)
  | Tgoto of (Ast_c.info)
  | Tdefault of (Ast_c.info)
  | Tsizeof of (Ast_c.info)
  | Tnew of (Ast_c.info)
  | Tdelete of (Ast_c.info)
  | Tdefined of (Ast_c.info)
  | TOParCplusplusInit of (Ast_c.info)
  | Tnamespace of (Ast_c.info)
  | Trestrict of (Ast_c.info)
  | Tasm of (Ast_c.info)
  | Tattribute of (Ast_c.info)
  | TattributeNoarg of (Ast_c.info)
  | Tinline of (Ast_c.info)
  | Ttypeof of (Ast_c.info)
  | TDefine of (Ast_c.info)
  | TDefParamVariadic of ((string * Ast_c.info))
  | TCppEscapedNewline of (Ast_c.info)
  | TCppConcatOp of (Ast_c.info)
  | TOParDefine of (Ast_c.info)
  | TOBraceDefineInit of (Ast_c.info)
  | TIdentDefine of ((string * Ast_c.info))
  | TDefEOL of (Ast_c.info)
  | TInclude of ((string * string * bool ref * Ast_c.info))
  | TIncludeStart of ((Ast_c.info * bool ref))
  | TIncludeFilename of ((string * Ast_c.info))
  | TIfdef of ((Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info))
  | TIfdefelif of ((Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info))
  | TIfdefelse of (((int * int) option ref * Ast_c.info))
  | TEndif of (((int * int) option ref * Ast_c.info))
  | TIfdefBool of ((bool * (int * int) option ref * Ast_c.info))
  | TIfdefMisc of ((bool * (int * int) option ref * Ast_c.info))
  | TIfdefVersion of ((bool * (int * int) option ref * Ast_c.info))
  | TUifdef of (Ast_c.info)
  | TUelseif of (Ast_c.info)
  | TUendif of (Ast_c.info)
  | TUndef of (Ast_c.info)
  | TPrePragma of (Ast_c.info*Ast_c.info*string*Ast_c.info*Ast_c.info*(string*Ast_c.info)list)
  | TPragma of (Ast_c.info)
  | TPragmaString of (string * Ast_c.info)
  | TCppDirectiveOther of (Ast_c.info)
  | TMacroAttr of ((string * Ast_c.info))
  | TMacroEndAttr of ((string * Ast_c.info))
  | TMacroStmt of ((string * Ast_c.info))
  | TMacroIdStmt of ((string * Ast_c.info))
  | TMacroIdentBuilder of ((string * Ast_c.info))
  | TMacroString of ((string * Ast_c.info))
  | TMacroDecl of ((string * Ast_c.info))
  | TMacroDeclConst of (Ast_c.info)
  | TMacroIterator of ((string * Ast_c.info))
  | TCommentSkipTagStart of (Ast_c.info)
  | TCommentSkipTagEnd of (Ast_c.info)
  | TCParEOL of (Ast_c.info)
  | TAction of (Ast_c.info)
  | TCommentMisc of (Ast_c.info)
  | TCommentCpp of ((Token_c.cppcommentkind * Ast_c.info))
  | EOF of (Ast_c.info)
  | TTODO of (Ast_c.info)

open Parsing;;
let _ = parse_error;;
# 2 "parsing_c/parser_c.mly"
(* Yoann Padioleau
 *
 * Copyright (C) 2002, 2006, 2007, 2008, 2009 Yoann Padioleau
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License (GPL)
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * file license.txt for more details.
 *)

(**
 * This grammar has been inspired by:
 * http://www.lysator.liu.se/c/ANSI-C-grammar-y.html
 *)

open Common

open Ast_c

module LP = Lexer_parser
open Lexer_parser (* for the fields *)

open Semantic_c (* Semantic exn *)
module T = Token_c

(*****************************************************************************)
(* Wrappers *)
(*****************************************************************************)
let warning s v =
  if !Flag_parsing_c.verbose_parsing
  then Common.warning ("PARSING: " ^ s) v
  else v

let computed_warning s v = (*do not construct string unless it will be shown*)
  if !Flag_parsing_c.verbose_parsing
  then Common.warning ("PARSING: " ^ (s())) v
  else v

let pr2, pr2_once = Common.mk_pr2_wrappers Flag_parsing_c.verbose_parsing

(*****************************************************************************)
(* Parse helpers functions *)
(*****************************************************************************)

(*-------------------------------------------------------------------------- *)
(* Type related *)
(*-------------------------------------------------------------------------- *)

type shortLong      = Short  | Long | LongLong

type decl = {
  storageD: storagebis wrap;
  typeD: ((sign option) * (shortLong option) * (typeCbis option)) wrap;
  qualifD: typeQualifierbis wrap;
  inlineD: bool             wrap;
  (* note: have a full_info: parse_info list; to remember ordering
   * between storage, qualifier, type ? well this info is already in
   * the Ast_c.info, just have to sort them to get good order *)
}

let nullDecl = {
  storageD = NoSto, [];
  typeD = (None, None, None), [];
  qualifD = nullQualif;
  inlineD = false, [];
}
let fake_pi = Common.fake_parse_info

let addStorageD  = function
  | ((x,ii), ({storageD = (NoSto,[])} as v)) -> { v with storageD = (x, [ii]) }
  | ((x,ii), ({storageD = (y, ii2)} as v)) ->
      if x = y then warning "duplicate storage classes" v
      else warning "multiple storage classes, keeping the second" v

let addInlineD  = function
  | ((true,ii), ({inlineD = (false,[])} as v)) -> { v with inlineD=(true,[ii])}
  | ((true,ii), ({inlineD = (true, ii2)} as v)) -> warning "duplicate inline" v
  | _ -> raise (Impossible 86)


let addTypeD     = function
  | ((Left3 Signed,ii)   ,({typeD = ((Some Signed,  b,c),ii2)} as v)) ->
      warning "duplicate 'signed'"   v
  | ((Left3 UnSigned,ii) ,({typeD = ((Some UnSigned,b,c),ii2)} as v)) ->
      warning "duplicate 'unsigned'" v
  | ((Left3 _,ii),        ({typeD = ((Some _,b,c),ii2)} as _v)) ->
      raise (Semantic ("both signed and unsigned specified", fake_pi))
  | ((Left3 x,ii),        ({typeD = ((None,b,c),ii2)} as v))   ->
      {v with typeD = (Some x,b,c),ii @ ii2}

  | ((Middle3 Short,ii),  ({typeD = ((a,Some Short,c),ii2)} as v)) ->
      warning "duplicate 'short'" v


  (* gccext: long long allowed *)
  | ((Middle3 Long,ii),   ({typeD = ((a,Some Long ,c),ii2)} as v)) ->
      { v with typeD = (a, Some LongLong, c),ii @ ii2 }
  | ((Middle3 Long,ii),   ({typeD = ((a,Some LongLong ,c),ii2)} as v)) ->
      warning "triplicate 'long'" v


  | ((Middle3 _,ii),      ({typeD = ((a,Some _,c),ii2)} as _v)) ->
      raise (Semantic ("both long and short specified", fake_pi))
  | ((Middle3 x,ii),      ({typeD = ((a,None,c),ii2)} as v))  ->
      {v with typeD = (a, Some x,c),ii @ ii2}

  | ((Right3 t,ii),       ({typeD = ((a,b,Some x),ii2)} as v)) ->
      let mktype t ii = (({const=false;volatile=false;},[]),(t,ii)) in
      computed_warning
	(fun _ ->
	  Printf.sprintf
	    "two or more data types: dropping %s, keeping typeD %s\n"
	    (Pretty_print_c.string_of_fullType (mktype t ii))
	    (Pretty_print_c.string_of_fullType (mktype x ii2)))
	v
  | ((Right3 t,ii),       ({typeD = ((a,b,None),ii2)} as v))   ->
      {v with typeD = (a,b, Some t),ii @ ii2}


let addQualif = function
  | ({const=true},   ({const=true} as x)) ->   warning "duplicate 'const'" x
  | ({volatile=true},({volatile=true} as x))-> warning "duplicate 'volatile'" x
  | ({const=true},    v) -> {v with const=true}
  | ({volatile=true}, v) -> {v with volatile=true}
  | _ ->
      internal_error "there is no noconst or novolatile keyword"

let addQualifD ((qu,ii), ({qualifD = (v,ii2)} as x)) =
  { x with qualifD = (addQualif (qu, v),ii::ii2) }


(*-------------------------------------------------------------------------- *)
(* Declaration/Function related *)
(*-------------------------------------------------------------------------- *)


(* stdC: type section, basic integer types (and ritchie)
 * To understand the code, just look at the result (right part of the PM)
 * and go back.
 *)
let (fixDeclSpecForDecl: decl -> (fullType * (storage wrap)))  = function
 {storageD = (st,iist);
  qualifD = (qu,iiq);
  typeD = (ty,iit);
  inlineD = (inline,iinl);
  } ->
   let ty',iit' =
   (match ty with
 | (None,None,None)       ->
     (* generate fake_info, otherwise type_annotater can crash in
      * offset.
      *)
     warning "type defaults to 'int'" (defaultInt, [fakeInfo fake_pi])
 | (None, None, Some t)   -> (t, iit)

 | (Some sign,   None, (None| Some (BaseType (IntType (Si (_,CInt))))))  ->
     BaseType(IntType (Si (sign, CInt))), iit
 | ((None|Some Signed),Some x,(None|Some(BaseType(IntType (Si (_,CInt)))))) ->
     BaseType(IntType (Si (Signed, [Short,CShort; Long, CLong; LongLong, CLongLong] +> List.assoc x))), iit
 | (Some UnSigned, Some x, (None| Some (BaseType (IntType (Si (_,CInt))))))->
     BaseType(IntType (Si (UnSigned, [Short,CShort; Long, CLong; LongLong, CLongLong] +> List.assoc x))), iit
 | (Some sign,   None, (Some (BaseType (IntType CChar))))   ->
     BaseType(IntType (Si (sign, CChar2))), iit
 | (None, Some Long,(Some(BaseType(FloatType CDouble))))    ->
     BaseType (FloatType (CLongDouble)), iit
 | (None, Some Long,(Some(BaseType(FloatType CDoubleComplex))))    ->
     BaseType (FloatType (CLongDoubleComplex)), iit

 | (Some _,_, Some _) ->
     (*mine*)
     raise (Semantic ("signed, unsigned valid only for char and int", fake_pi))
 | (_,Some _,(Some(BaseType(FloatType (CFloat))))) ->
     raise (Semantic ("long or short specified with floating type", fake_pi))
 | (_,Some Short,(Some(BaseType(FloatType CDouble)))) ->
     raise (Semantic ("the only valid combination is long double", fake_pi))
 | (_,Some Short,(Some(BaseType(FloatType CDoubleComplex)))) ->
     raise (Semantic ("the only valid combination is long double complex", fake_pi))

 | (_, Some _, Some _) ->
     (* mine *)
     raise (Semantic ("long, short valid only for int or float", fake_pi))

     (* if do short uint i, then gcc say parse error, strange ? it is
      * not a parse error, it is just that we don't allow with typedef
      * either short/long or signed/unsigned. In fact, with
      * parse_typedef_fix2 (with et() and dt()) now I say too parse
      * error so this code is executed only when do short struct
      * {....} and never with a typedef cos now we parse short uint i
      * as short ident ident => parse error (cos after first short i
      * pass in dt() mode) *)

   )
   in
   ((qu, iiq),
   (ty', iit'))
     ,((st, inline),iist @ iinl)


let fixDeclSpecForParam = function ({storageD = (st,iist)} as r) ->
  let (qu_ty,_st) = fixDeclSpecForDecl r in
  match st with
  | (Sto Register) -> (qu_ty, true), iist
  | NoSto -> (qu_ty, false), iist
  | _ ->
      raise
        (Semantic ("storage class specified for parameter of function",
                  fake_pi))

let fixDeclSpecForArg = function ({storageD = (st,iist)} as r) ->
  let (qu_ty,_st) = fixDeclSpecForDecl r in
  (qu_ty, st = Sto Register), iist

let fixDeclSpecForMacro = function ({storageD = (st,iist)} as r) ->
  let (qu_ty,_st) = fixDeclSpecForDecl r in
  match st with
  | NoSto -> qu_ty
  | _ ->
      raise
        (Semantic ("storage class specified for macro type decl",
                  fake_pi))


let fixDeclSpecForFuncDef x =
  let (returnType,storage) = fixDeclSpecForDecl x in
  (match fst (unwrap storage) with
  | StoTypedef ->
      raise (Semantic ("function definition declared 'typedef'", fake_pi))
  | _ -> (returnType, storage)
  )


(* parameter: (this is the context where we give parameter only when
 * in func DEFINITION not in funct DECLARATION) We must have a name.
 * This function ensure that we give only parameterTypeDecl with well
 * formed Classic constructor todo?: do we accept other declaration
 * in ? so I must add them to the compound of the deffunc. I don't
 * have to handle typedef pb here cos C forbid to do VF f { ... }
 * with VF a typedef of func cos here we don't see the name of the
 * argument (in the typedef)
 *)
let (fixOldCDecl: fullType -> fullType) = fun ty ->
  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params, (b, iib))) ->

      (* stdC: If the prototype declaration declares a parameter for a
       * function that you are defining (it is part of a function
       * definition), then you must write a name within the declarator.
       * Otherwise, you can omit the name. *)
      (match params with
      | [{p_namei = None; p_type = ty2},_] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void ->
              ty
          | _ ->
              pr2_once ("SEMANTIC:parameter name omitted, but I continue");
              ty
          )

      | params ->
          (params +> List.iter (fun (param,_) ->
            match param with
            | {p_namei = None} ->
              (* if majuscule, then certainly macro-parameter *)
                pr2_once ("SEMANTIC:parameter name omitted, but I continue");
	    | _ -> ()
          ));
          ty
      )

        (* todo? can we declare prototype in the decl or structdef,
           ... => length <> but good kan meme *)
  | _ ->
      (* gcc say parse error but don't see why *)
      raise (Semantic ("seems this is not a function", fake_pi))


let fixFunc (typ, compound, old_style_opt) =
  let (cp,iicp) = compound in

  let (name, ty,   (st,iist),  attrs) = typ in

  let (qu, tybis) = ty in

  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params,abool)) ->
      let iifunc = Ast_c.get_ii_typeC_take_care tybis in

      let iistart = Ast_c.fakeInfo () in
      assert (qu = nullQualif);

      (match params with
      | [{p_namei= None; p_type = ty2}, _] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void ->  ()
          | _ ->
                (* failwith "internal error: fixOldCDecl not good" *)
              ()
          )
      | params ->
          params +> List.iter (function
          | ({p_namei = Some s}, _) -> ()
	  | _ -> ()
                (* failwith "internal error: fixOldCDecl not good" *)
          )
      );
      (* bugfix: cf tests_c/function_pointer4.c.
       * Apparemment en C on peut syntaxiquement ecrire ca:
       *
       *   void a(int)(int x);
       * mais apres gcc gueule au niveau semantique avec:
       *   xxx.c:1: error: 'a' declared as function returning a function
       * Je ne faisais pas cette verif. Sur du code comme
       *   void METH(foo)(int x) { ...} , le parser croit (a tort) que foo
       * est un typedef, et donc c'est parsé comme l'exemple precedent,
       * ce qui ensuite confuse l'unparser qui n'est pas habitué
       * a avoir dans le returnType un FunctionType et qui donc
       * pr_elem les ii dans le mauvais sens ce qui genere au final
       * une exception. Hence this fix to at least detect the error
       * at parsing time (not unparsing time).
       *)
      (match Ast_c.unwrap_typeC fullt with
      | FunctionType _ ->
          let s = Ast_c.str_of_name name in
          let iis = Ast_c.info_of_name name in
          pr2 (spf "WEIRD: %s declared as function returning a function." s);
          pr2 (spf "This is probably because of a macro. Extend standard.h");
          raise (Semantic (spf "error: %s " s, Ast_c.parse_info_of_info iis))
      | _ -> ()
      );

      (* it must be nullQualif,cos parser construct only this*)
      {f_name = name;
       f_type = (fullt, (params, abool));
       f_storage = st;
       f_body =
	if !Flag_parsing_c.parsing_header_for_types
	then []
	else cp;
       f_attr = attrs;
       f_old_c_style = old_style_opt;
      },
      (iifunc @ iicp @ [iistart] @ iist)
  | _ ->
      raise
        (Semantic
            ("you are trying to do a function definition but you don't give " ^
             "any parameter", fake_pi))


(*-------------------------------------------------------------------------- *)
(* parse_typedef_fix2 *)
(*-------------------------------------------------------------------------- *)

let dt s () =
  if !Flag_parsing_c.debug_etdt then pr2 ("<" ^ s);
  LP.disable_typedef ()

let et s () =
  if !Flag_parsing_c.debug_etdt then pr2 (">" ^ s);
  LP.enable_typedef ()


let fix_add_params_ident x =
  let (s, ty, st, _attrs) = x in
  match Ast_c.unwrap_typeC ty with
  | FunctionType (fullt, (params, bool)) ->

      (match params with
      | [{p_namei=None; p_type=ty2}, _] ->
          (match Ast_c.unwrap_typeC ty2 with
          | BaseType Void -> ()
          | _ ->
              (* failwith "internal error: fixOldCDecl not good" *)
              ()
          )
      | params ->
          params +> List.iter (function
          | ({p_namei= Some name}, _) ->
              LP.add_ident (Ast_c.str_of_name s)
	  | _ ->
              ()
                (* failwith "internal error: fixOldCDecl not good" *)
          )
      )
  | _ -> ()

(*-------------------------------------------------------------------------- *)
(* shortcuts *)
(*-------------------------------------------------------------------------- *)

let mk_e e ii = Ast_c.mk_e e ii

let mk_string_wrap (s,info) = (s, [info])

(*-------------------------------------------------------------------------- *)
(* support for functions with no return type *)
(*-------------------------------------------------------------------------- *)

let args_are_params l =
  match l with
    [Right (ArgAction(ActMisc [x])), ii] when Ast_c.is_fake x -> true
  | _ -> List.for_all (function Right (ArgType x), ii -> true | _ -> false) l
let args_to_params l pb =
  let pi =
    match pb with Some pb -> Ast_c.parse_info_of_info pb | None -> fake_pi in
  match l with
    [(Right (ArgAction(ActMisc [x])), ii)] when Ast_c.is_fake x -> []
  | l ->
      List.map
	(function
	    Right (ArgType x), ii -> x, ii
	  | x ->
	      raise
		(Semantic
		   ("function with no return type must have types in param list",
		    pi)))
	l

(* For fake info added at the end of a conditional or iteration, to have the
correct position information *)
let postfakeInfo pii  =
  let (max,min) =  Lib_parsing_c.max_min_ii_by_pos pii in
  let max_pi = Ast_c.get_info (fun x -> x) max in
  let vp = ({str="";charpos=max_pi.Common.charpos;line=max_pi.Common.line;
	      column=max_pi.Common.column;file=max_pi.Common.file},
	    String.length max_pi.Common.str) in
  { pinfo = FakeTok ("",vp);
    cocci_tag = ref Ast_c.emptyAnnot;
    annots_tag = Token_annot.empty;
    comments_tag = ref Ast_c.emptyComments;
    danger = ref Ast_c.NoDanger;
  }

# 593 "parsing_c/parser_c.ml"
let yytransl_const = [|
    0|]

let yytransl_block = [|
  257 (* TUnknown *);
  258 (* TCommentSpace *);
  259 (* TCommentNewline *);
  260 (* TComment *);
  261 (* TInt *);
  262 (* TFloat *);
  263 (* TChar *);
  264 (* TString *);
  265 (* TQuote *);
  266 (* TPct *);
  267 (* TFormat *);
  268 (* TSubString *);
  269 (* TDecimal *);
  270 (* TIdent *);
  271 (* TKRParam *);
  272 (* Tconstructorname *);
  273 (* TypedefIdent *);
  274 (* TOPar *);
  275 (* TCPar *);
  276 (* TOBrace *);
  277 (* TCBrace *);
  278 (* TOCro *);
  279 (* TCCro *);
  280 (* TDot *);
  281 (* TComma *);
  282 (* TPtrOp *);
  283 (* TInc *);
  284 (* TDec *);
  285 (* TAssign *);
  286 (* TEq *);
  287 (* TWhy *);
  288 (* TTilde *);
  289 (* TBang *);
  290 (* TEllipsis *);
  291 (* TDotDot *);
  292 (* TPtVirg *);
  293 (* TOrLog *);
  294 (* TAndLog *);
  295 (* TOr *);
  296 (* TXor *);
  297 (* TAnd *);
  298 (* TEqEq *);
  299 (* TNotEq *);
  300 (* TInf *);
  301 (* TSup *);
  302 (* TInfEq *);
  303 (* TSupEq *);
  304 (* TShl *);
  305 (* TShr *);
  306 (* TPlus *);
  307 (* TMinus *);
  308 (* TMul *);
  309 (* TDiv *);
  310 (* TMod *);
  311 (* TMax *);
  312 (* TMin *);
  313 (* Tchar *);
  314 (* Tshort *);
  315 (* Tint *);
  316 (* Tdouble *);
  317 (* Tfloat *);
  318 (* Tcomplex *);
  319 (* Tlong *);
  320 (* Tunsigned *);
  321 (* Tsigned *);
  322 (* Tvoid *);
  323 (* Tsize_t *);
  324 (* Tssize_t *);
  325 (* Tptrdiff_t *);
  326 (* TautoType *);
  327 (* Tauto *);
  328 (* Tregister *);
  329 (* Textern *);
  330 (* Tstatic *);
  331 (* Ttypedef *);
  332 (* Tconst *);
  333 (* Tvolatile *);
  334 (* Tstruct *);
  335 (* Tunion *);
  336 (* Tenum *);
  337 (* Tdecimal *);
  338 (* Texec *);
  339 (* Tbreak *);
  340 (* Telse *);
  341 (* Tswitch *);
  342 (* Tcase *);
  343 (* Tcontinue *);
  344 (* Tfor *);
  345 (* Tdo *);
  346 (* Tif *);
  347 (* Twhile *);
  348 (* Treturn *);
  349 (* Tgoto *);
  350 (* Tdefault *);
  351 (* Tsizeof *);
  352 (* Tnew *);
  353 (* Tdelete *);
  354 (* Tdefined *);
  355 (* TOParCplusplusInit *);
  356 (* Tnamespace *);
  357 (* Trestrict *);
  358 (* Tasm *);
  359 (* Tattribute *);
  360 (* TattributeNoarg *);
  361 (* Tinline *);
  362 (* Ttypeof *);
  363 (* TDefine *);
  364 (* TDefParamVariadic *);
  365 (* TCppEscapedNewline *);
  366 (* TCppConcatOp *);
  367 (* TOParDefine *);
  368 (* TOBraceDefineInit *);
  369 (* TIdentDefine *);
  370 (* TDefEOL *);
  371 (* TInclude *);
  372 (* TIncludeStart *);
  373 (* TIncludeFilename *);
  374 (* TIfdef *);
  375 (* TIfdefelif *);
  376 (* TIfdefelse *);
  377 (* TEndif *);
  378 (* TIfdefBool *);
  379 (* TIfdefMisc *);
  380 (* TIfdefVersion *);
  381 (* TUifdef *);
  382 (* TUelseif *);
  383 (* TUendif *);
  384 (* TUndef *);
  385 (* TPrePragma *);
  386 (* TPragma *);
  387 (* TPragmaString *);
  388 (* TCppDirectiveOther *);
  389 (* TMacroAttr *);
  390 (* TMacroEndAttr *);
  391 (* TMacroStmt *);
  392 (* TMacroIdStmt *);
  393 (* TMacroIdentBuilder *);
  394 (* TMacroString *);
  395 (* TMacroDecl *);
  396 (* TMacroDeclConst *);
  397 (* TMacroIterator *);
  398 (* TCommentSkipTagStart *);
  399 (* TCommentSkipTagEnd *);
  400 (* TCParEOL *);
  401 (* TAction *);
  402 (* TCommentMisc *);
  403 (* TCommentCpp *);
    0 (* EOF *);
  404 (* TTODO *);
    0|]

let yylhs = "\255\255\
\001\000\006\000\006\000\006\000\008\000\008\000\008\000\009\000\
\009\000\010\000\010\000\012\000\012\000\012\000\012\000\011\000\
\011\000\011\000\013\000\013\000\004\000\004\000\015\000\015\000\
\015\000\016\000\016\000\017\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\017\000\017\000\017\000\
\019\000\019\000\020\000\020\000\020\000\020\000\020\000\020\000\
\020\000\020\000\020\000\020\000\020\000\020\000\025\000\025\000\
\025\000\025\000\025\000\025\000\024\000\024\000\024\000\024\000\
\024\000\024\000\024\000\023\000\023\000\023\000\023\000\023\000\
\023\000\023\000\023\000\023\000\023\000\028\000\028\000\028\000\
\028\000\028\000\028\000\028\000\028\000\028\000\028\000\028\000\
\031\000\031\000\035\000\035\000\036\000\037\000\037\000\037\000\
\040\000\040\000\040\000\039\000\041\000\044\000\021\000\022\000\
\003\000\045\000\045\000\045\000\045\000\045\000\045\000\045\000\
\045\000\045\000\045\000\045\000\046\000\046\000\046\000\046\000\
\053\000\053\000\055\000\055\000\055\000\034\000\057\000\057\000\
\059\000\059\000\059\000\060\000\060\000\060\000\060\000\060\000\
\047\000\047\000\047\000\048\000\048\000\048\000\048\000\048\000\
\049\000\049\000\049\000\049\000\049\000\049\000\049\000\049\000\
\050\000\050\000\050\000\050\000\050\000\050\000\032\000\032\000\
\051\000\051\000\067\000\069\000\069\000\069\000\069\000\069\000\
\052\000\052\000\052\000\052\000\071\000\071\000\071\000\071\000\
\072\000\072\000\070\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\074\000\074\000\074\000\074\000\074\000\074\000\074\000\
\074\000\074\000\074\000\074\000\074\000\074\000\074\000\074\000\
\074\000\074\000\074\000\074\000\074\000\074\000\074\000\027\000\
\077\000\077\000\077\000\078\000\078\000\079\000\079\000\080\000\
\080\000\080\000\080\000\082\000\082\000\081\000\081\000\081\000\
\081\000\081\000\081\000\084\000\085\000\089\000\089\000\089\000\
\090\000\090\000\090\000\090\000\090\000\090\000\090\000\090\000\
\090\000\088\000\088\000\092\000\092\000\092\000\092\000\038\000\
\038\000\038\000\038\000\096\000\094\000\094\000\095\000\098\000\
\098\000\098\000\098\000\098\000\098\000\099\000\083\000\083\000\
\083\000\083\000\005\000\005\000\100\000\101\000\101\000\101\000\
\101\000\104\000\104\000\104\000\109\000\109\000\109\000\109\000\
\109\000\109\000\109\000\109\000\109\000\109\000\108\000\108\000\
\108\000\108\000\110\000\110\000\054\000\093\000\111\000\111\000\
\111\000\113\000\113\000\113\000\113\000\113\000\113\000\106\000\
\114\000\115\000\112\000\112\000\112\000\116\000\116\000\107\000\
\107\000\107\000\029\000\029\000\119\000\119\000\119\000\119\000\
\119\000\121\000\121\000\121\000\030\000\030\000\122\000\122\000\
\122\000\127\000\127\000\127\000\127\000\128\000\128\000\128\000\
\128\000\128\000\128\000\129\000\129\000\131\000\131\000\131\000\
\132\000\132\000\075\000\123\000\135\000\133\000\134\000\125\000\
\125\000\076\000\076\000\076\000\140\000\140\000\141\000\061\000\
\143\000\143\000\144\000\144\000\142\000\142\000\142\000\145\000\
\146\000\146\000\148\000\148\000\147\000\147\000\062\000\062\000\
\062\000\062\000\062\000\062\000\150\000\150\000\149\000\149\000\
\149\000\149\000\149\000\149\000\149\000\149\000\149\000\149\000\
\149\000\149\000\152\000\152\000\152\000\152\000\152\000\065\000\
\065\000\154\000\154\000\153\000\155\000\157\000\156\000\063\000\
\063\000\063\000\063\000\063\000\063\000\063\000\158\000\158\000\
\158\000\158\000\007\000\007\000\002\000\002\000\002\000\002\000\
\002\000\002\000\002\000\002\000\056\000\058\000\137\000\139\000\
\117\000\118\000\124\000\126\000\086\000\087\000\033\000\033\000\
\066\000\066\000\068\000\068\000\026\000\026\000\105\000\105\000\
\136\000\136\000\130\000\130\000\130\000\138\000\138\000\138\000\
\103\000\103\000\103\000\091\000\091\000\042\000\042\000\043\000\
\043\000\014\000\014\000\014\000\120\000\120\000\159\000\159\000\
\097\000\160\000\160\000\064\000\102\000\102\000\151\000\151\000\
\018\000\018\000\000\000\000\000\000\000\000\000\000\000"

let yylen = "\002\000\
\002\000\000\000\002\000\006\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\002\000\004\000\001\000\003\000\001\000\003\000\001\000\003\000\
\003\000\001\000\005\000\001\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\001\000\004\000\001\000\002\000\002\000\002\000\002\000\004\000\
\002\000\005\000\002\000\004\000\002\000\004\000\004\000\003\000\
\004\000\003\000\001\000\004\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\004\000\004\000\003\000\003\000\
\003\000\002\000\002\000\005\000\007\000\001\000\001\000\001\000\
\001\000\003\000\001\000\001\000\003\000\001\000\002\000\003\000\
\000\000\002\000\002\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\002\000\005\000\
\006\000\004\000\001\000\004\000\003\000\004\000\006\000\003\000\
\001\000\001\000\002\000\003\000\002\000\003\000\000\000\001\000\
\001\000\001\000\002\000\001\000\001\000\001\000\001\000\001\000\
\001\000\002\000\002\000\005\000\007\000\005\000\009\000\011\000\
\005\000\007\000\006\000\007\000\006\000\007\000\005\000\004\000\
\002\000\001\000\001\000\001\000\002\000\003\000\001\000\001\000\
\002\000\001\000\002\000\001\000\004\000\007\000\001\000\000\000\
\000\000\004\000\003\000\002\000\000\000\003\000\003\000\004\000\
\000\000\003\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\002\000\002\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\006\000\004\000\001\000\001\000\004\000\004\000\001\000\
\001\000\001\000\001\000\003\000\001\000\002\000\001\000\001\000\
\002\000\002\000\003\000\001\000\001\000\001\000\003\000\003\000\
\004\000\003\000\004\000\001\000\001\000\001\000\001\000\002\000\
\003\000\002\000\003\000\003\000\004\000\002\000\003\000\003\000\
\004\000\001\000\003\000\001\000\002\000\002\000\001\000\001\000\
\002\000\002\000\001\000\001\000\001\000\002\000\001\000\001\000\
\001\000\001\000\002\000\002\000\002\000\001\000\001\000\001\000\
\002\000\002\000\001\000\002\000\001\000\003\000\003\000\007\000\
\008\000\002\000\001\000\000\000\001\000\001\000\001\000\001\000\
\001\000\002\000\002\000\002\000\002\000\002\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\004\000\001\000\002\000\003\000\004\000\004\000\005\000\001\000\
\001\000\001\000\001\000\002\000\002\000\004\000\005\000\001\000\
\004\000\002\000\001\000\003\000\001\000\004\000\002\000\003\000\
\003\000\002\000\003\000\005\000\001\000\000\000\005\000\004\000\
\002\000\001\000\001\000\002\000\002\000\001\000\001\000\005\000\
\005\000\001\000\001\000\004\000\003\000\001\000\002\000\003\000\
\001\000\002\000\001\000\001\000\001\000\001\000\001\000\001\000\
\000\000\005\000\006\000\002\000\001\000\003\000\001\000\001\000\
\001\000\002\000\001\000\002\000\002\000\003\000\003\000\001\000\
\002\000\001\000\003\000\004\000\001\000\002\000\002\000\004\000\
\007\000\003\000\004\000\001\000\001\000\002\000\001\000\001\000\
\001\000\001\000\002\000\002\000\001\000\005\000\006\000\004\000\
\005\000\000\000\001\000\001\000\001\000\001\000\001\000\003\000\
\001\000\003\000\003\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\006\000\005\000\
\004\000\002\000\001\000\001\000\005\000\001\000\001\000\001\000\
\001\000\005\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\002\000\
\001\000\002\000\001\000\003\000\001\000\003\000\001\000\003\000\
\001\000\002\000\001\000\004\000\003\000\001\000\004\000\003\000\
\001\000\004\000\003\000\001\000\003\000\001\000\002\000\000\000\
\002\000\000\000\001\000\003\000\001\000\002\000\001\000\002\000\
\001\000\001\000\002\000\001\000\001\000\000\000\001\000\000\000\
\001\000\000\000\002\000\002\000\002\000\002\000\002\000"

let yydefred = "\000\000\
\002\000\000\000\000\000\000\000\000\000\000\000\011\002\000\000\
\008\000\000\000\245\000\211\001\227\000\236\000\228\000\000\000\
\000\000\009\000\237\000\239\000\238\000\226\000\233\000\234\000\
\235\000\244\000\073\001\074\001\072\001\071\001\076\001\249\000\
\250\000\000\000\000\000\000\000\000\000\000\000\251\000\000\000\
\000\000\000\000\000\000\000\000\000\000\188\001\190\001\189\001\
\191\001\196\001\197\001\198\001\000\000\000\000\164\001\253\000\
\212\001\012\002\206\001\000\000\000\000\204\001\203\001\207\001\
\209\001\248\000\240\000\241\000\000\000\000\000\000\000\077\001\
\000\000\000\000\078\001\000\000\131\001\000\000\132\001\144\001\
\000\000\152\001\154\001\192\001\193\001\195\001\194\001\208\001\
\087\000\088\000\091\000\000\000\000\000\092\000\000\000\013\000\
\000\000\213\001\000\000\000\000\073\000\074\000\145\000\075\000\
\069\000\071\000\072\000\070\000\015\000\000\000\163\000\000\000\
\000\000\162\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\002\002\000\000\123\000\000\000\000\000\000\000\013\002\000\000\
\086\000\000\000\000\000\000\000\023\000\000\000\028\000\049\000\
\000\000\000\000\000\000\076\000\000\000\115\000\113\000\114\000\
\116\000\117\000\118\000\000\000\000\000\000\000\000\000\000\000\
\000\000\011\000\015\002\000\000\000\000\000\000\046\001\000\000\
\000\000\001\000\003\000\221\001\000\000\232\000\231\000\255\001\
\116\001\000\000\117\001\005\000\006\000\215\001\007\000\000\000\
\000\000\000\000\000\000\000\000\000\000\075\001\069\001\000\000\
\000\000\159\001\000\000\000\000\000\000\202\001\067\001\068\001\
\070\001\000\000\005\001\004\001\006\001\005\002\000\000\000\000\
\000\000\000\000\000\000\000\000\089\001\000\000\241\001\153\001\
\000\000\058\001\066\001\219\001\000\000\000\000\149\001\145\001\
\147\001\000\000\000\000\000\000\000\000\100\000\000\000\000\000\
\000\000\000\000\000\000\052\000\000\000\053\000\000\000\000\000\
\110\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\014\000\161\000\000\000\055\000\000\000\000\000\000\000\
\000\000\000\000\067\000\000\000\059\000\000\000\061\000\000\000\
\000\000\017\000\000\000\000\000\000\000\000\000\000\000\147\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\082\000\083\000\054\000\
\167\000\168\000\223\001\000\000\119\000\000\000\000\000\000\000\
\141\000\000\000\140\000\138\000\000\000\136\000\000\000\142\000\
\143\000\144\000\146\000\003\002\043\001\044\001\045\001\000\000\
\000\000\000\000\000\000\053\001\000\000\052\001\000\000\028\001\
\222\001\155\001\000\000\000\000\036\001\000\000\244\001\000\002\
\000\000\143\001\000\000\238\001\000\000\000\000\002\000\000\000\
\000\000\252\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\162\001\
\000\000\000\000\032\001\000\000\000\000\106\000\231\001\107\000\
\109\000\000\000\000\000\000\000\000\000\000\000\092\001\000\000\
\012\001\000\000\000\000\047\001\048\001\001\001\000\000\054\001\
\000\000\055\001\088\001\000\000\000\000\000\000\000\000\119\001\
\000\000\000\000\122\001\123\001\000\000\000\000\133\001\118\001\
\233\001\000\000\000\000\151\001\146\001\150\001\148\001\101\000\
\099\000\090\000\098\000\019\000\000\000\093\000\096\000\000\000\
\222\000\223\000\225\000\224\000\000\000\219\000\214\000\215\000\
\212\000\213\000\218\000\195\000\196\000\198\000\197\000\216\000\
\217\000\000\000\206\000\205\000\210\000\211\000\209\000\199\000\
\200\000\204\000\203\000\202\000\201\000\208\000\207\000\188\000\
\189\000\190\000\191\000\192\000\194\000\193\000\221\000\220\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\130\000\128\000\129\000\000\000\000\000\
\000\000\000\000\000\000\000\000\229\001\103\000\104\000\108\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\179\001\
\180\001\182\001\183\001\181\001\000\000\251\001\000\000\000\000\
\000\000\125\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\029\000\030\000\033\000\
\032\000\031\000\112\000\000\000\079\000\000\000\000\000\080\000\
\081\000\224\001\000\000\000\000\000\000\214\001\134\000\139\000\
\022\001\000\000\018\001\000\000\000\000\000\000\000\000\000\000\
\002\000\156\001\000\000\000\000\000\000\000\000\039\001\029\001\
\030\001\000\000\000\000\000\000\000\000\243\000\000\000\000\000\
\000\000\000\000\225\001\000\000\247\000\246\000\000\000\000\000\
\000\000\000\000\000\000\217\001\000\000\000\000\000\000\101\001\
\000\000\000\000\099\001\000\000\253\001\172\001\171\001\160\001\
\166\001\163\001\249\001\033\001\034\001\000\000\000\000\201\001\
\007\001\000\000\000\000\013\001\000\000\008\001\010\001\000\000\
\049\001\050\001\003\001\000\000\000\000\090\001\243\001\000\000\
\000\000\000\000\080\001\000\000\000\000\000\000\000\000\000\000\
\134\001\000\000\000\000\000\000\235\001\000\000\000\000\220\001\
\112\001\234\001\093\001\000\000\000\000\000\000\000\000\000\000\
\124\000\180\000\000\000\000\000\126\000\000\000\000\000\000\000\
\000\000\000\000\000\000\064\000\000\000\066\000\000\000\247\001\
\000\000\000\000\000\000\060\000\062\000\000\000\000\000\000\000\
\122\000\018\000\000\000\185\001\160\000\000\000\000\000\000\000\
\000\000\050\000\078\000\077\000\000\000\017\001\019\001\023\001\
\020\001\000\000\024\001\000\000\000\000\027\001\245\001\038\001\
\000\000\240\001\000\000\216\001\138\001\142\001\000\000\205\001\
\000\000\000\000\175\000\000\000\227\001\226\001\210\001\000\000\
\000\000\000\000\000\000\000\000\106\001\000\000\000\000\000\000\
\218\001\000\000\103\001\000\000\254\001\200\001\000\000\232\001\
\000\000\000\000\009\001\011\001\000\000\000\000\000\000\242\001\
\081\001\000\000\098\001\000\000\111\001\000\000\000\000\130\001\
\125\001\000\000\000\000\000\000\135\001\127\001\020\000\000\000\
\179\000\000\000\000\000\000\000\000\000\150\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\153\000\063\000\065\000\
\000\000\230\001\068\000\120\000\000\000\000\000\252\001\000\000\
\159\000\027\000\084\000\000\000\021\001\025\001\004\000\139\001\
\239\001\242\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\107\001\000\000\105\001\100\001\000\000\000\000\104\001\
\199\001\094\001\000\000\000\000\000\000\000\000\084\001\000\000\
\000\000\000\000\000\000\000\000\237\001\000\000\124\001\128\001\
\186\000\000\000\000\000\000\000\178\000\127\000\155\000\000\000\
\157\000\000\000\000\000\000\000\121\000\000\000\184\001\000\000\
\000\000\000\000\000\000\000\000\000\000\228\001\000\000\000\000\
\161\001\000\000\007\002\174\001\102\001\095\001\000\000\085\001\
\086\001\097\001\056\001\000\000\121\001\120\001\236\001\000\000\
\182\000\183\000\156\000\158\000\154\000\149\000\000\000\000\000\
\000\000\085\000\173\000\000\000\000\000\108\001\087\001\057\001\
\184\000\000\000\000\000\186\001\187\001\000\000\000\000\151\000\
\000\000\000\000\174\000\152\000"

let yydgoto = "\006\000\
\007\000\058\000\156\002\136\000\163\000\008\000\171\000\071\002\
\146\001\137\000\162\000\139\000\165\001\245\001\140\000\141\000\
\142\000\254\001\143\000\144\000\145\000\020\002\146\000\147\000\
\002\001\228\001\061\000\148\000\073\002\052\002\231\000\149\000\
\096\001\150\000\232\000\161\001\229\001\118\001\231\001\119\001\
\120\001\232\001\121\001\229\002\151\000\152\000\153\000\154\000\
\155\000\156\000\097\001\209\001\221\001\222\001\060\001\157\000\
\061\001\031\002\062\001\063\001\063\000\065\001\066\001\158\000\
\157\002\058\002\059\002\188\002\189\002\060\003\237\002\127\002\
\210\001\066\000\067\000\068\000\069\000\070\000\155\001\208\000\
\209\000\210\000\135\001\130\001\094\002\075\001\082\001\083\001\
\034\002\077\001\084\001\085\001\122\001\048\002\049\002\087\001\
\100\002\167\000\168\000\078\001\072\000\211\000\212\000\073\000\
\123\001\141\001\107\002\190\000\075\000\076\000\213\000\214\000\
\102\002\215\000\103\002\127\001\074\002\203\002\075\002\076\002\
\077\002\077\000\078\000\222\000\150\001\121\002\079\000\151\001\
\152\001\116\002\117\002\118\002\119\002\230\002\153\001\154\001\
\185\000\091\001\181\002\092\001\093\001\080\000\227\000\228\000\
\081\000\082\000\216\000\083\000\111\001\114\001\068\003\246\001\
\158\002\055\003\085\000\086\000\087\000\088\000\178\000\159\000"

let yysindex = "\196\003\
\000\000\188\011\042\019\077\023\019\029\000\000\000\000\010\012\
\000\000\092\255\000\000\000\000\000\000\000\000\000\000\056\255\
\070\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\255\000\255\234\000\126\255\137\255\000\000\022\000\
\040\000\204\028\047\000\095\255\156\255\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\215\255\082\000\000\000\000\000\
\000\000\000\000\000\000\107\255\204\028\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\204\028\204\028\206\001\000\000\
\226\255\049\000\000\000\204\028\000\000\061\001\000\000\000\000\
\056\028\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\043\000\000\000\070\000\000\000\
\148\021\000\000\077\023\077\023\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\076\255\000\000\176\000\
\077\023\000\000\184\000\042\019\214\000\245\000\077\023\067\255\
\172\000\077\023\081\007\197\021\025\000\098\255\010\001\195\000\
\000\000\014\001\000\000\023\001\000\000\028\001\000\000\160\000\
\000\000\000\000\032\001\131\000\000\000\192\020\000\000\000\000\
\019\029\115\002\077\023\000\000\012\255\000\000\000\000\000\000\
\000\000\000\000\000\000\044\001\143\017\078\001\239\000\070\000\
\104\001\000\000\000\000\019\029\019\029\019\029\000\000\063\000\
\122\001\000\000\000\000\000\000\207\026\000\000\000\000\000\000\
\000\000\000\255\000\000\000\000\000\000\000\000\000\000\138\001\
\252\000\077\023\155\001\012\255\120\001\000\000\000\000\009\020\
\226\014\000\000\083\001\075\001\010\014\000\000\000\000\000\000\
\000\000\211\001\000\000\000\000\000\000\000\000\003\255\127\000\
\181\000\202\002\174\001\168\000\000\000\040\255\000\000\000\000\
\201\001\000\000\000\000\000\000\212\001\245\024\000\000\000\000\
\000\000\206\001\133\028\230\001\234\001\000\000\245\001\043\000\
\247\001\122\255\003\002\000\000\019\029\000\000\127\030\077\023\
\000\000\056\001\157\019\175\001\077\023\077\023\104\001\070\000\
\077\023\000\000\000\000\024\018\000\000\019\029\012\002\016\002\
\118\014\015\002\000\000\029\002\000\000\032\255\000\000\012\255\
\030\002\000\000\038\002\118\014\123\001\090\012\077\023\000\000\
\024\018\077\023\077\023\077\023\077\023\077\023\077\023\077\023\
\077\023\077\023\077\023\077\023\077\023\077\023\077\023\077\023\
\077\023\077\023\077\023\077\023\077\023\077\023\077\023\077\023\
\056\002\198\012\077\023\252\000\252\000\000\000\000\000\000\000\
\000\000\000\000\000\000\012\255\000\000\000\000\077\023\065\002\
\000\000\075\002\000\000\000\000\096\002\000\000\143\017\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\131\001\
\246\021\047\001\132\023\000\000\109\001\000\000\101\002\000\000\
\000\000\000\000\107\002\104\002\000\000\042\006\000\000\000\000\
\252\000\000\000\109\002\000\000\117\002\006\000\000\000\034\255\
\126\002\000\000\130\002\058\000\042\019\057\000\123\001\004\021\
\000\000\160\000\000\000\143\017\000\000\208\001\042\002\000\000\
\075\001\044\002\000\000\035\002\131\000\000\000\000\000\000\000\
\000\000\042\006\037\255\141\002\079\000\000\000\000\000\181\000\
\000\000\039\022\207\026\000\000\000\000\000\000\202\002\000\000\
\168\011\000\000\000\000\010\014\088\022\010\014\245\024\000\000\
\165\002\166\002\000\000\000\000\066\004\167\002\000\000\000\000\
\000\000\245\024\003\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\076\002\000\000\000\000\056\002\
\000\000\000\000\000\000\000\000\170\002\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\032\255\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\155\002\127\030\107\000\077\023\024\018\054\021\054\021\177\002\
\242\000\100\001\104\001\000\000\000\000\000\000\056\002\050\013\
\158\013\059\002\131\000\119\001\000\000\000\000\000\000\000\000\
\077\023\077\023\197\002\222\002\012\255\077\023\142\001\000\000\
\000\000\000\000\000\000\000\000\149\001\000\000\161\018\160\001\
\131\000\000\000\131\000\131\000\104\001\207\002\197\006\132\005\
\234\007\251\007\032\008\118\009\118\009\219\002\219\002\219\002\
\219\002\206\002\206\002\195\002\195\002\000\000\000\000\000\000\
\000\000\000\000\000\000\137\022\000\000\196\001\128\000\000\000\
\000\000\000\000\222\001\024\018\024\018\000\000\000\000\000\000\
\000\000\225\002\000\000\229\002\109\001\107\002\186\022\207\026\
\000\000\000\000\028\027\172\004\000\255\220\255\000\000\000\000\
\000\000\109\002\152\001\242\002\077\023\000\000\077\023\170\027\
\208\000\230\002\000\000\241\002\000\000\000\000\189\002\012\255\
\009\003\254\001\070\000\000\000\077\023\191\000\249\002\000\000\
\005\003\116\020\000\000\071\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\025\255\010\014\000\000\
\000\000\012\255\013\003\000\000\010\003\000\000\000\000\107\002\
\000\000\000\000\000\000\211\001\090\255\000\000\000\000\168\011\
\013\002\131\000\000\000\116\020\025\002\167\002\010\014\010\014\
\000\000\000\255\252\002\050\255\000\000\255\002\077\023\000\000\
\000\000\000\000\000\000\021\003\016\003\023\003\127\030\207\000\
\000\000\000\000\042\019\003\003\000\000\235\022\028\023\077\023\
\161\018\161\018\016\003\000\000\032\002\000\000\048\002\000\000\
\059\021\010\014\192\000\000\000\000\000\004\003\020\003\049\002\
\000\000\000\000\123\001\000\000\000\000\161\018\161\018\077\023\
\166\020\000\000\000\000\000\000\024\018\000\000\000\000\000\000\
\000\000\018\003\000\000\107\002\241\027\000\000\000\000\000\000\
\242\002\000\000\152\001\000\000\000\000\000\000\024\003\000\000\
\026\003\076\255\000\000\025\003\000\000\000\000\000\000\027\003\
\029\003\012\255\006\017\201\000\000\000\004\021\004\021\030\003\
\000\000\005\003\000\000\004\021\000\000\000\000\017\003\000\000\
\035\003\012\255\000\000\000\000\211\255\010\014\088\022\000\000\
\000\000\005\003\000\000\091\255\000\000\058\002\060\002\000\000\
\000\000\119\025\019\003\077\023\000\000\000\000\000\000\170\002\
\000\000\077\023\032\003\042\003\127\030\000\000\024\018\161\018\
\069\002\161\018\074\002\082\002\232\002\000\000\000\000\000\000\
\015\002\000\000\000\000\000\000\022\003\042\019\000\000\150\001\
\000\000\000\000\000\000\005\003\000\000\000\000\000\000\000\000\
\000\000\000\000\077\023\034\003\208\000\077\023\004\003\044\003\
\203\002\000\000\077\023\000\000\000\000\039\003\046\003\000\000\
\000\000\000\000\049\003\010\014\088\022\090\002\000\000\046\003\
\040\003\088\022\045\003\047\003\000\000\119\025\000\000\000\000\
\000\000\055\002\207\000\207\000\000\000\000\000\000\000\161\018\
\000\000\161\018\048\003\161\018\000\000\237\002\000\000\161\018\
\161\018\050\003\131\000\051\003\067\003\000\000\094\002\022\003\
\000\000\059\003\000\000\000\000\000\000\000\000\103\002\000\000\
\000\000\000\000\000\000\057\003\000\000\000\000\000\000\207\000\
\000\000\000\000\000\000\000\000\000\000\000\000\200\001\213\002\
\150\001\000\000\000\000\068\003\048\003\000\000\000\000\000\000\
\000\000\042\019\042\019\000\000\000\000\077\023\220\002\000\000\
\075\003\042\019\000\000\000\000"

let yyrindex = "\000\000\
\000\000\214\002\000\000\000\000\000\000\000\000\000\000\214\002\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\092\004\
\220\004\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\134\001\052\002\000\000\000\000\000\000\000\000\000\000\
\000\000\187\005\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\162\009\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\063\011\117\023\062\003\000\000\
\000\000\162\024\000\000\126\023\000\000\000\000\000\000\000\000\
\214\002\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\184\002\105\003\000\000\176\029\000\000\
\077\029\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\108\003\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\080\006\000\000\000\000\000\000\
\000\000\215\029\000\000\224\000\000\000\006\002\000\000\000\000\
\000\000\177\007\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\068\255\000\000\200\025\082\003\
\164\004\000\000\000\000\148\010\104\011\106\011\000\000\014\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\167\006\000\000\000\000\000\000\000\000\000\000\088\005\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\244\254\000\000\000\000\000\000\039\255\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\037\026\000\000\
\222\023\171\002\000\000\000\000\000\000\221\000\000\000\000\000\
\000\000\000\000\000\000\000\000\212\005\146\003\000\000\000\000\
\000\000\062\003\214\002\000\000\000\000\000\000\000\000\105\003\
\000\000\000\000\000\000\000\000\000\000\000\000\132\003\000\000\
\000\000\000\000\214\002\000\000\000\000\000\000\134\003\120\006\
\000\000\000\000\000\000\214\002\000\000\000\000\000\000\038\007\
\000\000\215\007\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\111\002\000\000\000\000\000\000\
\214\002\000\000\000\000\136\003\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\244\006\000\000\109\025\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\064\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\099\027\
\000\000\019\000\000\000\000\000\038\000\000\000\000\000\000\000\
\000\000\000\000\000\000\154\003\000\000\119\002\000\000\000\000\
\000\000\000\000\153\003\000\000\165\001\000\000\000\000\156\003\
\000\000\000\000\000\000\000\000\000\000\000\000\111\002\000\000\
\107\015\063\003\244\015\214\002\125\016\017\255\000\000\000\000\
\064\003\000\000\000\000\039\255\047\255\000\000\000\000\000\000\
\000\000\049\255\000\000\000\000\000\000\130\026\000\000\067\024\
\000\000\000\000\000\000\000\000\000\000\000\000\055\003\000\000\
\000\000\000\000\000\000\127\002\000\000\127\002\146\003\000\000\
\000\000\000\000\000\000\000\000\062\003\000\000\000\000\000\000\
\000\000\155\003\156\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\217\003\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\011\030\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\132\003\000\000\000\000\214\002\000\000\000\000\000\000\
\000\000\000\000\143\003\000\000\000\000\000\000\000\000\000\000\
\000\000\129\002\140\002\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\051\001\000\000\114\000\165\000\145\003\000\000\110\010\078\010\
\073\001\056\005\043\010\217\009\244\009\132\002\061\009\099\009\
\181\009\235\008\017\009\153\008\191\008\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\072\255\178\255\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\065\000\000\000\000\000\000\000\
\000\000\000\000\000\000\099\027\052\255\035\255\000\000\000\000\
\000\000\153\003\161\003\000\000\000\000\000\000\000\000\214\002\
\105\255\167\003\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\181\030\000\000\000\000\000\000\000\000\000\000\
\153\003\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\062\003\039\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\240\000\000\000\000\000\000\000\
\000\000\006\001\000\000\000\000\000\000\000\000\127\002\127\002\
\000\000\071\255\000\000\062\003\000\000\086\255\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\132\003\069\030\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\071\008\000\000\000\000\000\000\000\000\000\000\
\000\000\127\002\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\244\255\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\214\002\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\054\001\000\000\000\000\198\255\000\000\000\000\000\000\000\000\
\000\000\000\000\244\254\000\000\000\000\000\000\161\003\000\000\
\000\000\153\003\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\024\001\127\002\000\000\000\000\
\000\000\153\003\000\000\062\003\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\011\030\
\000\000\000\000\000\000\000\000\132\003\000\000\214\002\000\000\
\000\000\000\000\000\000\000\000\229\010\000\000\000\000\000\000\
\109\008\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\153\003\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\105\255\000\000\076\003\000\000\
\000\000\000\000\000\000\000\000\000\000\077\003\000\000\000\000\
\000\000\000\000\000\000\127\002\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\069\030\069\030\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\174\003\000\000\000\000\000\000\000\000\080\003\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\069\030\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\081\003\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000"

let yygindex = "\000\000\
\000\000\000\000\255\255\007\000\189\000\220\254\195\004\221\255\
\002\000\020\000\253\255\003\000\000\000\097\003\153\000\044\000\
\042\027\000\000\153\255\076\001\219\001\188\254\000\000\000\000\
\057\002\015\255\071\000\000\000\243\253\000\254\225\003\162\255\
\054\004\192\255\000\000\000\000\000\000\066\255\000\000\190\254\
\000\000\234\002\089\003\158\255\000\000\000\000\054\255\000\000\
\000\000\000\000\029\255\068\254\255\254\016\000\000\000\000\000\
\000\000\000\000\038\255\073\255\111\255\001\000\023\000\217\255\
\075\000\000\000\148\002\000\000\194\001\106\001\091\253\233\001\
\000\000\000\000\000\000\000\000\110\002\237\001\190\255\164\000\
\074\255\000\000\000\000\000\000\118\002\018\000\224\254\204\254\
\216\255\221\254\000\000\000\000\028\000\091\003\095\003\175\002\
\230\255\000\000\055\001\000\000\000\000\199\254\000\000\000\000\
\163\254\066\254\124\253\005\000\231\001\000\000\000\000\150\254\
\000\000\000\000\123\002\000\000\149\254\183\253\180\254\000\000\
\143\002\000\000\000\000\007\004\086\003\120\002\000\000\000\000\
\000\000\000\000\128\253\000\000\114\002\005\002\125\003\000\000\
\065\004\210\003\125\002\001\254\000\000\000\000\000\000\159\254\
\000\000\000\000\000\000\000\000\105\002\190\003\000\000\149\002\
\004\000\216\001\063\253\218\001\087\253\000\000\000\000\000\000"

let yytablesize = 8173
let yytable = "\138\000\
\184\000\135\000\064\000\060\000\207\000\084\000\074\000\177\000\
\179\000\108\001\161\000\064\001\074\000\051\001\242\000\250\001\
\223\000\062\000\014\001\049\001\005\001\130\002\038\002\062\000\
\065\000\128\001\239\001\173\000\248\001\071\000\101\002\206\000\
\235\000\108\002\219\002\071\000\236\001\015\001\037\002\104\002\
\214\001\049\001\221\000\048\001\098\000\160\000\105\002\109\001\
\109\002\177\002\042\002\178\002\006\002\014\001\051\001\086\002\
\022\002\248\001\056\002\014\001\202\002\087\002\056\003\248\001\
\016\001\105\000\230\001\035\001\057\002\139\001\037\001\105\000\
\200\002\035\001\226\002\164\000\037\001\230\001\096\002\230\001\
\248\000\225\000\031\003\096\000\137\000\074\000\057\003\094\001\
\135\000\009\000\205\000\115\002\133\000\051\001\218\002\129\001\
\224\000\037\003\095\002\125\002\032\002\178\001\041\000\234\000\
\125\001\129\001\129\001\230\001\226\000\172\000\126\001\239\000\
\138\000\024\000\244\000\008\001\250\000\174\000\249\000\139\001\
\139\001\126\001\251\000\176\000\197\000\247\000\060\001\076\001\
\109\000\176\000\170\001\175\000\056\000\081\003\082\003\124\001\
\129\000\018\000\140\001\176\000\166\001\127\000\198\000\186\000\
\007\001\078\002\015\001\004\003\014\001\050\001\187\000\056\003\
\072\003\138\000\139\002\057\001\241\000\076\003\129\000\058\001\
\084\000\074\000\156\001\158\001\025\000\079\003\215\002\126\001\
\132\000\051\001\097\003\050\001\059\001\064\001\009\001\057\003\
\127\000\137\000\014\001\009\003\088\002\250\000\248\001\129\000\
\071\000\133\000\206\000\090\001\214\002\138\000\105\000\105\001\
\035\001\003\001\233\002\037\001\084\000\074\000\131\000\106\001\
\086\001\023\003\060\001\132\000\129\001\069\003\060\001\193\000\
\107\001\179\002\060\001\133\002\027\002\026\002\074\003\164\000\
\171\000\032\003\064\001\126\001\110\001\205\000\147\001\021\000\
\129\000\084\000\131\001\205\000\159\001\241\000\036\002\074\000\
\171\000\160\000\164\000\164\000\164\000\044\002\141\002\143\002\
\139\001\073\001\157\001\172\002\148\001\205\000\211\001\074\000\
\138\000\213\002\220\001\217\001\218\001\101\002\226\000\219\001\
\074\000\026\002\215\001\058\003\173\002\168\002\164\000\171\002\
\132\000\151\002\037\002\134\002\135\002\138\000\226\000\220\001\
\194\000\222\002\223\002\045\002\208\002\074\000\029\003\226\000\
\054\002\235\001\253\001\250\001\207\002\034\003\055\002\093\002\
\051\001\230\001\230\001\131\000\164\000\014\001\160\000\188\000\
\250\000\250\000\006\001\207\000\226\000\047\002\024\002\025\002\
\045\003\023\002\022\000\164\000\229\000\028\003\230\000\045\002\
\015\001\189\000\227\002\138\000\060\001\057\001\015\001\212\002\
\192\000\058\001\084\000\074\000\164\000\079\002\206\000\195\000\
\045\000\127\000\064\002\074\001\062\002\041\001\059\001\250\002\
\072\001\047\002\114\002\016\001\073\001\250\000\018\001\019\001\
\100\001\016\001\071\000\090\001\193\002\117\001\040\002\196\000\
\090\002\138\000\241\000\063\002\132\000\132\000\086\001\203\000\
\138\000\205\000\057\001\108\002\217\000\206\000\058\001\084\000\
\074\000\132\002\204\000\123\002\241\000\134\001\209\002\128\001\
\030\003\020\003\021\003\059\001\099\001\131\002\060\001\024\003\
\038\003\205\000\148\002\015\001\024\000\065\002\127\000\071\000\
\024\000\225\000\024\000\006\003\160\000\205\000\051\001\147\001\
\202\000\131\001\084\000\072\002\024\000\024\000\164\002\015\001\
\015\001\227\001\147\001\091\002\205\000\084\000\086\001\018\001\
\019\001\132\000\033\003\133\002\227\001\148\001\227\001\249\001\
\205\000\168\001\251\001\252\001\162\002\241\000\236\000\238\000\
\148\001\108\002\016\001\233\000\091\001\015\001\108\002\025\000\
\015\001\091\001\223\001\025\000\218\000\025\000\071\003\091\001\
\137\001\240\000\227\001\016\001\170\002\253\000\172\000\025\000\
\025\000\243\000\129\001\138\001\180\000\128\002\252\000\181\000\
\016\001\138\000\182\002\220\001\183\002\164\000\251\002\185\002\
\015\001\074\000\069\001\070\001\071\001\009\000\016\003\018\003\
\164\000\051\001\196\002\024\000\234\002\186\002\235\002\245\000\
\236\002\124\001\019\003\074\001\127\000\046\003\027\003\147\002\
\226\000\166\000\021\000\138\000\152\002\079\001\021\000\180\000\
\021\000\046\002\181\000\051\001\183\000\182\000\091\001\241\000\
\079\001\024\000\021\000\021\000\137\002\026\000\246\000\132\000\
\082\001\248\000\015\001\108\001\096\000\018\000\176\000\176\000\
\191\000\046\002\176\002\082\001\149\001\206\002\025\000\010\001\
\138\000\138\000\220\001\220\001\011\001\046\002\096\001\012\001\
\074\000\074\000\197\002\199\000\117\001\106\002\117\001\183\000\
\013\001\096\001\099\002\200\000\201\000\014\001\206\000\250\000\
\083\001\109\001\219\000\225\000\025\000\090\001\040\002\226\000\
\226\000\109\000\187\002\083\001\074\000\237\000\237\000\205\000\
\072\001\205\000\017\001\086\001\073\001\022\000\086\001\062\000\
\172\000\022\000\180\000\022\000\206\000\181\000\172\000\053\001\
\220\000\021\000\241\000\071\000\254\000\022\000\022\000\224\002\
\172\000\212\001\213\001\045\000\069\002\045\000\070\002\045\000\
\241\000\045\000\241\000\051\001\204\002\045\000\045\000\045\000\
\159\001\127\000\045\000\045\000\045\000\045\000\045\000\045\000\
\241\000\067\001\165\000\051\001\068\001\072\002\138\002\205\000\
\227\001\227\001\183\000\205\000\015\001\166\000\172\000\138\000\
\015\001\238\002\039\002\038\000\132\000\138\000\138\000\079\001\
\240\001\145\002\098\001\241\001\241\002\243\002\244\002\146\002\
\166\000\166\000\166\000\114\001\072\001\033\002\114\001\072\002\
\073\001\114\001\138\000\138\000\242\001\182\000\088\001\114\002\
\153\002\138\000\241\000\220\001\022\000\248\000\146\002\154\002\
\096\000\074\000\000\001\203\000\166\000\155\002\095\001\250\000\
\066\003\074\000\159\002\159\001\206\000\090\001\204\000\089\000\
\146\002\141\001\045\000\012\003\062\000\141\001\133\001\138\000\
\226\000\105\001\243\001\114\001\112\001\149\001\084\000\074\000\
\071\000\106\001\166\000\002\003\072\002\113\001\045\000\046\002\
\149\001\136\001\107\001\245\002\246\002\109\000\163\002\003\001\
\045\000\166\000\142\001\160\000\146\002\160\000\110\001\202\000\
\160\000\044\002\225\000\114\002\202\000\073\001\244\001\220\000\
\000\003\001\003\166\000\138\000\138\000\220\001\138\000\117\001\
\042\003\072\002\072\002\074\000\160\001\205\000\203\000\072\002\
\203\000\098\000\138\000\203\000\054\003\162\001\165\000\212\001\
\165\002\204\000\044\000\204\000\164\001\127\000\204\000\117\001\
\117\001\216\001\226\000\045\000\047\000\048\000\187\002\241\000\
\195\002\165\000\165\000\165\000\063\003\167\001\155\002\053\000\
\026\000\054\000\026\000\055\000\026\000\224\001\026\000\217\002\
\132\000\225\001\026\000\026\000\233\001\087\002\159\001\026\000\
\026\000\026\000\117\001\220\002\138\000\165\000\138\000\237\001\
\138\000\087\002\247\002\234\001\138\000\138\000\002\001\238\001\
\146\002\205\000\047\003\127\000\049\003\127\000\241\000\132\001\
\127\000\115\001\248\002\254\002\115\001\098\003\099\003\115\001\
\146\002\015\001\019\002\165\000\035\003\080\003\036\003\015\001\
\044\000\010\000\087\002\129\000\087\002\129\000\132\000\048\003\
\132\000\045\000\165\000\132\000\050\003\015\001\138\000\138\000\
\103\003\104\003\015\001\028\002\051\003\053\000\138\000\054\000\
\108\003\055\000\015\001\165\000\073\003\029\002\117\001\106\002\
\093\003\115\001\087\002\098\002\030\002\176\000\015\001\026\000\
\041\002\095\003\083\003\166\000\084\003\081\001\086\003\087\002\
\043\002\250\001\088\003\089\003\042\001\051\002\166\000\250\001\
\043\001\031\001\044\001\026\000\045\001\046\001\047\001\031\001\
\060\002\248\001\053\002\246\001\061\002\026\000\038\000\248\001\
\038\000\246\001\038\000\080\002\038\000\082\002\102\000\089\002\
\038\000\038\000\038\000\059\003\102\000\038\000\038\000\038\000\
\038\000\038\000\038\000\038\000\038\000\038\000\038\000\038\000\
\038\000\038\000\038\000\116\001\117\001\106\002\111\002\112\002\
\000\001\124\002\106\002\120\002\000\001\000\001\129\002\167\000\
\000\001\126\002\136\002\000\001\001\000\002\000\003\000\004\000\
\005\000\089\000\089\000\226\001\089\000\089\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\149\002\
\016\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\089\000\089\000\089\000\089\000\089\000\089\000\089\000\089\000\
\150\002\160\002\203\000\166\002\097\002\038\000\036\001\037\001\
\038\001\039\001\040\001\167\002\165\000\204\000\059\003\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\180\002\165\000\
\057\002\038\000\032\001\033\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\038\000\191\002\032\000\033\000\192\002\
\000\001\176\000\194\002\198\002\000\001\199\002\210\002\225\002\
\092\002\113\002\231\002\161\002\232\002\239\002\253\002\252\002\
\005\003\089\000\010\003\011\003\014\003\043\003\039\000\015\003\
\041\000\013\003\022\003\000\001\025\003\026\003\039\003\044\003\
\061\003\053\003\000\001\052\003\065\003\089\000\064\003\067\003\
\087\003\167\000\201\002\070\003\002\001\091\003\090\003\089\000\
\002\001\002\001\092\003\075\003\002\001\049\000\056\000\002\001\
\077\003\094\003\078\003\085\003\176\000\102\003\010\000\010\000\
\010\000\010\000\106\003\230\000\096\003\107\003\176\000\010\000\
\060\001\006\002\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\097\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\164\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\014\002\002\001\010\000\137\001\177\000\
\002\001\165\000\010\002\010\000\026\001\110\001\170\000\136\001\
\167\001\165\001\166\000\009\002\010\000\109\001\010\000\010\000\
\010\000\169\000\010\000\010\000\010\000\176\001\008\002\002\001\
\187\000\177\001\175\001\010\000\059\000\010\000\002\001\066\002\
\163\001\249\002\052\001\144\002\083\002\190\002\062\003\105\003\
\041\003\010\000\211\002\010\000\084\002\010\000\010\000\010\000\
\085\002\175\002\205\002\229\000\010\000\016\000\016\000\016\000\
\016\000\010\000\216\002\143\001\110\002\221\002\016\000\228\002\
\040\003\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\089\001\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\122\002\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\016\000\016\000\016\000\016\000\016\000\016\000\
\016\000\016\000\050\002\017\003\016\000\008\003\081\002\255\002\
\101\003\100\003\016\000\000\000\000\000\000\000\000\000\046\000\
\000\000\000\000\000\000\016\000\000\000\016\000\016\000\016\000\
\000\000\016\000\016\000\016\000\000\000\000\000\000\000\000\000\
\000\000\000\000\016\000\000\000\016\000\000\000\000\000\160\000\
\000\000\000\000\000\000\202\000\000\000\000\000\000\000\140\001\
\016\000\000\000\016\000\000\000\016\000\016\000\016\000\000\000\
\000\000\000\000\000\000\016\000\113\002\000\000\000\000\000\000\
\016\000\230\000\203\000\000\000\230\000\230\000\230\000\000\000\
\230\000\230\000\230\000\000\000\230\000\204\000\000\000\000\000\
\230\000\230\000\230\000\000\000\000\000\230\000\230\000\230\000\
\230\000\230\000\230\000\230\000\230\000\230\000\230\000\230\000\
\230\000\230\000\230\000\230\000\230\000\230\000\230\000\230\000\
\230\000\230\000\230\000\230\000\230\000\230\000\230\000\230\000\
\230\000\000\000\230\000\230\000\230\000\230\000\230\000\230\000\
\230\000\230\000\230\000\230\000\230\000\230\000\230\000\230\000\
\230\000\230\000\230\000\230\000\230\000\000\000\000\000\127\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\160\000\000\000\000\000\000\000\044\002\033\002\000\000\
\230\000\073\001\230\000\000\000\230\000\230\000\000\000\129\000\
\000\000\230\000\132\000\000\000\000\000\230\000\000\000\000\000\
\000\000\000\000\000\000\113\001\203\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\204\000\
\230\000\230\000\000\000\000\000\230\000\000\000\000\000\000\000\
\000\000\229\000\000\000\230\000\229\000\229\000\229\000\000\000\
\229\000\229\000\229\000\000\000\229\000\000\000\000\000\000\000\
\229\000\229\000\229\000\000\000\000\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\127\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\229\000\229\000\229\000\
\229\000\229\000\229\000\229\000\229\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\132\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\229\000\000\000\229\000\000\000\229\000\229\000\000\000\000\000\
\000\000\229\000\046\000\000\000\046\000\229\000\046\000\094\000\
\046\000\000\000\000\000\000\000\046\000\046\000\046\000\000\000\
\000\000\046\000\046\000\046\000\046\000\046\000\046\000\046\000\
\229\000\229\000\000\000\000\000\229\000\140\001\000\000\000\000\
\140\001\140\001\140\001\229\000\140\001\140\001\140\001\000\000\
\140\001\000\000\000\000\000\000\140\001\140\001\140\001\012\000\
\000\000\140\001\140\001\140\001\140\001\140\001\140\001\140\001\
\140\001\140\001\140\001\140\001\140\001\140\001\140\001\140\001\
\140\001\140\001\140\001\140\001\140\001\140\001\140\001\140\001\
\140\001\140\001\140\001\140\001\140\001\000\000\140\001\140\001\
\140\001\140\001\140\001\140\001\140\001\140\001\140\001\140\001\
\140\001\140\001\140\001\140\001\140\001\140\001\140\001\140\001\
\140\001\046\000\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\033\001\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\140\001\046\000\140\001\000\000\
\140\001\140\001\000\000\000\000\000\000\140\001\000\000\046\000\
\064\001\140\001\000\000\000\000\064\001\064\001\000\000\000\000\
\064\001\000\000\000\000\064\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\140\001\140\001\064\001\000\000\
\140\001\113\001\000\000\064\001\113\001\113\001\113\001\140\001\
\113\001\113\001\113\001\000\000\113\001\000\000\064\001\000\000\
\113\001\113\001\113\001\095\000\000\000\113\001\113\001\113\001\
\113\001\113\001\113\001\113\001\113\001\113\001\113\001\113\001\
\113\001\113\001\113\001\113\001\113\001\113\001\113\001\113\001\
\113\001\113\001\113\001\113\001\113\001\113\001\113\001\113\001\
\113\001\000\000\113\001\113\001\113\001\113\001\113\001\113\001\
\113\001\113\001\113\001\113\001\113\001\113\001\113\001\113\001\
\113\001\113\001\113\001\113\001\113\001\245\000\000\000\000\000\
\064\001\000\000\000\000\000\000\064\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\160\000\
\113\001\000\000\113\001\044\002\113\001\113\001\000\000\073\001\
\064\001\113\001\000\000\064\001\000\000\113\001\000\000\000\000\
\000\000\000\000\064\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\203\000\000\000\000\000\000\000\000\000\168\000\
\113\001\113\001\000\000\000\000\113\001\204\000\000\000\000\000\
\000\000\094\000\094\000\113\001\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\000\000\
\000\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\094\000\094\000\094\000\094\000\094\000\094\000\094\000\094\000\
\000\000\012\000\012\000\000\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\127\000\
\000\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\012\000\012\000\012\000\012\000\012\000\012\000\012\000\012\000\
\051\000\000\000\132\000\000\000\001\002\000\000\000\000\001\002\
\001\002\001\002\001\002\000\000\000\000\000\000\000\000\001\002\
\000\000\094\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\001\002\001\002\000\000\000\000\000\000\000\000\001\002\
\000\000\000\000\000\000\000\000\000\000\094\000\057\000\000\000\
\000\000\168\000\001\002\000\000\000\000\000\000\000\000\094\000\
\000\000\000\000\000\000\000\000\001\002\000\000\000\000\000\000\
\000\000\012\000\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\012\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\095\000\095\000\012\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\095\000\095\000\000\000\001\002\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\095\000\095\000\095\000\095\000\
\095\000\095\000\095\000\095\000\001\002\000\000\000\000\001\002\
\000\000\000\000\000\000\000\000\000\000\000\000\001\002\000\000\
\245\000\000\000\245\000\245\000\245\000\000\000\245\000\000\000\
\000\000\000\000\245\000\245\000\245\000\000\000\056\000\245\000\
\245\000\245\000\245\000\245\000\245\000\245\000\245\000\245\000\
\245\000\245\000\245\000\245\000\245\000\245\000\245\000\245\000\
\245\000\245\000\245\000\245\000\245\000\245\000\255\000\000\000\
\000\000\000\001\001\001\000\000\000\000\095\000\000\000\000\000\
\000\000\000\000\000\000\000\000\058\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\095\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\095\000\000\000\000\000\000\000\000\000\
\000\000\013\000\014\000\015\000\016\000\017\000\000\000\019\000\
\020\000\021\000\022\000\023\000\024\000\025\000\026\000\245\000\
\034\000\000\000\000\000\000\000\000\000\000\000\034\000\035\000\
\036\000\037\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\245\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\245\000\000\000\000\000\
\000\000\000\000\043\000\000\000\000\000\000\000\035\000\000\000\
\000\000\000\000\000\000\051\000\000\000\051\000\000\000\051\000\
\000\000\051\000\000\000\000\000\000\000\051\000\051\000\051\000\
\000\000\000\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\057\000\036\000\057\000\000\000\057\000\000\000\057\000\
\000\000\000\000\000\000\057\000\057\000\057\000\000\000\000\000\
\057\000\057\000\057\000\057\000\057\000\057\000\057\000\057\000\
\057\000\057\000\057\000\057\000\057\000\057\000\057\000\057\000\
\057\000\057\000\057\000\057\000\057\000\057\000\057\000\000\000\
\037\000\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\033\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\051\000\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\032\001\033\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\000\000\000\000\000\000\051\000\000\000\
\000\000\000\000\000\000\000\000\039\000\000\000\000\000\000\000\
\051\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\057\000\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\000\000\056\000\000\000\056\000\057\000\056\000\000\000\056\000\
\000\000\000\000\040\000\056\000\056\000\056\000\057\000\000\000\
\056\000\056\000\056\000\056\000\056\000\056\000\056\000\056\000\
\056\000\056\000\056\000\056\000\056\000\056\000\056\000\056\000\
\056\000\056\000\056\000\056\000\056\000\056\000\056\000\058\000\
\000\000\058\000\000\000\058\000\000\000\058\000\000\000\000\000\
\000\000\058\000\058\000\058\000\000\000\000\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\000\000\000\000\000\000\
\000\000\000\000\000\000\034\000\000\000\034\000\000\000\034\000\
\000\000\034\000\000\000\000\000\041\000\034\000\034\000\034\000\
\056\000\000\000\034\000\034\000\034\000\034\000\034\000\034\000\
\034\000\034\000\034\000\034\000\034\000\034\000\034\000\034\000\
\034\000\034\000\034\000\034\000\056\000\000\000\000\000\000\000\
\000\000\035\000\000\000\035\000\000\000\035\000\056\000\035\000\
\042\000\000\000\000\000\035\000\035\000\035\000\058\000\000\000\
\035\000\035\000\035\000\035\000\035\000\035\000\035\000\035\000\
\035\000\035\000\035\000\035\000\035\000\035\000\035\000\035\000\
\035\000\035\000\058\000\043\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\058\000\036\000\000\000\036\000\
\000\000\036\000\000\000\036\000\000\000\000\000\000\000\036\000\
\036\000\036\000\034\000\000\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\036\000\036\000\036\000\036\000\
\036\000\036\000\036\000\036\000\000\000\000\000\034\000\000\000\
\000\000\000\000\000\000\037\000\000\000\037\000\000\000\037\000\
\034\000\037\000\044\000\000\000\000\000\037\000\037\000\037\000\
\035\000\000\000\037\000\037\000\037\000\037\000\037\000\037\000\
\037\000\037\000\037\000\037\000\037\000\037\000\037\000\037\000\
\037\000\037\000\000\000\000\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\047\000\035\000\039\000\
\000\000\039\000\000\000\039\000\000\000\039\000\000\000\000\000\
\000\000\039\000\039\000\039\000\036\000\000\000\039\000\039\000\
\039\000\039\000\039\000\039\000\039\000\039\000\039\000\039\000\
\039\000\039\000\039\000\039\000\000\000\048\000\000\000\000\000\
\036\000\000\000\000\000\000\000\000\000\040\000\000\000\040\000\
\000\000\040\000\036\000\040\000\000\000\000\000\000\000\040\000\
\040\000\040\000\037\000\000\000\040\000\040\000\040\000\040\000\
\040\000\040\000\040\000\040\000\040\000\040\000\040\000\040\000\
\040\000\040\000\000\000\040\001\000\000\000\000\037\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\037\000\028\001\029\001\030\001\031\001\032\001\033\001\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\039\000\062\001\
\000\000\000\000\000\000\062\001\062\001\000\000\000\000\062\001\
\000\000\000\000\062\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\039\000\000\000\000\000\062\001\000\000\041\000\
\000\000\041\000\062\001\041\000\039\000\041\000\000\000\000\000\
\000\000\041\000\041\000\041\000\040\000\062\001\041\000\041\000\
\041\000\041\000\041\000\041\000\041\000\041\000\041\000\041\000\
\041\000\041\000\041\000\041\000\148\000\000\000\000\000\000\000\
\040\000\000\000\000\000\042\000\000\000\042\000\000\000\042\000\
\000\000\042\000\040\000\000\000\000\000\042\000\042\000\042\000\
\000\000\000\000\042\000\042\000\042\000\042\000\042\000\042\000\
\042\000\042\000\042\000\042\000\000\000\000\000\043\000\000\000\
\043\000\000\000\043\000\000\000\043\000\000\000\000\000\062\001\
\043\000\043\000\043\000\062\001\000\000\043\000\043\000\043\000\
\043\000\043\000\043\000\043\000\043\000\043\000\043\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\041\000\062\001\
\000\000\000\000\062\001\000\000\000\000\000\000\000\000\000\000\
\000\000\062\001\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\041\000\000\000\000\000\044\000\000\000\044\000\
\000\000\044\000\000\000\044\000\041\000\000\000\000\000\044\000\
\044\000\044\000\042\000\000\000\044\000\044\000\044\000\044\000\
\044\000\044\000\044\000\044\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\042\000\000\000\
\047\000\000\000\047\000\000\000\047\000\043\000\047\000\041\001\
\042\000\042\001\047\000\047\000\047\000\000\000\000\000\047\000\
\047\000\047\000\047\000\047\000\000\000\000\000\000\000\000\000\
\000\000\043\000\000\000\000\000\000\000\000\000\000\000\000\000\
\048\000\000\000\048\000\043\000\048\000\000\000\048\000\000\000\
\000\000\000\000\048\000\048\000\048\000\000\000\000\000\048\000\
\048\000\048\000\048\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\044\000\000\000\000\000\000\000\
\000\000\040\001\000\000\000\000\000\000\040\001\040\001\000\000\
\000\000\040\001\000\000\000\000\000\000\000\000\000\000\000\000\
\044\000\000\000\000\000\000\000\000\000\000\000\040\001\040\001\
\000\000\000\000\044\000\057\000\040\001\000\000\000\000\047\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\040\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\047\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\047\000\000\000\048\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\148\000\148\000\148\000\148\000\148\000\000\000\000\000\
\000\000\148\000\148\000\048\000\148\000\148\000\148\000\000\000\
\148\000\148\000\000\000\000\000\000\000\048\000\000\000\148\000\
\148\000\040\001\000\000\000\000\148\000\148\000\000\000\000\000\
\148\000\170\000\148\000\000\000\000\000\148\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\148\000\148\000\
\148\000\040\001\000\000\000\000\040\001\148\000\148\000\148\000\
\148\000\148\000\148\000\148\000\148\000\148\000\148\000\148\000\
\148\000\148\000\148\000\148\000\148\000\148\000\148\000\148\000\
\148\000\148\000\148\000\148\000\148\000\148\000\148\000\148\000\
\000\000\148\000\148\000\148\000\148\000\148\000\148\000\148\000\
\148\000\148\000\148\000\148\000\148\000\148\000\148\000\000\000\
\000\000\148\000\148\000\148\000\063\001\148\000\148\000\148\000\
\063\001\063\001\148\000\000\000\063\001\000\000\148\000\063\001\
\148\000\000\000\148\000\148\000\148\000\148\000\148\000\148\000\
\148\000\148\000\063\001\148\000\148\000\000\000\148\000\063\001\
\148\000\148\000\148\000\148\000\148\000\148\000\148\000\148\000\
\000\000\148\000\063\001\000\000\000\000\041\001\000\000\042\001\
\000\000\041\001\041\001\042\001\042\001\041\001\000\000\042\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\041\001\041\001\042\001\042\001\000\000\000\000\
\041\001\000\000\042\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\041\001\000\000\042\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\063\001\000\000\000\000\000\000\
\063\001\000\000\000\000\000\000\000\000\160\000\000\000\000\000\
\000\000\202\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\063\001\000\000\000\000\063\001\
\000\000\009\000\000\000\010\000\011\000\000\000\063\001\000\000\
\203\000\000\000\000\000\000\000\000\000\041\001\000\000\042\001\
\000\000\000\000\000\000\204\000\000\000\000\000\000\000\012\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\041\001\000\000\042\001\
\041\001\000\000\042\001\000\000\013\000\014\000\015\000\016\000\
\017\000\018\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\037\000\000\000\041\000\000\000\
\000\000\000\000\044\000\000\000\000\000\127\000\000\000\000\000\
\000\000\010\000\011\000\045\000\000\000\000\000\000\000\038\000\
\039\000\040\000\041\000\000\000\042\000\043\000\044\000\053\000\
\000\000\054\000\000\000\055\000\056\000\000\000\000\000\045\000\
\132\000\046\000\047\000\048\000\049\000\050\000\051\000\052\000\
\000\000\000\000\000\000\053\000\000\000\054\000\000\000\055\000\
\056\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\000\000\000\000\000\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\000\000\094\000\160\000\
\115\001\000\000\011\000\097\000\247\001\169\000\039\000\000\000\
\041\000\000\000\042\000\043\000\099\000\100\000\000\000\000\000\
\000\000\101\000\102\000\000\000\000\000\000\000\000\000\104\000\
\000\000\000\000\105\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\106\000\107\000\108\000\056\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\122\000\123\000\124\000\125\000\000\000\000\000\039\000\000\000\
\041\000\000\000\042\000\043\000\000\000\000\000\000\000\127\000\
\000\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\000\000\094\000\160\000\115\001\000\000\011\000\097\000\
\021\002\000\000\000\000\000\000\000\000\000\000\056\000\000\000\
\099\000\100\000\132\000\133\000\000\000\101\000\102\000\000\000\
\000\000\000\000\226\001\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\000\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\037\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\000\000\000\000\039\000\000\000\041\000\000\000\042\000\043\000\
\000\000\000\000\000\000\127\000\000\000\000\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\000\000\094\000\160\000\
\115\001\000\000\011\000\097\000\140\002\000\000\000\000\000\000\
\000\000\000\000\056\000\000\000\099\000\100\000\132\000\133\000\
\000\000\101\000\102\000\000\000\000\000\000\000\226\001\104\000\
\000\000\000\000\105\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\106\000\107\000\108\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\122\000\123\000\124\000\125\000\000\000\000\000\039\000\000\000\
\041\000\000\000\042\000\043\000\000\000\000\000\000\000\127\000\
\000\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\000\000\094\000\160\000\115\001\000\000\011\000\097\000\
\142\002\000\000\000\000\000\000\000\000\000\000\056\000\000\000\
\099\000\100\000\132\000\133\000\000\000\101\000\102\000\000\000\
\000\000\000\000\226\001\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\000\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\037\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\000\000\000\000\039\000\000\000\041\000\000\000\042\000\043\000\
\000\000\000\000\000\000\127\000\000\000\000\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\000\000\094\000\160\000\
\115\001\000\000\011\000\097\000\000\000\000\000\000\000\000\000\
\000\000\000\000\056\000\000\000\099\000\100\000\132\000\133\000\
\000\000\101\000\102\000\000\000\000\000\000\000\226\001\104\000\
\000\000\000\000\105\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\106\000\107\000\108\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\000\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\122\000\123\000\124\000\125\000\000\000\000\000\039\000\000\000\
\041\000\000\000\042\000\043\000\000\000\000\000\000\000\127\000\
\000\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\000\000\094\000\160\000\115\001\000\000\011\000\097\000\
\000\000\000\000\000\000\000\000\000\000\000\000\056\000\000\000\
\099\000\100\000\132\000\133\000\000\000\101\000\102\000\000\000\
\000\000\000\000\116\001\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\000\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\037\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\000\000\000\000\039\000\000\000\041\000\000\000\042\000\043\000\
\000\000\000\000\000\000\127\000\000\000\000\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\000\000\094\000\095\000\
\000\000\010\000\054\001\097\000\000\000\098\000\000\000\000\000\
\000\000\000\000\056\000\000\000\099\000\100\000\132\000\133\000\
\000\000\101\000\102\000\000\000\000\000\103\000\226\001\104\000\
\000\000\000\000\105\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\106\000\107\000\108\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\109\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\110\000\111\000\000\000\112\000\113\000\
\114\000\115\000\101\001\117\000\118\000\119\000\120\000\121\000\
\122\000\123\000\124\000\125\000\000\000\000\000\039\000\102\001\
\041\000\000\000\042\000\043\000\044\000\000\000\000\000\127\000\
\103\001\104\001\000\000\000\000\000\000\045\000\000\000\046\000\
\047\000\048\000\049\000\050\000\051\000\052\000\128\000\000\000\
\000\000\053\000\000\000\054\000\000\000\055\000\056\000\129\000\
\130\000\131\000\132\000\133\000\000\000\000\000\134\000\141\000\
\141\000\141\000\141\000\141\000\000\000\000\000\000\000\141\000\
\141\000\000\000\141\000\141\000\141\000\000\000\141\000\000\000\
\000\000\000\000\000\000\000\000\000\000\141\000\141\000\000\000\
\000\000\000\000\141\000\141\000\000\000\000\000\141\000\000\000\
\141\000\000\000\000\000\141\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\141\000\141\000\141\000\000\000\
\000\000\000\000\000\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\000\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\000\000\000\000\141\000\
\141\000\141\000\000\000\141\000\141\000\141\000\000\000\000\000\
\141\000\000\000\000\000\000\000\168\001\000\000\141\000\000\000\
\141\000\141\000\141\000\141\000\141\000\141\000\141\000\141\000\
\000\000\000\000\141\000\000\000\141\000\000\000\141\000\141\000\
\141\000\141\000\141\000\141\000\141\000\141\000\000\000\141\000\
\140\000\140\000\140\000\140\000\140\000\000\000\000\000\000\000\
\140\000\140\000\000\000\140\000\140\000\140\000\000\000\140\000\
\000\000\000\000\000\000\000\000\000\000\000\000\140\000\140\000\
\000\000\000\000\000\000\140\000\140\000\000\000\000\000\140\000\
\000\000\140\000\000\000\000\000\140\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\140\000\140\000\140\000\
\000\000\000\000\000\000\000\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\000\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\000\000\000\000\
\140\000\140\000\140\000\000\000\140\000\140\000\140\000\000\000\
\000\000\140\000\000\000\000\000\000\000\169\001\000\000\140\000\
\000\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\000\000\000\000\140\000\000\000\140\000\000\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\000\000\
\140\000\142\000\142\000\142\000\142\000\142\000\000\000\000\000\
\000\000\142\000\142\000\000\000\142\000\142\000\142\000\000\000\
\142\000\000\000\000\000\000\000\000\000\000\000\000\000\142\000\
\142\000\000\000\000\000\000\000\142\000\142\000\000\000\000\000\
\142\000\000\000\142\000\000\000\000\000\142\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\142\000\142\000\
\142\000\000\000\000\000\000\000\000\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\000\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\000\000\
\000\000\142\000\142\000\142\000\000\000\142\000\142\000\142\000\
\000\000\000\000\142\000\000\000\000\000\000\000\173\001\000\000\
\142\000\000\000\142\000\142\000\142\000\142\000\142\000\142\000\
\142\000\142\000\000\000\000\000\142\000\000\000\142\000\000\000\
\142\000\142\000\142\000\142\000\142\000\142\000\142\000\142\000\
\000\000\142\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\000\000\094\000\095\000\000\000\010\000\054\001\097\000\
\000\000\098\000\000\000\000\000\000\000\000\000\000\000\000\000\
\099\000\100\000\000\000\000\000\000\000\101\000\102\000\000\000\
\000\000\103\000\000\000\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\013\000\014\000\
\015\000\016\000\017\000\109\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\036\000\037\000\110\000\
\111\000\000\000\112\000\113\000\114\000\115\000\101\001\117\000\
\118\000\119\000\120\000\121\000\122\000\123\000\124\000\125\000\
\000\000\000\000\039\000\102\001\041\000\000\000\042\000\043\000\
\044\000\000\000\000\000\127\000\000\000\104\001\000\000\000\000\
\000\000\045\000\000\000\046\000\047\000\048\000\049\000\050\000\
\051\000\052\000\128\000\000\000\000\000\053\000\000\000\054\000\
\000\000\055\000\056\000\129\000\130\000\131\000\132\000\133\000\
\000\000\000\000\134\000\089\000\090\000\091\000\092\000\093\000\
\000\000\000\000\000\000\094\000\095\000\000\000\010\000\054\001\
\097\000\000\000\098\000\000\000\000\000\000\000\000\000\000\000\
\000\000\099\000\100\000\000\000\000\000\000\000\101\000\102\000\
\000\000\000\000\103\000\000\000\104\000\000\000\000\000\105\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\106\000\107\000\108\000\000\000\000\000\000\000\000\000\013\000\
\014\000\015\000\016\000\017\000\109\000\019\000\020\000\021\000\
\022\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\033\000\034\000\035\000\036\000\037\000\
\110\000\111\000\000\000\112\000\055\001\114\000\115\000\116\000\
\117\000\118\000\119\000\120\000\056\001\122\000\123\000\124\000\
\125\000\000\000\000\000\039\000\126\000\041\000\000\000\042\000\
\043\000\044\000\000\000\000\000\127\000\000\000\000\000\000\000\
\000\000\000\000\045\000\000\000\046\000\047\000\048\000\049\000\
\050\000\051\000\052\000\128\000\000\000\000\000\053\000\000\000\
\054\000\000\000\055\000\056\000\129\000\130\000\131\000\132\000\
\133\000\000\000\000\000\134\000\089\000\090\000\091\000\092\000\
\093\000\000\000\000\000\000\000\094\000\095\000\000\000\000\000\
\054\001\097\000\000\000\098\000\000\000\000\000\000\000\000\000\
\000\000\000\000\099\000\100\000\000\000\000\000\000\000\101\000\
\102\000\000\000\000\000\103\000\000\000\104\000\000\000\000\000\
\105\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\106\000\107\000\108\000\000\000\000\000\000\000\000\000\
\013\000\014\000\015\000\016\000\017\000\109\000\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\037\000\110\000\111\000\000\000\112\000\113\000\114\000\115\000\
\116\000\117\000\118\000\119\000\120\000\121\000\122\000\123\000\
\124\000\125\000\000\000\000\000\039\000\126\000\041\000\000\000\
\042\000\043\000\000\000\000\000\000\000\127\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\128\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\056\000\129\000\130\000\131\000\
\132\000\133\000\000\000\000\000\134\000\089\000\090\000\091\000\
\092\000\093\000\000\000\000\000\000\000\094\000\095\000\000\000\
\000\000\096\000\097\000\000\000\098\000\000\000\000\000\000\000\
\000\000\000\000\000\000\099\000\100\000\000\000\000\000\000\000\
\101\000\102\000\000\000\000\000\103\000\000\000\104\000\000\000\
\000\000\105\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\106\000\107\000\108\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\109\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\110\000\111\000\000\000\112\000\113\000\114\000\
\115\000\116\000\117\000\118\000\119\000\120\000\121\000\122\000\
\123\000\124\000\125\000\000\000\000\000\000\000\126\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\127\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\046\000\000\000\
\000\000\000\000\000\000\000\000\000\000\128\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\129\000\130\000\
\131\000\132\000\133\000\000\000\000\000\134\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\000\000\094\000\095\000\
\000\000\000\000\096\000\097\000\000\000\098\000\000\000\000\000\
\000\000\000\000\000\000\000\000\099\000\100\000\000\000\000\000\
\000\000\101\000\102\000\000\000\000\000\103\000\000\000\104\000\
\000\000\000\000\105\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\106\000\107\000\108\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\109\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\110\000\111\000\000\000\112\000\113\000\
\114\000\115\000\116\000\117\000\118\000\119\000\120\000\121\000\
\122\000\123\000\124\000\125\000\000\000\000\000\000\000\126\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\127\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\089\000\090\000\091\000\092\000\093\000\128\000\000\000\
\000\000\094\000\160\000\000\000\000\000\011\000\097\000\129\000\
\130\000\131\000\132\000\133\000\000\000\000\000\134\000\099\000\
\100\000\000\000\000\000\000\000\101\000\102\000\000\000\000\000\
\103\000\000\000\104\000\000\000\000\000\105\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\106\000\107\000\
\108\000\000\000\000\000\000\000\000\000\013\000\014\000\015\000\
\016\000\017\000\000\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\035\000\036\000\037\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\122\000\123\000\124\000\125\000\000\000\
\000\000\039\000\000\000\041\000\000\000\042\000\043\000\000\000\
\000\000\000\000\127\000\000\000\000\000\089\000\090\000\091\000\
\092\000\093\000\000\000\000\000\000\000\094\000\160\000\000\000\
\000\000\011\000\097\000\000\000\000\000\000\000\000\000\000\000\
\000\000\056\000\129\000\099\000\100\000\132\000\133\000\000\000\
\101\000\102\000\000\000\000\000\000\000\000\000\104\000\000\000\
\000\000\105\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\106\000\107\000\108\000\000\000\000\000\000\000\
\000\000\013\000\014\000\015\000\016\000\017\000\000\000\019\000\
\020\000\021\000\022\000\023\000\024\000\025\000\026\000\000\000\
\000\000\000\000\000\000\000\000\032\000\033\000\034\000\035\000\
\036\000\037\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\122\000\
\123\000\124\000\125\000\000\000\000\000\039\000\000\000\041\000\
\000\000\000\000\043\000\000\000\000\000\000\000\127\000\000\000\
\089\000\090\000\091\000\092\000\093\000\000\000\000\000\000\000\
\094\000\067\002\000\000\000\000\181\000\097\000\000\000\068\002\
\201\002\069\002\000\000\070\002\000\000\056\000\099\000\100\000\
\000\000\132\000\133\000\101\000\102\000\000\000\000\000\000\000\
\000\000\104\000\000\000\000\000\105\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\106\000\107\000\108\000\
\000\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\183\000\094\000\067\002\000\000\000\000\181\000\097\000\
\000\000\068\002\003\003\069\002\000\000\070\002\000\000\000\000\
\099\000\100\000\000\000\000\000\000\000\101\000\102\000\000\000\
\000\000\000\000\000\000\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\122\000\123\000\124\000\125\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\020\001\000\000\
\000\000\127\000\000\000\183\000\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\000\000\000\000\000\000\000\000\132\000\133\000\000\000\000\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\089\000\090\000\091\000\092\000\093\000\000\000\000\000\000\000\
\094\000\067\002\000\000\127\000\181\000\097\000\000\000\068\002\
\000\000\069\002\000\000\070\002\000\000\000\000\099\000\100\000\
\000\000\000\000\000\000\101\000\102\000\000\000\000\000\000\000\
\000\000\104\000\000\000\000\000\105\000\000\000\132\000\133\000\
\000\000\000\000\000\000\000\000\000\000\106\000\107\000\108\000\
\000\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\183\000\094\000\160\000\000\000\000\000\000\000\097\000\
\255\000\000\000\000\000\000\001\000\000\000\000\000\000\000\000\
\099\000\100\000\000\000\000\000\000\000\101\000\102\000\000\000\
\000\000\103\000\000\000\104\000\000\000\000\000\105\000\000\000\
\000\000\000\000\122\000\123\000\124\000\125\000\000\000\106\000\
\107\000\108\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\127\000\000\000\013\000\014\000\015\000\016\000\017\000\
\000\000\019\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\034\000\035\000\036\000\037\000\132\000\133\000\000\000\000\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\089\000\090\000\091\000\092\000\093\000\000\000\000\000\000\000\
\094\000\160\000\000\000\127\000\043\000\097\000\000\000\098\000\
\000\000\000\000\000\000\000\000\000\000\000\000\099\000\100\000\
\000\000\000\000\000\000\101\000\102\000\000\000\000\000\000\000\
\000\000\104\000\000\000\129\000\105\000\000\000\132\000\133\000\
\000\000\000\000\000\000\000\000\000\000\106\000\107\000\108\000\
\000\000\089\000\090\000\091\000\092\000\093\000\000\000\000\000\
\000\000\094\000\160\000\000\000\000\000\000\000\097\000\000\000\
\000\000\000\000\004\001\000\000\000\000\000\000\000\000\099\000\
\100\000\000\000\000\000\000\000\101\000\102\000\000\000\000\000\
\000\000\000\000\104\000\000\000\000\000\105\000\000\000\000\000\
\000\000\000\000\122\000\123\000\124\000\125\000\106\000\107\000\
\108\000\000\000\089\000\090\000\091\000\092\000\093\000\000\000\
\000\000\127\000\094\000\160\000\000\000\000\000\000\000\097\000\
\000\000\000\000\000\000\000\000\035\002\000\000\000\000\000\000\
\099\000\100\000\000\000\000\000\000\000\101\000\102\000\000\000\
\000\000\000\000\000\000\104\000\132\000\133\000\105\000\000\000\
\000\000\000\000\000\000\122\000\123\000\124\000\125\000\106\000\
\107\000\108\000\000\000\089\000\090\000\091\000\092\000\093\000\
\000\000\000\000\127\000\094\000\160\000\000\000\000\000\000\000\
\097\000\000\000\000\000\000\000\000\000\092\002\000\000\000\000\
\000\000\099\000\100\000\000\000\000\000\000\000\101\000\102\000\
\000\000\000\000\000\000\000\000\104\000\132\000\133\000\105\000\
\000\000\000\000\000\000\000\000\122\000\123\000\124\000\125\000\
\106\000\107\000\108\000\000\000\089\000\090\000\091\000\092\000\
\093\000\000\000\000\000\127\000\094\000\160\000\000\000\000\000\
\000\000\097\000\000\000\068\002\000\000\000\000\000\000\000\000\
\000\000\000\000\099\000\100\000\000\000\000\000\000\000\101\000\
\102\000\000\000\000\000\000\000\000\000\104\000\132\000\133\000\
\105\000\000\000\000\000\000\000\000\000\122\000\123\000\124\000\
\125\000\106\000\107\000\108\000\000\000\089\000\090\000\091\000\
\092\000\093\000\000\000\000\000\127\000\094\000\160\000\000\000\
\000\000\000\000\097\000\000\000\161\002\000\000\000\000\000\000\
\000\000\000\000\000\000\099\000\100\000\000\000\000\000\000\000\
\101\000\102\000\000\000\000\000\000\000\000\000\104\000\132\000\
\133\000\105\000\000\000\000\000\000\000\000\000\122\000\123\000\
\124\000\125\000\106\000\107\000\108\000\000\000\089\000\090\000\
\091\000\092\000\093\000\000\000\000\000\127\000\094\000\160\000\
\000\000\000\000\000\000\097\000\000\000\000\000\000\000\000\000\
\169\002\000\000\000\000\000\000\099\000\100\000\000\000\000\000\
\000\000\101\000\102\000\000\000\000\000\000\000\000\000\104\000\
\132\000\133\000\105\000\000\000\000\000\000\000\000\000\122\000\
\123\000\124\000\125\000\106\000\107\000\108\000\000\000\089\000\
\090\000\091\000\092\000\093\000\000\000\000\000\127\000\094\000\
\160\000\000\000\000\000\000\000\097\000\240\002\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\099\000\100\000\000\000\
\000\000\000\000\101\000\102\000\000\000\000\000\000\000\000\000\
\104\000\132\000\133\000\105\000\000\000\000\000\000\000\000\000\
\122\000\123\000\124\000\125\000\106\000\107\000\108\000\000\000\
\089\000\090\000\091\000\092\000\093\000\000\000\000\000\127\000\
\094\000\160\000\000\000\000\000\000\000\097\000\242\002\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\099\000\100\000\
\000\000\000\000\000\000\101\000\102\000\000\000\000\000\000\000\
\000\000\104\000\132\000\133\000\105\000\000\000\000\000\000\000\
\000\000\122\000\123\000\124\000\125\000\106\000\107\000\108\000\
\000\000\089\000\090\000\091\000\092\000\093\000\000\000\000\000\
\127\000\094\000\160\000\000\000\000\000\000\000\097\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\099\000\
\100\000\000\000\000\000\000\000\101\000\102\000\000\000\000\000\
\000\000\000\000\104\000\132\000\133\000\105\000\000\000\000\000\
\000\000\000\000\122\000\123\000\124\000\125\000\106\000\107\000\
\108\000\000\000\065\001\000\000\000\000\000\000\065\001\065\001\
\000\000\127\000\065\001\061\001\000\000\065\001\000\000\061\001\
\061\001\000\000\080\001\061\001\011\000\000\000\061\001\000\000\
\065\001\000\000\000\000\000\000\000\000\065\001\000\000\000\000\
\000\000\061\001\000\000\000\000\132\000\133\000\061\001\000\000\
\065\001\000\000\000\000\122\000\123\000\124\000\125\000\000\000\
\000\000\061\001\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\127\000\000\000\013\000\014\000\015\000\016\000\
\017\000\000\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\037\000\132\000\133\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\065\001\000\000\000\000\000\000\065\001\000\000\
\039\000\000\000\041\000\061\001\042\000\043\000\255\000\061\001\
\255\000\255\000\000\000\000\000\000\000\000\000\255\000\000\000\
\000\000\000\000\065\001\255\000\000\000\065\001\000\000\000\000\
\255\000\255\000\000\000\061\001\065\001\000\000\061\001\000\000\
\056\000\000\000\000\000\000\000\000\000\061\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\255\000\255\000\
\255\000\255\000\255\000\000\000\255\000\255\000\255\000\255\000\
\255\000\255\000\255\000\255\000\255\000\255\000\255\000\255\000\
\255\000\255\000\255\000\255\000\255\000\255\000\255\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\255\000\000\000\255\000\255\000\255\000\000\000\255\000\255\000\
\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\255\000\000\000\254\000\000\000\254\000\254\000\000\000\
\000\000\000\000\000\000\254\000\000\000\255\000\000\000\255\000\
\254\000\255\000\255\000\255\000\000\000\254\000\254\000\000\000\
\255\000\000\000\000\000\000\000\000\000\255\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\254\000\254\000\254\000\254\000\254\000\
\000\000\254\000\254\000\254\000\254\000\254\000\254\000\254\000\
\254\000\254\000\254\000\254\000\254\000\254\000\254\000\254\000\
\254\000\254\000\254\000\254\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\254\000\000\000\254\000\
\254\000\254\000\000\000\254\000\254\000\254\000\000\000\075\001\
\000\000\000\000\075\001\075\001\000\000\000\000\254\000\075\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\254\000\000\000\254\000\075\001\254\000\254\000\
\254\000\000\000\075\001\000\000\000\000\254\000\000\000\000\000\
\000\000\000\000\254\000\000\000\000\000\075\001\000\000\000\000\
\000\000\000\000\075\001\075\001\075\001\075\001\075\001\000\000\
\075\001\075\001\075\001\075\001\075\001\075\001\075\001\075\001\
\075\001\075\001\075\001\075\001\075\001\075\001\075\001\075\001\
\075\001\075\001\075\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\009\000\000\000\000\000\011\000\075\001\000\000\
\075\001\000\000\075\001\075\001\000\000\000\000\000\000\075\001\
\000\000\000\000\000\000\075\001\000\000\000\000\000\000\000\000\
\144\001\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\075\001\075\001\
\000\000\000\000\075\001\000\000\059\001\013\000\014\000\015\000\
\016\000\017\000\018\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\000\000\000\000\000\000\000\000\000\000\
\032\000\033\000\034\000\035\000\036\000\037\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\039\000\000\000\041\000\000\000\000\000\043\000\044\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\045\000\000\000\046\000\047\000\048\000\049\000\050\000\051\000\
\052\000\000\000\000\000\000\000\053\000\000\000\054\000\000\000\
\055\000\056\000\245\000\000\000\000\000\245\000\245\000\145\001\
\000\000\000\000\245\000\000\000\160\000\000\000\000\000\000\000\
\202\000\000\000\000\000\000\000\000\000\000\000\000\000\013\000\
\245\000\000\000\000\000\000\000\000\000\245\000\000\000\000\000\
\000\000\113\002\000\000\000\000\000\000\000\000\000\000\203\000\
\245\000\000\000\000\000\000\000\000\000\245\000\245\000\245\000\
\245\000\245\000\204\000\245\000\245\000\245\000\245\000\245\000\
\245\000\245\000\245\000\245\000\245\000\245\000\245\000\245\000\
\245\000\245\000\245\000\245\000\245\000\245\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\245\000\000\000\245\000\000\000\245\000\245\000\000\000\
\004\002\000\000\245\000\004\002\000\000\000\000\245\000\000\000\
\004\002\044\000\000\000\000\000\127\000\004\002\000\000\000\000\
\000\000\000\000\045\000\004\002\000\000\000\000\000\000\000\000\
\000\000\245\000\245\000\000\000\000\000\245\000\053\000\000\000\
\054\000\000\000\055\000\000\000\000\000\000\000\000\000\132\000\
\004\002\004\002\004\002\004\002\004\002\000\000\004\002\004\002\
\004\002\004\002\004\002\004\002\004\002\004\002\004\002\004\002\
\004\002\004\002\004\002\004\002\004\002\004\002\004\002\004\002\
\004\002\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\004\002\000\000\004\002\000\000\004\002\000\000\
\004\002\004\002\004\002\000\000\000\000\157\001\000\000\000\000\
\157\001\000\000\000\000\004\002\000\000\091\001\000\000\000\000\
\000\000\000\000\091\001\000\000\000\000\000\000\000\000\004\002\
\091\001\004\002\000\000\004\002\004\002\000\000\000\000\000\000\
\000\000\000\000\004\002\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\157\001\157\001\157\001\
\157\001\157\001\000\000\157\001\157\001\157\001\157\001\157\001\
\157\001\157\001\157\001\157\001\157\001\157\001\157\001\157\001\
\157\001\157\001\157\001\157\001\157\001\157\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\091\001\
\000\000\157\001\000\000\157\001\000\000\157\001\157\001\157\001\
\000\000\000\000\158\001\000\000\000\000\158\001\000\000\000\000\
\157\001\000\000\093\001\000\000\000\000\000\000\000\000\093\001\
\000\000\000\000\000\000\000\000\157\001\093\001\157\001\000\000\
\157\001\157\001\000\000\000\000\000\000\000\000\000\000\157\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\158\001\158\001\158\001\158\001\158\001\000\000\
\158\001\158\001\158\001\158\001\158\001\158\001\158\001\158\001\
\158\001\158\001\158\001\158\001\158\001\158\001\158\001\158\001\
\158\001\158\001\158\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\080\001\000\000\011\000\
\000\000\081\001\000\000\000\000\093\001\000\000\158\001\000\000\
\158\001\000\000\158\001\158\001\158\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\158\001\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\158\001\000\000\158\001\000\000\158\001\158\001\013\000\
\014\000\015\000\016\000\017\000\158\001\019\000\020\000\021\000\
\022\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\032\000\033\000\034\000\035\000\036\000\037\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\080\001\000\000\011\000\000\000\000\000\000\000\
\000\000\000\000\000\000\039\000\000\000\041\000\000\000\042\000\
\043\000\000\000\000\000\000\000\000\000\174\002\255\001\000\002\
\001\002\002\002\003\002\004\002\005\002\006\002\007\002\008\002\
\009\002\010\002\011\002\012\002\013\002\014\002\015\002\016\002\
\017\002\018\002\000\000\056\000\013\000\014\000\015\000\016\000\
\017\000\000\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\037\000\000\000\000\000\000\000\
\000\000\221\001\000\000\221\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\039\000\000\000\041\000\000\000\042\000\043\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\221\001\221\001\221\001\221\001\221\001\
\056\000\221\001\221\001\221\001\221\001\221\001\221\001\221\001\
\221\001\221\001\221\001\221\001\221\001\221\001\221\001\221\001\
\221\001\221\001\221\001\221\001\000\000\000\000\000\000\000\000\
\000\000\010\000\011\000\000\000\000\000\000\000\184\002\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\221\001\
\000\000\221\001\000\000\221\001\221\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\013\000\014\000\015\000\016\000\017\000\221\001\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\036\000\037\000\000\000\000\000\000\000\000\000\000\000\
\010\000\011\000\000\000\000\000\000\000\007\003\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\169\000\039\000\000\000\
\041\000\000\000\042\000\043\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\013\000\014\000\015\000\016\000\017\000\056\000\019\000\
\020\000\021\000\022\000\023\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\032\000\033\000\034\000\035\000\
\036\000\037\000\000\000\000\000\000\000\000\000\000\000\000\000\
\011\000\000\000\000\000\098\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\169\000\039\000\000\000\041\000\
\000\000\042\000\043\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\013\000\014\000\015\000\016\000\017\000\056\000\019\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\035\000\036\000\
\037\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\011\000\000\000\000\000\
\098\000\000\000\000\000\000\000\039\000\000\000\041\000\000\000\
\042\000\043\000\044\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\045\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\053\000\
\000\000\054\000\000\000\055\000\056\000\013\000\014\000\015\000\
\016\000\017\000\000\000\019\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\035\000\036\000\037\000\000\000\000\000\
\000\000\000\000\000\000\000\000\011\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\039\000\000\000\041\000\000\000\042\000\043\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\013\000\014\000\015\000\016\000\
\017\000\056\000\019\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\035\000\036\000\037\000\000\000\000\000\000\000\
\000\000\000\000\000\000\011\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\039\000\000\000\041\000\000\000\042\000\043\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\013\000\014\000\015\000\016\000\017\000\
\056\000\019\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\000\000\000\000\000\000\000\000\111\000\032\000\033\000\
\034\000\035\000\036\000\037\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\039\000\
\000\000\041\000\000\000\000\000\043\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\111\000\111\000\111\000\
\111\000\111\000\000\000\111\000\111\000\111\000\111\000\111\000\
\111\000\111\000\111\000\000\000\000\000\000\000\000\000\056\000\
\111\000\111\000\111\000\111\000\111\000\111\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\111\000\000\000\111\000\000\000\000\000\111\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\010\000\000\000\000\000\000\000\010\000\000\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\000\000\
\000\000\111\000\012\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\011\000\000\000\000\000\000\000\011\000\000\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\000\000\000\000\
\000\000\014\000\011\000\011\000\011\000\011\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\011\000\011\000\
\011\000\011\000\011\000\011\000\011\000\011\000\011\000\185\000\
\185\000\185\000\185\000\000\000\000\000\000\000\000\000\000\000\
\185\000\000\000\000\000\185\000\185\000\185\000\185\000\185\000\
\000\000\010\000\000\000\185\000\000\000\185\000\185\000\185\000\
\185\000\185\000\000\000\185\000\000\000\185\000\185\000\185\000\
\185\000\185\000\185\000\185\000\185\000\185\000\185\000\185\000\
\185\000\185\000\185\000\185\000\185\000\185\000\185\000\185\000\
\185\000\185\000\185\000\000\000\000\000\000\000\000\000\000\000\
\011\000\181\000\181\000\181\000\181\000\000\000\000\000\000\000\
\000\000\000\000\181\000\000\000\000\000\181\000\181\000\181\000\
\181\000\181\000\000\000\000\000\000\000\181\000\185\000\181\000\
\181\000\181\000\181\000\181\000\185\000\181\000\000\000\181\000\
\181\000\181\000\181\000\181\000\181\000\181\000\181\000\181\000\
\181\000\181\000\181\000\181\000\181\000\181\000\181\000\181\000\
\181\000\181\000\181\000\181\000\181\000\000\000\000\000\000\000\
\000\000\000\000\000\000\169\001\170\001\171\001\172\001\000\000\
\000\000\000\000\000\000\000\000\173\001\000\000\000\000\174\001\
\175\001\176\001\177\001\178\001\000\000\000\000\000\000\179\001\
\181\000\180\001\181\001\182\001\183\001\184\001\181\000\185\001\
\000\000\186\001\000\000\187\001\188\001\189\001\190\001\191\001\
\192\001\193\001\194\001\195\001\196\001\197\001\198\001\199\001\
\200\001\201\001\202\001\203\001\204\001\205\001\206\001\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\010\000\000\000\
\000\000\010\000\010\000\000\000\010\000\010\000\010\000\010\000\
\010\000\000\000\207\001\010\000\000\000\000\000\000\000\005\000\
\208\001\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\010\000"

let yycheck = "\003\000\
\036\000\003\000\002\000\002\000\071\000\002\000\002\000\034\000\
\035\000\193\000\004\000\157\000\008\000\000\000\113\000\017\001\
\081\000\002\000\000\000\008\001\124\000\210\001\075\001\008\000\
\002\000\208\000\012\001\010\000\014\001\002\000\137\001\071\000\
\097\000\141\001\108\002\008\000\008\001\000\000\074\001\137\001\
\243\000\008\001\078\000\147\000\020\001\014\001\140\001\193\000\
\142\001\050\002\083\001\051\002\036\001\019\001\149\000\019\001\
\042\001\019\001\095\001\025\001\074\002\025\001\000\003\025\001\
\000\000\019\001\001\001\019\001\035\001\030\001\019\001\025\001\
\073\002\025\001\025\001\005\000\025\001\012\001\131\001\014\001\
\014\001\081\000\215\002\017\001\021\001\081\000\000\003\186\000\
\021\001\014\001\071\000\149\001\021\001\188\000\108\002\025\001\
\081\000\226\002\131\001\168\001\063\001\114\001\103\001\097\000\
\102\001\035\001\036\001\042\001\081\000\018\001\025\001\110\000\
\116\000\000\000\116\000\018\001\120\000\062\001\052\001\030\001\
\030\001\036\001\120\000\019\001\018\001\119\000\139\001\168\000\
\062\001\025\001\114\001\062\001\133\001\043\003\044\003\202\000\
\134\001\062\001\099\001\035\001\019\001\110\001\036\001\018\001\
\125\000\108\001\025\001\161\002\114\001\138\001\014\001\089\003\
\029\003\157\000\223\001\157\000\113\000\034\003\134\001\157\000\
\157\000\157\000\227\000\228\000\000\000\038\003\101\002\207\000\
\137\001\008\001\080\003\138\001\157\000\063\001\077\001\089\003\
\110\001\114\001\144\001\179\002\144\001\185\000\144\001\134\001\
\157\000\114\001\226\000\185\000\099\001\193\000\144\001\193\000\
\144\001\123\000\127\002\144\001\193\000\193\000\021\001\193\000\
\173\000\202\002\139\001\137\001\134\001\023\003\139\001\113\001\
\193\000\051\002\139\001\213\001\055\001\052\001\032\003\145\000\
\019\001\218\002\108\001\134\001\193\000\202\000\222\000\000\000\
\134\001\222\000\209\000\208\000\228\000\186\000\073\001\227\000\
\035\001\014\001\164\000\165\000\166\000\018\001\224\001\225\001\
\030\001\022\001\227\000\040\002\222\000\226\000\240\000\243\000\
\252\000\100\002\252\000\245\000\246\000\104\002\227\000\249\000\
\252\000\096\001\243\000\004\003\041\002\038\002\192\000\040\002\
\021\001\237\001\046\002\214\001\215\001\017\001\243\000\017\001\
\117\001\111\002\112\002\086\001\087\002\017\001\213\002\252\000\
\019\001\006\001\020\001\029\002\086\002\220\002\025\001\130\001\
\019\001\224\001\225\001\114\001\222\000\019\001\014\001\018\001\
\044\001\045\001\018\001\110\001\017\001\086\001\044\001\045\001\
\237\002\043\001\000\000\237\000\010\001\099\001\012\001\122\001\
\019\001\018\001\116\002\063\001\139\001\063\001\025\001\096\002\
\018\001\063\001\063\001\063\001\254\000\110\001\110\001\113\001\
\000\000\110\001\018\001\168\000\019\001\145\000\063\001\146\002\
\018\001\122\001\149\001\019\001\022\001\089\001\029\001\030\001\
\192\000\025\001\063\001\089\001\064\002\197\000\077\001\014\001\
\018\001\101\001\055\001\101\001\137\001\114\001\075\001\041\001\
\108\001\086\001\108\001\215\002\139\001\149\001\108\001\108\001\
\108\001\212\001\052\001\155\001\073\001\210\000\090\002\046\002\
\214\002\198\002\199\002\108\001\192\000\019\001\139\001\204\002\
\226\002\110\001\234\001\025\001\019\001\077\001\110\001\108\001\
\023\001\137\001\025\001\172\002\014\001\122\001\237\001\143\001\
\018\001\128\001\143\001\104\001\035\001\036\001\023\001\114\001\
\025\001\001\001\154\001\077\001\137\001\154\001\131\001\029\001\
\030\001\137\001\220\002\165\002\012\001\143\001\014\001\015\001\
\149\001\237\000\018\001\019\001\020\002\130\001\099\000\100\000\
\154\001\029\003\114\001\110\001\025\001\144\001\034\003\019\001\
\025\001\030\001\254\000\023\001\140\001\025\001\028\003\036\001\
\025\001\018\001\042\001\036\001\039\002\122\000\018\001\035\001\
\036\001\018\001\022\001\036\001\014\001\186\001\035\001\017\001\
\144\001\213\001\053\002\213\001\055\002\143\001\023\001\008\001\
\025\001\213\001\164\000\165\000\166\000\014\001\194\002\023\001\
\154\001\064\002\069\002\114\001\022\001\022\001\024\001\018\001\
\026\001\044\002\034\001\072\001\110\001\239\002\210\002\233\001\
\213\001\005\000\019\001\247\001\238\001\025\001\023\001\014\001\
\025\001\086\001\017\001\090\002\062\001\020\001\099\001\212\001\
\036\001\144\001\035\001\036\001\019\001\000\000\018\001\137\001\
\025\001\014\001\025\001\195\002\017\001\062\001\034\000\035\000\
\042\000\110\001\045\002\036\001\222\000\086\002\114\001\014\001\
\028\002\029\002\028\002\029\002\090\001\122\001\025\001\018\001\
\028\002\029\002\070\002\061\000\140\001\141\001\142\001\062\001\
\018\001\036\001\135\001\069\000\070\000\018\001\086\002\051\002\
\025\001\195\002\076\000\051\002\144\001\051\002\037\002\028\002\
\029\002\062\001\057\002\036\001\056\002\099\000\100\000\044\002\
\018\001\046\002\035\001\040\002\022\001\019\001\043\002\056\002\
\019\001\023\001\014\001\025\001\116\002\017\001\025\001\036\001\
\020\001\114\001\039\002\056\002\122\000\035\001\036\001\114\002\
\035\001\034\001\035\001\019\001\022\001\021\001\024\001\023\001\
\053\002\025\001\055\002\194\002\030\001\029\001\030\001\031\001\
\104\002\110\001\034\001\035\001\036\001\037\001\038\001\039\001\
\069\002\036\001\005\000\210\002\134\001\074\002\019\001\100\002\
\224\001\225\001\062\001\104\002\025\001\145\000\018\001\131\002\
\025\001\131\002\022\001\000\000\137\001\137\002\138\002\014\001\
\014\001\019\001\019\001\017\001\134\002\135\002\136\002\025\001\
\164\000\165\000\166\000\014\001\018\001\019\001\017\001\108\002\
\022\001\020\001\158\002\159\002\034\001\020\001\178\000\226\002\
\019\001\165\002\119\002\165\002\114\001\014\001\025\001\019\001\
\017\001\165\002\000\000\041\001\192\000\025\001\020\001\179\002\
\019\003\173\002\019\001\179\002\220\002\179\002\052\001\000\000\
\025\001\021\001\114\001\186\002\173\002\025\001\210\000\195\002\
\165\002\195\002\072\001\062\001\114\001\143\001\195\002\195\002\
\173\002\195\002\222\000\160\002\161\002\131\001\134\001\044\002\
\154\001\036\001\195\002\137\002\138\002\062\001\019\001\145\002\
\144\001\237\000\018\001\014\001\025\001\014\001\195\002\018\001\
\014\001\018\001\226\002\038\003\018\001\022\001\108\001\020\001\
\158\002\159\002\254\000\239\002\240\002\239\002\242\002\087\002\
\234\002\198\002\199\002\239\002\011\001\226\002\041\001\204\002\
\041\001\020\001\254\002\041\001\254\002\009\001\145\000\034\001\
\035\001\052\001\107\001\052\001\014\001\110\001\052\001\111\002\
\112\002\091\001\239\002\116\001\119\001\120\001\013\003\228\002\
\019\001\164\000\165\000\166\000\014\003\019\001\025\001\128\001\
\019\001\130\001\021\001\132\001\023\001\018\001\025\001\019\001\
\137\001\018\001\029\001\030\001\022\001\025\001\038\003\034\001\
\035\001\036\001\146\002\019\001\048\003\192\000\050\003\018\001\
\052\003\025\001\019\001\023\001\056\003\057\003\000\000\018\001\
\025\001\038\003\240\002\110\001\242\002\110\001\019\003\210\000\
\110\001\014\001\019\001\019\001\017\001\126\001\127\001\020\001\
\025\001\025\001\019\001\222\000\019\001\023\001\019\001\025\001\
\107\001\000\000\025\001\134\001\025\001\134\001\137\001\019\001\
\137\001\116\001\237\000\137\001\019\001\025\001\098\003\099\003\
\098\003\099\003\025\001\035\001\019\001\128\001\106\003\130\001\
\106\003\132\001\025\001\254\000\019\001\035\001\214\002\215\002\
\019\001\062\001\025\001\135\001\021\001\137\001\025\001\114\001\
\020\001\019\001\048\003\143\001\050\003\019\001\052\003\025\001\
\025\001\019\001\056\003\057\003\018\001\025\001\154\001\025\001\
\022\001\019\001\024\001\134\001\026\001\027\001\028\001\025\001\
\019\001\019\001\030\001\019\001\019\001\144\001\019\001\025\001\
\021\001\025\001\023\001\114\001\025\001\114\001\019\001\019\001\
\029\001\030\001\031\001\011\003\025\001\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\145\001\028\003\029\003\018\001\018\001\
\014\001\110\001\034\003\021\001\018\001\019\001\036\001\008\001\
\022\001\024\001\018\001\025\001\001\000\002\000\003\000\004\000\
\005\000\018\001\019\001\145\001\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\019\001\
\000\000\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\019\001\035\001\041\001\019\001\135\001\114\001\052\001\053\001\
\054\001\055\001\056\001\023\001\143\001\052\001\102\003\050\001\
\051\001\052\001\053\001\054\001\055\001\056\001\021\001\154\001\
\035\001\134\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\144\001\036\001\076\001\077\001\091\001\
\110\001\045\002\018\001\035\001\114\001\025\001\018\001\036\001\
\023\001\035\001\014\001\020\001\014\001\035\001\019\001\036\001\
\023\001\114\001\019\001\018\001\018\001\014\001\101\001\019\001\
\103\001\025\001\021\001\137\001\036\001\019\001\036\001\014\001\
\023\001\036\001\144\001\084\001\114\001\134\001\019\001\025\001\
\084\001\138\001\021\001\019\001\014\001\019\001\021\001\144\001\
\018\001\019\001\008\001\036\001\022\001\121\001\133\001\025\001\
\036\001\023\001\036\001\036\001\104\002\018\001\005\001\006\001\
\007\001\008\001\127\001\000\000\036\001\019\001\114\002\014\001\
\139\001\036\001\017\001\018\001\019\001\020\001\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\009\001\033\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\057\001\058\001\059\001\060\001\061\001\036\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\000\000\110\001\084\001\021\001\036\001\
\114\001\036\001\035\001\090\001\019\001\021\001\019\001\021\001\
\114\001\114\001\036\001\035\001\099\001\021\001\101\001\102\001\
\103\001\019\001\105\001\106\001\107\001\114\001\114\001\137\001\
\019\001\114\001\114\001\114\001\002\000\116\001\144\001\103\001\
\232\000\145\002\149\000\226\001\116\001\058\002\013\003\102\003\
\232\002\128\001\093\002\130\001\122\001\132\001\133\001\134\001\
\122\001\043\002\076\002\000\000\139\001\005\001\006\001\007\001\
\008\001\144\001\104\002\221\000\143\001\110\002\014\001\118\002\
\228\002\017\001\018\001\019\001\020\001\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\184\000\033\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001\057\001\058\001\059\001\060\001\061\001\154\001\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\071\001\
\072\001\073\001\074\001\075\001\076\001\077\001\078\001\079\001\
\080\001\081\001\089\001\195\002\084\001\177\002\113\001\155\002\
\089\003\088\003\090\001\255\255\255\255\255\255\255\255\000\000\
\255\255\255\255\255\255\099\001\255\255\101\001\102\001\103\001\
\255\255\105\001\106\001\107\001\255\255\255\255\255\255\255\255\
\255\255\255\255\114\001\255\255\116\001\255\255\255\255\014\001\
\255\255\255\255\255\255\018\001\255\255\255\255\255\255\000\000\
\128\001\255\255\130\001\255\255\132\001\133\001\134\001\255\255\
\255\255\255\255\255\255\139\001\035\001\255\255\255\255\255\255\
\144\001\014\001\041\001\255\255\017\001\018\001\019\001\255\255\
\021\001\022\001\023\001\255\255\025\001\052\001\255\255\255\255\
\029\001\030\001\031\001\255\255\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\255\255\255\255\110\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\014\001\255\255\255\255\255\255\018\001\019\001\255\255\
\101\001\022\001\103\001\255\255\105\001\106\001\255\255\134\001\
\255\255\110\001\137\001\255\255\255\255\114\001\255\255\255\255\
\255\255\255\255\255\255\000\000\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\052\001\
\133\001\134\001\255\255\255\255\137\001\255\255\255\255\255\255\
\255\255\014\001\255\255\144\001\017\001\018\001\019\001\255\255\
\021\001\022\001\023\001\255\255\025\001\255\255\255\255\255\255\
\029\001\030\001\031\001\255\255\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\057\001\058\001\059\001\060\001\
\061\001\110\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\137\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\101\001\255\255\103\001\255\255\105\001\106\001\255\255\255\255\
\255\255\110\001\019\001\255\255\021\001\114\001\023\001\000\000\
\025\001\255\255\255\255\255\255\029\001\030\001\031\001\255\255\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\133\001\134\001\255\255\255\255\137\001\014\001\255\255\255\255\
\017\001\018\001\019\001\144\001\021\001\022\001\023\001\255\255\
\025\001\255\255\255\255\255\255\029\001\030\001\031\001\000\000\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\057\001\058\001\059\001\060\001\061\001\255\255\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\081\001\114\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\101\001\134\001\103\001\255\255\
\105\001\106\001\255\255\255\255\255\255\110\001\255\255\144\001\
\014\001\114\001\255\255\255\255\018\001\019\001\255\255\255\255\
\022\001\255\255\255\255\025\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\133\001\134\001\036\001\255\255\
\137\001\014\001\255\255\041\001\017\001\018\001\019\001\144\001\
\021\001\022\001\023\001\255\255\025\001\255\255\052\001\255\255\
\029\001\030\001\031\001\000\000\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\000\000\255\255\255\255\
\110\001\255\255\255\255\255\255\114\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\014\001\
\101\001\255\255\103\001\018\001\105\001\106\001\255\255\022\001\
\134\001\110\001\255\255\137\001\255\255\114\001\255\255\255\255\
\255\255\255\255\144\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\008\001\
\133\001\134\001\255\255\255\255\137\001\052\001\255\255\255\255\
\255\255\018\001\019\001\144\001\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\255\255\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\255\255\018\001\019\001\255\255\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\110\001\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\000\000\255\255\137\001\255\255\014\001\255\255\255\255\017\001\
\018\001\019\001\020\001\255\255\255\255\255\255\255\255\025\001\
\255\255\114\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\035\001\036\001\255\255\255\255\255\255\255\255\041\001\
\255\255\255\255\255\255\255\255\255\255\134\001\000\000\255\255\
\255\255\138\001\052\001\255\255\255\255\255\255\255\255\144\001\
\255\255\255\255\255\255\255\255\062\001\255\255\255\255\255\255\
\255\255\114\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\049\001\050\001\051\001\
\052\001\053\001\054\001\055\001\056\001\134\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\018\001\019\001\144\001\
\021\001\022\001\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\255\255\110\001\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\044\001\
\045\001\046\001\047\001\048\001\049\001\050\001\051\001\052\001\
\053\001\054\001\055\001\056\001\134\001\255\255\255\255\137\001\
\255\255\255\255\255\255\255\255\255\255\255\255\144\001\255\255\
\019\001\255\255\021\001\022\001\023\001\255\255\025\001\255\255\
\255\255\255\255\029\001\030\001\031\001\255\255\000\000\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\041\001\042\001\
\043\001\044\001\045\001\046\001\047\001\048\001\049\001\050\001\
\051\001\052\001\053\001\054\001\055\001\056\001\014\001\255\255\
\255\255\017\001\018\001\255\255\255\255\114\001\255\255\255\255\
\255\255\255\255\255\255\255\255\000\000\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\134\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\144\001\255\255\255\255\255\255\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\255\255\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\114\001\
\000\000\255\255\255\255\255\255\255\255\255\255\078\001\079\001\
\080\001\081\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\134\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\144\001\255\255\255\255\
\255\255\255\255\106\001\255\255\255\255\255\255\000\000\255\255\
\255\255\255\255\255\255\019\001\255\255\021\001\255\255\023\001\
\255\255\025\001\255\255\255\255\255\255\029\001\030\001\031\001\
\255\255\255\255\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\052\001\053\001\054\001\055\001\
\056\001\019\001\000\000\021\001\255\255\023\001\255\255\025\001\
\255\255\255\255\255\255\029\001\030\001\031\001\255\255\255\255\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\255\255\
\000\000\040\001\041\001\042\001\043\001\044\001\045\001\046\001\
\047\001\048\001\049\001\050\001\051\001\052\001\053\001\054\001\
\055\001\056\001\114\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\255\255\255\255\255\255\134\001\255\255\
\255\255\255\255\255\255\255\255\000\000\255\255\255\255\255\255\
\144\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\114\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\255\255\019\001\255\255\021\001\134\001\023\001\255\255\025\001\
\255\255\255\255\000\000\029\001\030\001\031\001\144\001\255\255\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\019\001\
\255\255\021\001\255\255\023\001\255\255\025\001\255\255\255\255\
\255\255\029\001\030\001\031\001\255\255\255\255\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\049\001\050\001\051\001\
\052\001\053\001\054\001\055\001\056\001\255\255\255\255\255\255\
\255\255\255\255\255\255\019\001\255\255\021\001\255\255\023\001\
\255\255\025\001\255\255\255\255\000\000\029\001\030\001\031\001\
\114\001\255\255\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\050\001\051\001\134\001\255\255\255\255\255\255\
\255\255\019\001\255\255\021\001\255\255\023\001\144\001\025\001\
\000\000\255\255\255\255\029\001\030\001\031\001\114\001\255\255\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\134\001\000\000\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\144\001\019\001\255\255\021\001\
\255\255\023\001\255\255\025\001\255\255\255\255\255\255\029\001\
\030\001\031\001\114\001\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\255\255\255\255\134\001\255\255\
\255\255\255\255\255\255\019\001\255\255\021\001\255\255\023\001\
\144\001\025\001\000\000\255\255\255\255\029\001\030\001\031\001\
\114\001\255\255\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\044\001\045\001\046\001\047\001\
\048\001\049\001\255\255\255\255\134\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\000\000\144\001\019\001\
\255\255\021\001\255\255\023\001\255\255\025\001\255\255\255\255\
\255\255\029\001\030\001\031\001\114\001\255\255\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\255\255\000\000\255\255\255\255\
\134\001\255\255\255\255\255\255\255\255\019\001\255\255\021\001\
\255\255\023\001\144\001\025\001\255\255\255\255\255\255\029\001\
\030\001\031\001\114\001\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\255\255\000\000\255\255\255\255\134\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\144\001\044\001\045\001\046\001\047\001\048\001\049\001\050\001\
\051\001\052\001\053\001\054\001\055\001\056\001\114\001\014\001\
\255\255\255\255\255\255\018\001\019\001\255\255\255\255\022\001\
\255\255\255\255\025\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\134\001\255\255\255\255\036\001\255\255\019\001\
\255\255\021\001\041\001\023\001\144\001\025\001\255\255\255\255\
\255\255\029\001\030\001\031\001\114\001\052\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\000\000\255\255\255\255\255\255\
\134\001\255\255\255\255\019\001\255\255\021\001\255\255\023\001\
\255\255\025\001\144\001\255\255\255\255\029\001\030\001\031\001\
\255\255\255\255\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\041\001\042\001\043\001\255\255\255\255\019\001\255\255\
\021\001\255\255\023\001\255\255\025\001\255\255\255\255\110\001\
\029\001\030\001\031\001\114\001\255\255\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\041\001\042\001\043\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\114\001\134\001\
\255\255\255\255\137\001\255\255\255\255\255\255\255\255\255\255\
\255\255\144\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\134\001\255\255\255\255\019\001\255\255\021\001\
\255\255\023\001\255\255\025\001\144\001\255\255\255\255\029\001\
\030\001\031\001\114\001\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\134\001\255\255\
\019\001\255\255\021\001\255\255\023\001\114\001\025\001\000\000\
\144\001\000\000\029\001\030\001\031\001\255\255\255\255\034\001\
\035\001\036\001\037\001\038\001\255\255\255\255\255\255\255\255\
\255\255\134\001\255\255\255\255\255\255\255\255\255\255\255\255\
\019\001\255\255\021\001\144\001\023\001\255\255\025\001\255\255\
\255\255\255\255\029\001\030\001\031\001\255\255\255\255\034\001\
\035\001\036\001\037\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\114\001\255\255\255\255\255\255\
\255\255\014\001\255\255\255\255\255\255\018\001\019\001\255\255\
\255\255\022\001\255\255\255\255\255\255\255\255\255\255\255\255\
\134\001\255\255\255\255\255\255\255\255\255\255\035\001\036\001\
\255\255\255\255\144\001\000\000\041\001\255\255\255\255\114\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\052\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\134\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\144\001\255\255\114\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\255\255\013\001\014\001\134\001\016\001\017\001\018\001\255\255\
\020\001\021\001\255\255\255\255\255\255\144\001\255\255\027\001\
\028\001\110\001\255\255\255\255\032\001\033\001\255\255\255\255\
\036\001\000\000\038\001\255\255\255\255\041\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\050\001\051\001\
\052\001\134\001\255\255\255\255\137\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\082\001\083\001\
\255\255\085\001\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\255\255\
\255\255\101\001\102\001\103\001\014\001\105\001\106\001\107\001\
\018\001\019\001\110\001\255\255\022\001\255\255\114\001\025\001\
\116\001\255\255\118\001\119\001\120\001\121\001\122\001\123\001\
\124\001\125\001\036\001\127\001\128\001\255\255\130\001\041\001\
\132\001\133\001\134\001\135\001\136\001\137\001\138\001\139\001\
\255\255\141\001\052\001\255\255\255\255\014\001\255\255\014\001\
\255\255\018\001\019\001\018\001\019\001\022\001\255\255\022\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\035\001\036\001\035\001\036\001\255\255\255\255\
\041\001\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\052\001\255\255\052\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\110\001\255\255\255\255\255\255\
\114\001\255\255\255\255\255\255\255\255\014\001\255\255\255\255\
\255\255\018\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\134\001\255\255\255\255\137\001\
\255\255\014\001\255\255\016\001\017\001\255\255\144\001\255\255\
\041\001\255\255\255\255\255\255\255\255\110\001\255\255\110\001\
\255\255\255\255\255\255\052\001\255\255\255\255\255\255\036\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\134\001\255\255\134\001\
\137\001\255\255\137\001\255\255\057\001\058\001\059\001\060\001\
\061\001\062\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\255\255\103\001\255\255\
\255\255\255\255\107\001\255\255\255\255\110\001\255\255\255\255\
\255\255\016\001\017\001\116\001\255\255\255\255\255\255\100\001\
\101\001\102\001\103\001\255\255\105\001\106\001\107\001\128\001\
\255\255\130\001\255\255\132\001\133\001\255\255\255\255\116\001\
\137\001\118\001\119\001\120\001\121\001\122\001\123\001\124\001\
\255\255\255\255\255\255\128\001\255\255\130\001\255\255\132\001\
\133\001\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\015\001\255\255\017\001\018\001\019\001\100\001\101\001\255\255\
\103\001\255\255\105\001\106\001\027\001\028\001\255\255\255\255\
\255\255\032\001\033\001\255\255\255\255\255\255\255\255\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\133\001\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\095\001\096\001\097\001\098\001\255\255\255\255\101\001\255\255\
\103\001\255\255\105\001\106\001\255\255\255\255\255\255\110\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\015\001\255\255\017\001\018\001\
\019\001\255\255\255\255\255\255\255\255\255\255\133\001\255\255\
\027\001\028\001\137\001\138\001\255\255\032\001\033\001\255\255\
\255\255\255\255\145\001\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\255\255\255\255\101\001\255\255\103\001\255\255\105\001\106\001\
\255\255\255\255\255\255\110\001\255\255\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\015\001\255\255\017\001\018\001\019\001\255\255\255\255\255\255\
\255\255\255\255\133\001\255\255\027\001\028\001\137\001\138\001\
\255\255\032\001\033\001\255\255\255\255\255\255\145\001\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\095\001\096\001\097\001\098\001\255\255\255\255\101\001\255\255\
\103\001\255\255\105\001\106\001\255\255\255\255\255\255\110\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\015\001\255\255\017\001\018\001\
\019\001\255\255\255\255\255\255\255\255\255\255\133\001\255\255\
\027\001\028\001\137\001\138\001\255\255\032\001\033\001\255\255\
\255\255\255\255\145\001\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\255\255\255\255\101\001\255\255\103\001\255\255\105\001\106\001\
\255\255\255\255\255\255\110\001\255\255\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\015\001\255\255\017\001\018\001\255\255\255\255\255\255\255\255\
\255\255\255\255\133\001\255\255\027\001\028\001\137\001\138\001\
\255\255\032\001\033\001\255\255\255\255\255\255\145\001\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\095\001\096\001\097\001\098\001\255\255\255\255\101\001\255\255\
\103\001\255\255\105\001\106\001\255\255\255\255\255\255\110\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\015\001\255\255\017\001\018\001\
\255\255\255\255\255\255\255\255\255\255\255\255\133\001\255\255\
\027\001\028\001\137\001\138\001\255\255\032\001\033\001\255\255\
\255\255\255\255\145\001\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\255\255\255\255\101\001\255\255\103\001\255\255\105\001\106\001\
\255\255\255\255\255\255\110\001\255\255\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\255\255\016\001\017\001\018\001\255\255\020\001\255\255\255\255\
\255\255\255\255\133\001\255\255\027\001\028\001\137\001\138\001\
\255\255\032\001\033\001\255\255\255\255\036\001\145\001\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\062\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\082\001\083\001\255\255\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\255\255\255\255\101\001\102\001\
\103\001\255\255\105\001\106\001\107\001\255\255\255\255\110\001\
\111\001\112\001\255\255\255\255\255\255\116\001\255\255\118\001\
\119\001\120\001\121\001\122\001\123\001\124\001\125\001\255\255\
\255\255\128\001\255\255\130\001\255\255\132\001\133\001\134\001\
\135\001\136\001\137\001\138\001\255\255\255\255\141\001\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\255\255\013\001\
\014\001\255\255\016\001\017\001\018\001\255\255\020\001\255\255\
\255\255\255\255\255\255\255\255\255\255\027\001\028\001\255\255\
\255\255\255\255\032\001\033\001\255\255\255\255\036\001\255\255\
\038\001\255\255\255\255\041\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\050\001\051\001\052\001\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\062\001\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\081\001\082\001\083\001\255\255\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\255\255\255\255\101\001\
\102\001\103\001\255\255\105\001\106\001\107\001\255\255\255\255\
\110\001\255\255\255\255\255\255\114\001\255\255\116\001\255\255\
\118\001\119\001\120\001\121\001\122\001\123\001\124\001\125\001\
\255\255\255\255\128\001\255\255\130\001\255\255\132\001\133\001\
\134\001\135\001\136\001\137\001\138\001\139\001\255\255\141\001\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\255\255\016\001\017\001\018\001\255\255\020\001\
\255\255\255\255\255\255\255\255\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\036\001\
\255\255\038\001\255\255\255\255\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\255\255\255\255\255\255\255\255\057\001\058\001\059\001\060\001\
\061\001\062\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\082\001\083\001\255\255\
\085\001\086\001\087\001\088\001\089\001\090\001\091\001\092\001\
\093\001\094\001\095\001\096\001\097\001\098\001\255\255\255\255\
\101\001\102\001\103\001\255\255\105\001\106\001\107\001\255\255\
\255\255\110\001\255\255\255\255\255\255\114\001\255\255\116\001\
\255\255\118\001\119\001\120\001\121\001\122\001\123\001\124\001\
\125\001\255\255\255\255\128\001\255\255\130\001\255\255\132\001\
\133\001\134\001\135\001\136\001\137\001\138\001\139\001\255\255\
\141\001\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\255\255\013\001\014\001\255\255\016\001\017\001\018\001\255\255\
\020\001\255\255\255\255\255\255\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\036\001\255\255\038\001\255\255\255\255\041\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\050\001\051\001\
\052\001\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\082\001\083\001\
\255\255\085\001\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\255\255\
\255\255\101\001\102\001\103\001\255\255\105\001\106\001\107\001\
\255\255\255\255\110\001\255\255\255\255\255\255\114\001\255\255\
\116\001\255\255\118\001\119\001\120\001\121\001\122\001\123\001\
\124\001\125\001\255\255\255\255\128\001\255\255\130\001\255\255\
\132\001\133\001\134\001\135\001\136\001\137\001\138\001\139\001\
\255\255\141\001\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\255\255\013\001\014\001\255\255\016\001\017\001\018\001\
\255\255\020\001\255\255\255\255\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\062\001\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\082\001\
\083\001\255\255\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\255\255\255\255\101\001\102\001\103\001\255\255\105\001\106\001\
\107\001\255\255\255\255\110\001\255\255\112\001\255\255\255\255\
\255\255\116\001\255\255\118\001\119\001\120\001\121\001\122\001\
\123\001\124\001\125\001\255\255\255\255\128\001\255\255\130\001\
\255\255\132\001\133\001\134\001\135\001\136\001\137\001\138\001\
\255\255\255\255\141\001\005\001\006\001\007\001\008\001\009\001\
\255\255\255\255\255\255\013\001\014\001\255\255\016\001\017\001\
\018\001\255\255\020\001\255\255\255\255\255\255\255\255\255\255\
\255\255\027\001\028\001\255\255\255\255\255\255\032\001\033\001\
\255\255\255\255\036\001\255\255\038\001\255\255\255\255\041\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\050\001\051\001\052\001\255\255\255\255\255\255\255\255\057\001\
\058\001\059\001\060\001\061\001\062\001\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\081\001\
\082\001\083\001\255\255\085\001\086\001\087\001\088\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\096\001\097\001\
\098\001\255\255\255\255\101\001\102\001\103\001\255\255\105\001\
\106\001\107\001\255\255\255\255\110\001\255\255\255\255\255\255\
\255\255\255\255\116\001\255\255\118\001\119\001\120\001\121\001\
\122\001\123\001\124\001\125\001\255\255\255\255\128\001\255\255\
\130\001\255\255\132\001\133\001\134\001\135\001\136\001\137\001\
\138\001\255\255\255\255\141\001\005\001\006\001\007\001\008\001\
\009\001\255\255\255\255\255\255\013\001\014\001\255\255\255\255\
\017\001\018\001\255\255\020\001\255\255\255\255\255\255\255\255\
\255\255\255\255\027\001\028\001\255\255\255\255\255\255\032\001\
\033\001\255\255\255\255\036\001\255\255\038\001\255\255\255\255\
\041\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\050\001\051\001\052\001\255\255\255\255\255\255\255\255\
\057\001\058\001\059\001\060\001\061\001\062\001\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\081\001\082\001\083\001\255\255\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\255\255\255\255\101\001\102\001\103\001\255\255\
\105\001\106\001\255\255\255\255\255\255\110\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\125\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\133\001\134\001\135\001\136\001\
\137\001\138\001\255\255\255\255\141\001\005\001\006\001\007\001\
\008\001\009\001\255\255\255\255\255\255\013\001\014\001\255\255\
\255\255\017\001\018\001\255\255\020\001\255\255\255\255\255\255\
\255\255\255\255\255\255\027\001\028\001\255\255\255\255\255\255\
\032\001\033\001\255\255\255\255\036\001\255\255\038\001\255\255\
\255\255\041\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\050\001\051\001\052\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\062\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\082\001\083\001\255\255\085\001\086\001\087\001\
\088\001\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\255\255\255\255\255\255\102\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\110\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\118\001\255\255\
\255\255\255\255\255\255\255\255\255\255\125\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\134\001\135\001\
\136\001\137\001\138\001\255\255\255\255\141\001\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\255\255\013\001\014\001\
\255\255\255\255\017\001\018\001\255\255\020\001\255\255\255\255\
\255\255\255\255\255\255\255\255\027\001\028\001\255\255\255\255\
\255\255\032\001\033\001\255\255\255\255\036\001\255\255\038\001\
\255\255\255\255\041\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\050\001\051\001\052\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\062\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\082\001\083\001\255\255\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\255\255\255\255\255\255\102\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\110\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\005\001\006\001\007\001\008\001\009\001\125\001\255\255\
\255\255\013\001\014\001\255\255\255\255\017\001\018\001\134\001\
\135\001\136\001\137\001\138\001\255\255\255\255\141\001\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\036\001\255\255\038\001\255\255\255\255\041\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\050\001\051\001\
\052\001\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\095\001\096\001\097\001\098\001\255\255\
\255\255\101\001\255\255\103\001\255\255\105\001\106\001\255\255\
\255\255\255\255\110\001\255\255\255\255\005\001\006\001\007\001\
\008\001\009\001\255\255\255\255\255\255\013\001\014\001\255\255\
\255\255\017\001\018\001\255\255\255\255\255\255\255\255\255\255\
\255\255\133\001\134\001\027\001\028\001\137\001\138\001\255\255\
\032\001\033\001\255\255\255\255\255\255\255\255\038\001\255\255\
\255\255\041\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\050\001\051\001\052\001\255\255\255\255\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\255\255\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\255\255\
\255\255\255\255\255\255\255\255\076\001\077\001\078\001\079\001\
\080\001\081\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\095\001\
\096\001\097\001\098\001\255\255\255\255\101\001\255\255\103\001\
\255\255\255\255\106\001\255\255\255\255\255\255\110\001\255\255\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\255\255\255\255\017\001\018\001\255\255\020\001\
\021\001\022\001\255\255\024\001\255\255\133\001\027\001\028\001\
\255\255\137\001\138\001\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\255\255\255\255\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\062\001\013\001\014\001\255\255\255\255\017\001\018\001\
\255\255\020\001\021\001\022\001\255\255\024\001\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\255\255\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\095\001\096\001\097\001\098\001\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\031\001\255\255\
\255\255\110\001\255\255\062\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\255\255\255\255\255\255\255\255\137\001\138\001\255\255\255\255\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\255\255\110\001\017\001\018\001\255\255\020\001\
\255\255\022\001\255\255\024\001\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\255\255\255\255\041\001\255\255\137\001\138\001\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\255\255\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\062\001\013\001\014\001\255\255\255\255\255\255\018\001\
\014\001\255\255\255\255\017\001\255\255\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\036\001\255\255\038\001\255\255\255\255\041\001\255\255\
\255\255\255\255\095\001\096\001\097\001\098\001\255\255\050\001\
\051\001\052\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\110\001\255\255\057\001\058\001\059\001\060\001\061\001\
\255\255\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\078\001\079\001\080\001\081\001\137\001\138\001\255\255\255\255\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\255\255\
\013\001\014\001\255\255\110\001\106\001\018\001\255\255\020\001\
\255\255\255\255\255\255\255\255\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\255\255\134\001\041\001\255\255\137\001\138\001\
\255\255\255\255\255\255\255\255\255\255\050\001\051\001\052\001\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\255\255\013\001\014\001\255\255\255\255\255\255\018\001\255\255\
\255\255\255\255\022\001\255\255\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\255\255\255\255\038\001\255\255\255\255\041\001\255\255\255\255\
\255\255\255\255\095\001\096\001\097\001\098\001\050\001\051\001\
\052\001\255\255\005\001\006\001\007\001\008\001\009\001\255\255\
\255\255\110\001\013\001\014\001\255\255\255\255\255\255\018\001\
\255\255\255\255\255\255\255\255\023\001\255\255\255\255\255\255\
\027\001\028\001\255\255\255\255\255\255\032\001\033\001\255\255\
\255\255\255\255\255\255\038\001\137\001\138\001\041\001\255\255\
\255\255\255\255\255\255\095\001\096\001\097\001\098\001\050\001\
\051\001\052\001\255\255\005\001\006\001\007\001\008\001\009\001\
\255\255\255\255\110\001\013\001\014\001\255\255\255\255\255\255\
\018\001\255\255\255\255\255\255\255\255\023\001\255\255\255\255\
\255\255\027\001\028\001\255\255\255\255\255\255\032\001\033\001\
\255\255\255\255\255\255\255\255\038\001\137\001\138\001\041\001\
\255\255\255\255\255\255\255\255\095\001\096\001\097\001\098\001\
\050\001\051\001\052\001\255\255\005\001\006\001\007\001\008\001\
\009\001\255\255\255\255\110\001\013\001\014\001\255\255\255\255\
\255\255\018\001\255\255\020\001\255\255\255\255\255\255\255\255\
\255\255\255\255\027\001\028\001\255\255\255\255\255\255\032\001\
\033\001\255\255\255\255\255\255\255\255\038\001\137\001\138\001\
\041\001\255\255\255\255\255\255\255\255\095\001\096\001\097\001\
\098\001\050\001\051\001\052\001\255\255\005\001\006\001\007\001\
\008\001\009\001\255\255\255\255\110\001\013\001\014\001\255\255\
\255\255\255\255\018\001\255\255\020\001\255\255\255\255\255\255\
\255\255\255\255\255\255\027\001\028\001\255\255\255\255\255\255\
\032\001\033\001\255\255\255\255\255\255\255\255\038\001\137\001\
\138\001\041\001\255\255\255\255\255\255\255\255\095\001\096\001\
\097\001\098\001\050\001\051\001\052\001\255\255\005\001\006\001\
\007\001\008\001\009\001\255\255\255\255\110\001\013\001\014\001\
\255\255\255\255\255\255\018\001\255\255\255\255\255\255\255\255\
\023\001\255\255\255\255\255\255\027\001\028\001\255\255\255\255\
\255\255\032\001\033\001\255\255\255\255\255\255\255\255\038\001\
\137\001\138\001\041\001\255\255\255\255\255\255\255\255\095\001\
\096\001\097\001\098\001\050\001\051\001\052\001\255\255\005\001\
\006\001\007\001\008\001\009\001\255\255\255\255\110\001\013\001\
\014\001\255\255\255\255\255\255\018\001\019\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\027\001\028\001\255\255\
\255\255\255\255\032\001\033\001\255\255\255\255\255\255\255\255\
\038\001\137\001\138\001\041\001\255\255\255\255\255\255\255\255\
\095\001\096\001\097\001\098\001\050\001\051\001\052\001\255\255\
\005\001\006\001\007\001\008\001\009\001\255\255\255\255\110\001\
\013\001\014\001\255\255\255\255\255\255\018\001\019\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\027\001\028\001\
\255\255\255\255\255\255\032\001\033\001\255\255\255\255\255\255\
\255\255\038\001\137\001\138\001\041\001\255\255\255\255\255\255\
\255\255\095\001\096\001\097\001\098\001\050\001\051\001\052\001\
\255\255\005\001\006\001\007\001\008\001\009\001\255\255\255\255\
\110\001\013\001\014\001\255\255\255\255\255\255\018\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\027\001\
\028\001\255\255\255\255\255\255\032\001\033\001\255\255\255\255\
\255\255\255\255\038\001\137\001\138\001\041\001\255\255\255\255\
\255\255\255\255\095\001\096\001\097\001\098\001\050\001\051\001\
\052\001\255\255\014\001\255\255\255\255\255\255\018\001\019\001\
\255\255\110\001\022\001\014\001\255\255\025\001\255\255\018\001\
\019\001\255\255\015\001\022\001\017\001\255\255\025\001\255\255\
\036\001\255\255\255\255\255\255\255\255\041\001\255\255\255\255\
\255\255\036\001\255\255\255\255\137\001\138\001\041\001\255\255\
\052\001\255\255\255\255\095\001\096\001\097\001\098\001\255\255\
\255\255\052\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\110\001\255\255\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\137\001\138\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\110\001\255\255\255\255\255\255\114\001\255\255\
\101\001\255\255\103\001\110\001\105\001\106\001\017\001\114\001\
\019\001\020\001\255\255\255\255\255\255\255\255\025\001\255\255\
\255\255\255\255\134\001\030\001\255\255\137\001\255\255\255\255\
\035\001\036\001\255\255\134\001\144\001\255\255\137\001\255\255\
\133\001\255\255\255\255\255\255\255\255\144\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\057\001\058\001\
\059\001\060\001\061\001\255\255\063\001\064\001\065\001\066\001\
\067\001\068\001\069\001\070\001\071\001\072\001\073\001\074\001\
\075\001\076\001\077\001\078\001\079\001\080\001\081\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\099\001\255\255\101\001\102\001\103\001\255\255\105\001\106\001\
\107\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\116\001\255\255\017\001\255\255\019\001\020\001\255\255\
\255\255\255\255\255\255\025\001\255\255\128\001\255\255\130\001\
\030\001\132\001\133\001\134\001\255\255\035\001\036\001\255\255\
\139\001\255\255\255\255\255\255\255\255\144\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\255\255\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\081\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\099\001\255\255\101\001\
\102\001\103\001\255\255\105\001\106\001\107\001\255\255\014\001\
\255\255\255\255\017\001\018\001\255\255\255\255\116\001\022\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\128\001\255\255\130\001\036\001\132\001\133\001\
\134\001\255\255\041\001\255\255\255\255\139\001\255\255\255\255\
\255\255\255\255\144\001\255\255\255\255\052\001\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\014\001\255\255\255\255\017\001\101\001\255\255\
\103\001\255\255\105\001\106\001\255\255\255\255\255\255\110\001\
\255\255\255\255\255\255\114\001\255\255\255\255\255\255\255\255\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\133\001\134\001\
\255\255\255\255\137\001\255\255\139\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\255\255\255\255\255\255\255\255\255\255\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\101\001\255\255\103\001\255\255\255\255\106\001\107\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\116\001\255\255\118\001\119\001\120\001\121\001\122\001\123\001\
\124\001\255\255\255\255\255\255\128\001\255\255\130\001\255\255\
\132\001\133\001\014\001\255\255\255\255\017\001\018\001\139\001\
\255\255\255\255\022\001\255\255\014\001\255\255\255\255\255\255\
\018\001\255\255\255\255\255\255\255\255\255\255\255\255\035\001\
\036\001\255\255\255\255\255\255\255\255\041\001\255\255\255\255\
\255\255\035\001\255\255\255\255\255\255\255\255\255\255\041\001\
\052\001\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\052\001\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\101\001\255\255\103\001\255\255\105\001\106\001\255\255\
\017\001\255\255\110\001\020\001\255\255\255\255\114\001\255\255\
\025\001\107\001\255\255\255\255\110\001\030\001\255\255\255\255\
\255\255\255\255\116\001\036\001\255\255\255\255\255\255\255\255\
\255\255\133\001\134\001\255\255\255\255\137\001\128\001\255\255\
\130\001\255\255\132\001\255\255\255\255\255\255\255\255\137\001\
\057\001\058\001\059\001\060\001\061\001\255\255\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\081\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\099\001\255\255\101\001\255\255\103\001\255\255\
\105\001\106\001\107\001\255\255\255\255\017\001\255\255\255\255\
\020\001\255\255\255\255\116\001\255\255\025\001\255\255\255\255\
\255\255\255\255\030\001\255\255\255\255\255\255\255\255\128\001\
\036\001\130\001\255\255\132\001\133\001\255\255\255\255\255\255\
\255\255\255\255\139\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\099\001\
\255\255\101\001\255\255\103\001\255\255\105\001\106\001\107\001\
\255\255\255\255\017\001\255\255\255\255\020\001\255\255\255\255\
\116\001\255\255\025\001\255\255\255\255\255\255\255\255\030\001\
\255\255\255\255\255\255\255\255\128\001\036\001\130\001\255\255\
\132\001\133\001\255\255\255\255\255\255\255\255\255\255\139\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\255\255\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\015\001\255\255\017\001\
\255\255\019\001\255\255\255\255\099\001\255\255\101\001\255\255\
\103\001\255\255\105\001\106\001\107\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\116\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\128\001\255\255\130\001\255\255\132\001\133\001\057\001\
\058\001\059\001\060\001\061\001\139\001\063\001\064\001\065\001\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\081\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\015\001\255\255\017\001\255\255\255\255\255\255\
\255\255\255\255\255\255\101\001\255\255\103\001\255\255\105\001\
\106\001\255\255\255\255\255\255\255\255\034\001\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\033\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\255\255\133\001\057\001\058\001\059\001\060\001\
\061\001\255\255\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\255\255\255\255\255\255\
\255\255\015\001\255\255\017\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\101\001\255\255\103\001\255\255\105\001\106\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\133\001\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\081\001\255\255\255\255\255\255\255\255\
\255\255\016\001\017\001\255\255\255\255\255\255\021\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\101\001\
\255\255\103\001\255\255\105\001\106\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\057\001\058\001\059\001\060\001\061\001\133\001\
\063\001\064\001\065\001\066\001\067\001\068\001\069\001\070\001\
\071\001\072\001\073\001\074\001\075\001\076\001\077\001\078\001\
\079\001\080\001\081\001\255\255\255\255\255\255\255\255\255\255\
\016\001\017\001\255\255\255\255\255\255\021\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\100\001\101\001\255\255\
\103\001\255\255\105\001\106\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\057\001\058\001\059\001\060\001\061\001\133\001\063\001\
\064\001\065\001\066\001\067\001\068\001\069\001\070\001\071\001\
\072\001\073\001\074\001\075\001\076\001\077\001\078\001\079\001\
\080\001\081\001\255\255\255\255\255\255\255\255\255\255\255\255\
\017\001\255\255\255\255\020\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\100\001\101\001\255\255\103\001\
\255\255\105\001\106\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\057\001\058\001\059\001\060\001\061\001\133\001\063\001\064\001\
\065\001\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\081\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\017\001\255\255\255\255\
\020\001\255\255\255\255\255\255\101\001\255\255\103\001\255\255\
\105\001\106\001\107\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\116\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\128\001\
\255\255\130\001\255\255\132\001\133\001\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\071\001\072\001\073\001\074\001\075\001\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\017\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\101\001\255\255\103\001\255\255\105\001\106\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\057\001\058\001\059\001\060\001\
\061\001\133\001\063\001\064\001\065\001\066\001\067\001\068\001\
\069\001\070\001\071\001\072\001\073\001\074\001\075\001\076\001\
\077\001\078\001\079\001\080\001\081\001\255\255\255\255\255\255\
\255\255\255\255\255\255\017\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\101\001\255\255\103\001\255\255\105\001\106\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\057\001\058\001\059\001\060\001\061\001\
\133\001\063\001\064\001\065\001\066\001\067\001\068\001\069\001\
\070\001\255\255\255\255\255\255\255\255\017\001\076\001\077\001\
\078\001\079\001\080\001\081\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\101\001\
\255\255\103\001\255\255\255\255\106\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\057\001\058\001\059\001\
\060\001\061\001\255\255\063\001\064\001\065\001\066\001\067\001\
\068\001\069\001\070\001\255\255\255\255\255\255\255\255\133\001\
\076\001\077\001\078\001\079\001\080\001\081\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\101\001\255\255\103\001\255\255\255\255\106\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\018\001\255\255\255\255\255\255\022\001\255\255\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\255\255\
\255\255\133\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\045\001\046\001\047\001\048\001\
\049\001\050\001\051\001\052\001\053\001\054\001\055\001\056\001\
\018\001\255\255\255\255\255\255\022\001\255\255\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\255\255\255\255\
\255\255\035\001\036\001\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\005\001\
\006\001\007\001\008\001\255\255\255\255\255\255\255\255\255\255\
\014\001\255\255\255\255\017\001\018\001\019\001\020\001\021\001\
\255\255\114\001\255\255\025\001\255\255\027\001\028\001\029\001\
\030\001\031\001\255\255\033\001\255\255\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\051\001\052\001\053\001\
\054\001\055\001\056\001\255\255\255\255\255\255\255\255\255\255\
\114\001\005\001\006\001\007\001\008\001\255\255\255\255\255\255\
\255\255\255\255\014\001\255\255\255\255\017\001\018\001\019\001\
\020\001\021\001\255\255\255\255\255\255\025\001\084\001\027\001\
\028\001\029\001\030\001\031\001\090\001\033\001\255\255\035\001\
\036\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\049\001\050\001\051\001\
\052\001\053\001\054\001\055\001\056\001\255\255\255\255\255\255\
\255\255\255\255\255\255\005\001\006\001\007\001\008\001\255\255\
\255\255\255\255\255\255\255\255\014\001\255\255\255\255\017\001\
\018\001\019\001\020\001\021\001\255\255\255\255\255\255\025\001\
\084\001\027\001\028\001\029\001\030\001\031\001\090\001\033\001\
\255\255\035\001\255\255\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\045\001\046\001\047\001\048\001\049\001\
\050\001\051\001\052\001\053\001\054\001\055\001\056\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\018\001\255\255\
\255\255\021\001\022\001\255\255\024\001\025\001\026\001\027\001\
\028\001\255\255\084\001\031\001\255\255\255\255\255\255\035\001\
\090\001\037\001\038\001\039\001\040\001\041\001\042\001\043\001\
\044\001\045\001\046\001\047\001\048\001\049\001\050\001\051\001\
\052\001\053\001\054\001\055\001\056\001"

let yynames_const = "\
  "

let yynames_block = "\
  TUnknown\000\
  TCommentSpace\000\
  TCommentNewline\000\
  TComment\000\
  TInt\000\
  TFloat\000\
  TChar\000\
  TString\000\
  TQuote\000\
  TPct\000\
  TFormat\000\
  TSubString\000\
  TDecimal\000\
  TIdent\000\
  TKRParam\000\
  Tconstructorname\000\
  TypedefIdent\000\
  TOPar\000\
  TCPar\000\
  TOBrace\000\
  TCBrace\000\
  TOCro\000\
  TCCro\000\
  TDot\000\
  TComma\000\
  TPtrOp\000\
  TInc\000\
  TDec\000\
  TAssign\000\
  TEq\000\
  TWhy\000\
  TTilde\000\
  TBang\000\
  TEllipsis\000\
  TDotDot\000\
  TPtVirg\000\
  TOrLog\000\
  TAndLog\000\
  TOr\000\
  TXor\000\
  TAnd\000\
  TEqEq\000\
  TNotEq\000\
  TInf\000\
  TSup\000\
  TInfEq\000\
  TSupEq\000\
  TShl\000\
  TShr\000\
  TPlus\000\
  TMinus\000\
  TMul\000\
  TDiv\000\
  TMod\000\
  TMax\000\
  TMin\000\
  Tchar\000\
  Tshort\000\
  Tint\000\
  Tdouble\000\
  Tfloat\000\
  Tcomplex\000\
  Tlong\000\
  Tunsigned\000\
  Tsigned\000\
  Tvoid\000\
  Tsize_t\000\
  Tssize_t\000\
  Tptrdiff_t\000\
  TautoType\000\
  Tauto\000\
  Tregister\000\
  Textern\000\
  Tstatic\000\
  Ttypedef\000\
  Tconst\000\
  Tvolatile\000\
  Tstruct\000\
  Tunion\000\
  Tenum\000\
  Tdecimal\000\
  Texec\000\
  Tbreak\000\
  Telse\000\
  Tswitch\000\
  Tcase\000\
  Tcontinue\000\
  Tfor\000\
  Tdo\000\
  Tif\000\
  Twhile\000\
  Treturn\000\
  Tgoto\000\
  Tdefault\000\
  Tsizeof\000\
  Tnew\000\
  Tdelete\000\
  Tdefined\000\
  TOParCplusplusInit\000\
  Tnamespace\000\
  Trestrict\000\
  Tasm\000\
  Tattribute\000\
  TattributeNoarg\000\
  Tinline\000\
  Ttypeof\000\
  TDefine\000\
  TDefParamVariadic\000\
  TCppEscapedNewline\000\
  TCppConcatOp\000\
  TOParDefine\000\
  TOBraceDefineInit\000\
  TIdentDefine\000\
  TDefEOL\000\
  TInclude\000\
  TIncludeStart\000\
  TIncludeFilename\000\
  TIfdef\000\
  TIfdefelif\000\
  TIfdefelse\000\
  TEndif\000\
  TIfdefBool\000\
  TIfdefMisc\000\
  TIfdefVersion\000\
  TUifdef\000\
  TUelseif\000\
  TUendif\000\
  TUndef\000\
  TPrePragma\000\
  TPragma\000\
  TPragmaString\000\
  TCppDirectiveOther\000\
  TMacroAttr\000\
  TMacroEndAttr\000\
  TMacroStmt\000\
  TMacroIdStmt\000\
  TMacroIdentBuilder\000\
  TMacroString\000\
  TMacroDecl\000\
  TMacroDeclConst\000\
  TMacroIterator\000\
  TCommentSkipTagStart\000\
  TCommentSkipTagEnd\000\
  TCParEOL\000\
  TAction\000\
  TCommentMisc\000\
  TCommentCpp\000\
  EOF\000\
  TTODO\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 705 "parsing_c/parser_c.mly"
                          ( _1 )
# 3477 "parsing_c/parser_c.ml"
               : Ast_c.program))
; (fun __caml_parser_env ->
    Obj.repr(
# 709 "parsing_c/parser_c.mly"
     ( [] )
# 3483 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'external_declaration) in
    Obj.repr(
# 711 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel]; _1 @ [_2] )
# 3491 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'translation_unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 713 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel];
       _1 @ [Namespace (_5, [_2; snd _3; _4; _6])] )
# 3504 "parsing_c/parser_c.ml"
               : 'translation_unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 726 "parsing_c/parser_c.mly"
                ( _1 )
# 3511 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 727 "parsing_c/parser_c.mly"
                ( _1 )
# 3518 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 728 "parsing_c/parser_c.mly"
                ( ("complex", _1) )
# 3525 "parsing_c/parser_c.ml"
               : 'ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 732 "parsing_c/parser_c.mly"
                ( _1 )
# 3532 "parsing_c/parser_c.ml"
               : 'identifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 733 "parsing_c/parser_c.mly"
                ( ("complex", _1) )
# 3539 "parsing_c/parser_c.ml"
               : 'identifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 742 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3546 "parsing_c/parser_c.ml"
               : 'identifier_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_extra_cpp) in
    Obj.repr(
# 743 "parsing_c/parser_c.mly"
                   ( _1 )
# 3553 "parsing_c/parser_c.ml"
               : 'identifier_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 747 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3560 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 749 "parsing_c/parser_c.mly"
     ( RegularName (mk_string_wrap _1) )
# 3567 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_extra_cpp) in
    Obj.repr(
# 750 "parsing_c/parser_c.mly"
                   ( _1 )
# 3574 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 751 "parsing_c/parser_c.mly"
                ( RegularName (mk_string_wrap ("complex", _1)) )
# 3581 "parsing_c/parser_c.ml"
               : 'ident_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp_list) in
    Obj.repr(
# 755 "parsing_c/parser_c.mly"
     (
       CppConcatenatedName (
         match _3 with
         | [] -> raise (Impossible 87)
         | (x,concatnull)::xs ->
             assert (concatnull = []);
             (mk_string_wrap _1, [])::(x,[_2])::xs
       )
   )
# 3598 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 765 "parsing_c/parser_c.mly"
     ( CppVariadicName (fst _2, [_1; snd _2]) )
# 3606 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'param_define_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 767 "parsing_c/parser_c.mly"
     ( CppIdentBuilder ((fst _1, [snd _1;_2;_4]), _3) )
# 3616 "parsing_c/parser_c.ml"
               : 'ident_extra_cpp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 770 "parsing_c/parser_c.mly"
          ( [mk_string_wrap _1, []] )
# 3623 "parsing_c/parser_c.ml"
               : 'identifier_cpp_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'identifier_cpp_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 771 "parsing_c/parser_c.mly"
                                           ( _1 @ [mk_string_wrap _3, [_2]] )
# 3632 "parsing_c/parser_c.ml"
               : 'identifier_cpp_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 778 "parsing_c/parser_c.mly"
                           ( _1 )
# 3639 "parsing_c/parser_c.ml"
               : Ast_c.expression))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 779 "parsing_c/parser_c.mly"
                           ( mk_e (Sequence (_1,_3)) [_2] )
# 3648 "parsing_c/parser_c.ml"
               : Ast_c.expression))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 782 "parsing_c/parser_c.mly"
                                 ( _1 )
# 3655 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'assign_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.assignOp) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 783 "parsing_c/parser_c.mly"
                                   ( mk_e(Assignment (_1, _2, _3)) [])
# 3664 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'assign_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 784 "parsing_c/parser_c.mly"
                                   ( mk_e (Assignment (_1, (SimpleAssign, [_2]),_3)) [])
# 3673 "parsing_c/parser_c.ml"
               : 'assign_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 789 "parsing_c/parser_c.mly"
     ( _1 )
# 3680 "parsing_c/parser_c.ml"
               : 'cond_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'gcc_opt_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 791 "parsing_c/parser_c.mly"
     ( mk_e (CondExpr (_1,_3,_5)) [_2;_4] )
# 3691 "parsing_c/parser_c.ml"
               : 'cond_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 795 "parsing_c/parser_c.mly"
                                 ( _1 )
# 3698 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 796 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Mul,[_2]), _3)) [] )
# 3707 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 797 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Div, [_2]), _3)) [] )
# 3716 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 798 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Min, [_2]), _3)) [] )
# 3725 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 799 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Max, [_2]), _3)) [] )
# 3734 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 800 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Mod, [_2]), _3)) [] )
# 3743 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 801 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Plus, [_2]), _3)) [] )
# 3752 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 802 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Minus, [_2]), _3)) [] )
# 3761 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 803 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith DecLeft, [_2]), _3)) [] )
# 3770 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 804 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith DecRight, [_2]), _3)) [] )
# 3779 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 805 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Inf, [_2]), _3)) [] )
# 3788 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 806 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Sup, [_2]), _3)) [] )
# 3797 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 807 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical InfEq, [_2]), _3)) [] )
# 3806 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 808 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical SupEq, [_2]), _3)) [] )
# 3815 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 809 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical Eq, [_2]), _3)) [] )
# 3824 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 810 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical NotEq, [_2]), _3)) [] )
# 3833 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 811 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith And, [_2]), _3)) [] )
# 3842 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 812 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Or, [_2]), _3)) [] )
# 3851 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 813 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Arith Xor, [_2]), _3)) [] )
# 3860 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 814 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical AndLog, [_2]), _3)) [] )
# 3869 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arith_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arith_expr) in
    Obj.repr(
# 815 "parsing_c/parser_c.mly"
                                 ( mk_e(Binary (_1, (Logical OrLog, [_2]), _3)) [] )
# 3878 "parsing_c/parser_c.ml"
               : 'arith_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 818 "parsing_c/parser_c.mly"
                                     ( _1 )
# 3885 "parsing_c/parser_c.ml"
               : 'cast_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.attribute list * Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 820 "parsing_c/parser_c.mly"
   ( mk_e(Cast (snd _2, fst _2, _4)) [_1;_3] )
# 3895 "parsing_c/parser_c.ml"
               : 'cast_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'postfix_expr) in
    Obj.repr(
# 828 "parsing_c/parser_c.mly"
                                   ( _1 )
# 3902 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 829 "parsing_c/parser_c.mly"
                                   ( mk_e(Infix (_2, Inc))    [_1] )
# 3910 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 830 "parsing_c/parser_c.mly"
                                   ( mk_e(Infix (_2, Dec))    [_1] )
# 3918 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'unary_op) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 831 "parsing_c/parser_c.mly"
                                   ( mk_e(Unary (_2, fst _1)) [snd _1] )
# 3926 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unary_expr) in
    Obj.repr(
# 832 "parsing_c/parser_c.mly"
                                   ( mk_e(SizeOfExpr (_2))    [_1] )
# 3934 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar2) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.attribute list * Ast_c.fullType) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar2) in
    Obj.repr(
# 834 "parsing_c/parser_c.mly"
     ( let ret = mk_e(SizeOfType (snd _3)) [_1;_2;_4] in
       match (fst _3) with (* warn about dropped attributes *)
         [] -> ret
       | _ -> warning "attributes found in sizeof(...), dropping" ret )
# 3947 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'new_argument) in
    Obj.repr(
# 838 "parsing_c/parser_c.mly"
                                   ( mk_e(New (None, _2))     [_1] )
# 3955 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'new_argument) in
    Obj.repr(
# 839 "parsing_c/parser_c.mly"
                                                  ( mk_e(New (Some _3, _5))             [_1; _2; _4] )
# 3966 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 840 "parsing_c/parser_c.mly"
                                   ( mk_e(Delete(false, _2))  [_1] )
# 3974 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cast_expr) in
    Obj.repr(
# 841 "parsing_c/parser_c.mly"
                                   ( mk_e(Delete(true, _4))   [_1;_2;_3] )
# 3984 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 842 "parsing_c/parser_c.mly"
                                   ( mk_e(Defined _2)         [_1] )
# 3992 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'identifier_cpp) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 844 "parsing_c/parser_c.mly"
 ( mk_e(Defined _3) [_1;_2;_4] )
# 4002 "parsing_c/parser_c.ml"
               : 'unary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 848 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, _3)) [_2;_4]) )
# 4013 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 851 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left(mk_e(FunCall (fn, [])) [_2;_3]) )
# 4023 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 854 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, _3)) [_2;_4]) )
# 4034 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 857 "parsing_c/parser_c.mly"
     ( let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
       Left (mk_e(FunCall (fn, [])) [_2;_3]) )
# 4044 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 860 "parsing_c/parser_c.mly"
     ( let ty = addTypeD (_1,nullDecl) in
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam ty in
       Right (ArgType { p_namei = None; p_type = returnType;
                        p_register = hasreg, iihasreg; p_attr = [];
		      } )
     )
# 4056 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'new_argument) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 867 "parsing_c/parser_c.mly"
     (
       match _1 with
	 Left(e) -> Left(mk_e(ArrayAccess (e, _3)) [_2;_4])
       | Right(ArgType(ty)) -> (* lots of hacks to make the right type *)
	   let fty = mk_ty (Array (Some _3, ty.Ast_c.p_type)) [_2;_4] in
	   let pty = { ty with p_type = fty } in
	   Right(ArgType pty)
       | _ -> raise (Impossible 88)
     )
# 4074 "parsing_c/parser_c.ml"
               : 'new_argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 878 "parsing_c/parser_c.mly"
          ( GetRef,     _1 )
# 4081 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 879 "parsing_c/parser_c.mly"
          ( DeRef,      _1 )
# 4088 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 880 "parsing_c/parser_c.mly"
          ( UnPlus,     _1 )
# 4095 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 881 "parsing_c/parser_c.mly"
          ( UnMinus,    _1 )
# 4102 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 882 "parsing_c/parser_c.mly"
          ( Tilde,      _1 )
# 4109 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 883 "parsing_c/parser_c.mly"
          ( Not,        _1 )
# 4116 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 887 "parsing_c/parser_c.mly"
           ( GetRefLabel, _1 )
# 4123 "parsing_c/parser_c.ml"
               : 'unary_op))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'primary_expr) in
    Obj.repr(
# 890 "parsing_c/parser_c.mly"
                              ( _1 )
# 4130 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 892 "parsing_c/parser_c.mly"
     ( mk_e(ArrayAccess (_1, _3)) [_2;_4] )
# 4140 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 894 "parsing_c/parser_c.mly"
     ( mk_e(FunCall (_1, _3)) [_2;_4] )
# 4150 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 895 "parsing_c/parser_c.mly"
                              ( mk_e(FunCall (_1, [])) [_2;_3] )
# 4159 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 896 "parsing_c/parser_c.mly"
                                 ( mk_e(RecordAccess   (_1,_3)) [_2] )
# 4168 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 897 "parsing_c/parser_c.mly"
                                 ( mk_e(RecordPtAccess (_1,_3)) [_2] )
# 4177 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 898 "parsing_c/parser_c.mly"
                              ( mk_e(Postfix (_1, Inc)) [_2] )
# 4185 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'postfix_expr) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 899 "parsing_c/parser_c.mly"
                              ( mk_e(Postfix (_1, Dec)) [_2] )
# 4193 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.attribute list * Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 903 "parsing_c/parser_c.mly"
     ( mk_e(Constructor (snd _2, (InitList [], [_4;_5]))) [_1;_3] )
# 4204 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : 'topar2) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.attribute list * Ast_c.fullType) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'tcpar2) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 905 "parsing_c/parser_c.mly"
     ( mk_e(Constructor (snd _2, (InitList (List.rev _5),[_4;_7] @ _6))) [_1;_3] )
# 4217 "parsing_c/parser_c.ml"
               : 'postfix_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 909 "parsing_c/parser_c.mly"
                   ( mk_e(Ident  (_1)) [] )
# 4224 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * (Ast_c.sign * Ast_c.base)) * Ast_c.info) in
    Obj.repr(
# 911 "parsing_c/parser_c.mly"
    ( let (str,(sign,base)) = fst _1 in
      mk_e(Constant (Int (str,Si(sign,base)))) [snd _1] )
# 4232 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.floatType) * Ast_c.info) in
    Obj.repr(
# 913 "parsing_c/parser_c.mly"
           ( mk_e(Constant (Float  (fst _1))) [snd _1] )
# 4239 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 914 "parsing_c/parser_c.mly"
           ( mk_e(Constant (String (fst _1))) [snd _1] )
# 4246 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'string_fragments) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 916 "parsing_c/parser_c.mly"
     ( let ((fullstring,isW),lqinfo) = _1 in
       let (_,rqinfo) = _3 in
       mk_e (Ast_c.StringConstant(_2, fullstring, isW)) [lqinfo;rqinfo] )
# 4257 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 919 "parsing_c/parser_c.mly"
           ( mk_e(Constant (Char   (fst _1))) [snd _1] )
# 4264 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * string (*n*) * string (*p*)) * Ast_c.info) in
    Obj.repr(
# 920 "parsing_c/parser_c.mly"
            ( let (a,b,c) = fst _1 in
              mk_e(Constant (DecimalConst (a,b,c))) [snd _1] )
# 4272 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 922 "parsing_c/parser_c.mly"
                    ( mk_e(ParenExpr (_2)) [_1;_3] )
# 4281 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 925 "parsing_c/parser_c.mly"
                ( mk_e(Constant (MultiString [fst _1])) [snd _1] )
# 4288 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_elem) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_list) in
    Obj.repr(
# 927 "parsing_c/parser_c.mly"
     ( mk_e(Constant (MultiString ["TODO: MultiString"])) (_1 @ _2) )
# 4296 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'compound) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 930 "parsing_c/parser_c.mly"
                         ( mk_e(StatementExpr (_2)) [_1;_3] )
# 4305 "parsing_c/parser_c.ml"
               : 'primary_expr))
; (fun __caml_parser_env ->
    Obj.repr(
# 933 "parsing_c/parser_c.mly"
               ( [] )
# 4311 "parsing_c/parser_c.ml"
               : 'string_fragments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_fragment) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_fragments) in
    Obj.repr(
# 934 "parsing_c/parser_c.mly"
                                    ( _1 :: _2 )
# 4319 "parsing_c/parser_c.ml"
               : 'string_fragments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_format) in
    Obj.repr(
# 937 "parsing_c/parser_c.mly"
                      ( Ast_c.FormatFragment(_2), [_1] )
# 4327 "parsing_c/parser_c.ml"
               : 'string_fragment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 938 "parsing_c/parser_c.mly"
              ( Ast_c.ConstantFragment(fst _1), [snd _1] )
# 4334 "parsing_c/parser_c.ml"
               : 'string_fragment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 941 "parsing_c/parser_c.mly"
           ( Ast_c.ConstantFormat(fst _1), [snd _1] )
# 4341 "parsing_c/parser_c.ml"
               : 'string_format))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 950 "parsing_c/parser_c.mly"
               ( Left _1 )
# 4348 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl_arg) in
    Obj.repr(
# 951 "parsing_c/parser_c.mly"
                      ( Right (ArgType _1) )
# 4355 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'action_higherordermacro_ne) in
    Obj.repr(
# 952 "parsing_c/parser_c.mly"
                              ( Right (ArgAction _1) )
# 4362 "parsing_c/parser_c.ml"
               : 'argument_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 956 "parsing_c/parser_c.mly"
               ( Left _1 )
# 4369 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl_arg) in
    Obj.repr(
# 957 "parsing_c/parser_c.mly"
                      ( Right (ArgType _1) )
# 4376 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'action_higherordermacro) in
    Obj.repr(
# 959 "parsing_c/parser_c.mly"
                           ( Right (ArgAction _1) )
# 4383 "parsing_c/parser_c.ml"
               : 'argument))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list_ne) in
    Obj.repr(
# 963 "parsing_c/parser_c.mly"
     ( if _1=[]
       then ActMisc [Ast_c.fakeInfo()]
       else ActMisc _1
     )
# 4393 "parsing_c/parser_c.ml"
               : 'action_higherordermacro_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list) in
    Obj.repr(
# 971 "parsing_c/parser_c.mly"
     ( if _1=[]
       then ActMisc [Ast_c.fakeInfo()]
       else ActMisc _1
     )
# 4403 "parsing_c/parser_c.ml"
               : 'action_higherordermacro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 982 "parsing_c/parser_c.mly"
                      ( _1  )
# 4410 "parsing_c/parser_c.ml"
               : 'const_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 985 "parsing_c/parser_c.mly"
              ( et "topar2" (); _1  )
# 4417 "parsing_c/parser_c.ml"
               : 'topar2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 986 "parsing_c/parser_c.mly"
              ( et "tcpar2" (); _1 (*TODO? et ? sure ? c pas dt plutot ? *) )
# 4424 "parsing_c/parser_c.ml"
               : 'tcpar2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'statement2) in
    Obj.repr(
# 994 "parsing_c/parser_c.mly"
                      ( mk_st (fst _1) (snd _1) )
# 4431 "parsing_c/parser_c.ml"
               : Ast_c.statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'labeled) in
    Obj.repr(
# 997 "parsing_c/parser_c.mly"
                   ( Labeled      (fst _1), snd _1 )
# 4438 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 998 "parsing_c/parser_c.mly"
                   ( Compound     (fst _1), snd _1 )
# 4445 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'expr_statement) in
    Obj.repr(
# 999 "parsing_c/parser_c.mly"
                   ( ExprStatement(fst _1), snd _1 )
# 4452 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'selection) in
    Obj.repr(
# 1000 "parsing_c/parser_c.mly"
                   ( Selection    (fst _1), snd _1 @ [postfakeInfo(snd _1)] )
# 4459 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'iteration) in
    Obj.repr(
# 1001 "parsing_c/parser_c.mly"
                   ( Iteration    (fst _1), snd _1 @ [postfakeInfo(snd _1)] )
# 4466 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'jump) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1002 "parsing_c/parser_c.mly"
                   ( Jump         (fst _1), snd _1 @ [_2] )
# 4474 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1005 "parsing_c/parser_c.mly"
                                                ( Asm _3, [_1;_2;_4;_5] )
# 4485 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1006 "parsing_c/parser_c.mly"
                                                ( Asm _4, [_1;_2;_3;_5;_6] )
# 4497 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1009 "parsing_c/parser_c.mly"
                                           (
   let fn = mk_e(Ident (RegularName (mk_string_wrap _1))) [] in
   ExprStatement (Some(mk_e (FunCall (fn, _3)) [_2;_4])), [Ast_c.fakeInfo ()] )
# 4509 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1012 "parsing_c/parser_c.mly"
                ( MacroStmt, [snd _1] )
# 4516 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'identifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'exec_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1014 "parsing_c/parser_c.mly"
                                      ( Exec(_3), [_1;snd _2;_4] )
# 4526 "parsing_c/parser_c.ml"
               : 'statement2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ident_cpp) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1021 "parsing_c/parser_c.mly"
                                              ( Label (_1, _3),  [_2] )
# 4535 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1022 "parsing_c/parser_c.mly"
                                              ( Case (_2, _4),       [_1; _3] )
# 4545 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'const_expr) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1024 "parsing_c/parser_c.mly"
     ( CaseRange (_2, _4, _6), [_1;_3;_5] )
# 4557 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'sw_stat_or_decl) in
    Obj.repr(
# 1025 "parsing_c/parser_c.mly"
                                         ( Default _3,             [_1; _2] )
# 4566 "parsing_c/parser_c.ml"
               : 'labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1028 "parsing_c/parser_c.mly"
             ( mk_st (Decl (_1 Ast_c.LocalDecl)) Ast_c.noii )
# 4573 "parsing_c/parser_c.ml"
               : 'sw_stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1029 "parsing_c/parser_c.mly"
             ( _1 )
# 4580 "parsing_c/parser_c.ml"
               : 'sw_stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'ident_cpp) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1040 "parsing_c/parser_c.mly"
     ( Label (_1, (mk_st (ExprStatement None) Ast_c.noii)), [_2] )
# 4588 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1042 "parsing_c/parser_c.mly"
     ( Case (_2, (mk_st (ExprStatement None) Ast_c.noii)), [_1;_3] )
# 4597 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1044 "parsing_c/parser_c.mly"
     ( Default (mk_st (ExprStatement None) Ast_c.noii),    [_1; _2] )
# 4605 "parsing_c/parser_c.ml"
               : 'end_labeled))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'compound2) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace) in
    Obj.repr(
# 1050 "parsing_c/parser_c.mly"
                                    ( _2, [_1; _3]  )
# 4614 "parsing_c/parser_c.ml"
               : 'compound))
; (fun __caml_parser_env ->
    Obj.repr(
# 1062 "parsing_c/parser_c.mly"
                     ( ([]) )
# 4620 "parsing_c/parser_c.ml"
               : 'compound2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 1063 "parsing_c/parser_c.mly"
                     ( _1 )
# 4627 "parsing_c/parser_c.ml"
               : 'compound2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl) in
    Obj.repr(
# 1067 "parsing_c/parser_c.mly"
                                  ( [_1] )
# 4634 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'end_labeled) in
    Obj.repr(
# 1069 "parsing_c/parser_c.mly"
                ( [StmtElem (mk_st (Labeled  (fst _1)) (snd _1))] )
# 4641 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'stat_or_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 1071 "parsing_c/parser_c.mly"
                                  ( _1 :: _2 )
# 4649 "parsing_c/parser_c.ml"
               : 'stat_or_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1074 "parsing_c/parser_c.mly"
             ( StmtElem (mk_st (Decl (_1 Ast_c.LocalDecl)) Ast_c.noii) )
# 4656 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1075 "parsing_c/parser_c.mly"
             ( StmtElem _1 )
# 4663 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 1078 "parsing_c/parser_c.mly"
                       ( StmtElem (mk_st (NestedFunc _1) Ast_c.noii) )
# 4670 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1082 "parsing_c/parser_c.mly"
     ( CppDirectiveStmt _1 )
# 4677 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 1084 "parsing_c/parser_c.mly"
     ( IfdefStmt _1 )
# 4684 "parsing_c/parser_c.ml"
               : 'stat_or_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1088 "parsing_c/parser_c.mly"
                               ( None,    [_1] )
# 4691 "parsing_c/parser_c.ml"
               : 'expr_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1089 "parsing_c/parser_c.mly"
                               ( None,    [_2] )
# 4699 "parsing_c/parser_c.ml"
               : 'expr_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1090 "parsing_c/parser_c.mly"
                               ( Some _1, [_2] )
# 4707 "parsing_c/parser_c.ml"
               : 'expr_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1094 "parsing_c/parser_c.mly"
     ( If (_3, _5, (mk_st (ExprStatement None) Ast_c.noii)),   [_1;_2;_4] )
# 4718 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : 'cpp_ifdef_statement) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1096 "parsing_c/parser_c.mly"
     ( If (_3, _5, _7),  [_1;_2;_4;_6] )
# 4731 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1098 "parsing_c/parser_c.mly"
     ( Switch (_3,_5),   [_1;_2;_4]  )
# 4742 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.expression) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.statement) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1101 "parsing_c/parser_c.mly"
     ( Ifdef_Ite (_4,_6,_9), [_1;_2;_3;_5;_7;_8] )
# 4757 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 10 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 9 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 8 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 7 : Ast_c.expression) in
    let _5 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.statement) in
    let _7 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _8 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _9 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.statement) in
    let _10 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _11 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 1104 "parsing_c/parser_c.mly"
     ( Ifdef_Ite2 (_4,_6,_9,_11), [_1;_2;_3;_5;_7;_8;_10] )
# 4774 "parsing_c/parser_c.ml"
               : 'selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1108 "parsing_c/parser_c.mly"
     ( While (_3,_5),                [_1;_2;_4] )
# 4785 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1110 "parsing_c/parser_c.mly"
     ( DoWhile (_2,_5),              [_1;_3;_4;_6;_7] )
# 4798 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1112 "parsing_c/parser_c.mly"
     ( For (ForExp _3,_4,(None, []),_6),    [_1;_2;_5])
# 4810 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'expr_statement) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1114 "parsing_c/parser_c.mly"
     ( For (ForExp _3,_4,(Some _5, []),_7), [_1;_2;_6] )
# 4823 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'decl) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1117 "parsing_c/parser_c.mly"
     ( For (ForDecl (_3 Ast_c.LocalDecl),_4,(None, []),_6),    [_1;_2;_5])
# 4835 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : 'decl) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'expr_statement) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1119 "parsing_c/parser_c.mly"
     ( For (ForDecl (_3 Ast_c.LocalDecl),_4,(Some _5, []),_7), [_1;_2;_6] )
# 4848 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1122 "parsing_c/parser_c.mly"
     ( MacroIteration (fst _1, _3, _5), [snd _1;_2;_4] )
# 4859 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement) in
    Obj.repr(
# 1124 "parsing_c/parser_c.mly"
     ( MacroIteration (fst _1, [], _4), [snd _1;_2;_3] )
# 4869 "parsing_c/parser_c.ml"
               : 'iteration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 1128 "parsing_c/parser_c.mly"
                    ( Goto (_2),  [_1] )
# 4877 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1129 "parsing_c/parser_c.mly"
                ( Continue,       [_1] )
# 4884 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1130 "parsing_c/parser_c.mly"
                ( Break,          [_1] )
# 4891 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1131 "parsing_c/parser_c.mly"
                ( Return,         [_1] )
# 4898 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 1132 "parsing_c/parser_c.mly"
                ( ReturnExpr _2,  [_1] )
# 4906 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 1133 "parsing_c/parser_c.mly"
                   ( GotoComputed _3, [_1;_2] )
# 4915 "parsing_c/parser_c.ml"
               : 'jump))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1141 "parsing_c/parser_c.mly"
           ( [snd _1] )
# 4922 "parsing_c/parser_c.ml"
               : 'string_elem))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1143 "parsing_c/parser_c.mly"
                ( [snd _1] )
# 4929 "parsing_c/parser_c.ml"
               : 'string_elem))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm_list) in
    Obj.repr(
# 1147 "parsing_c/parser_c.mly"
                               ( _1, _2 )
# 4937 "parsing_c/parser_c.ml"
               : 'asmbody))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'string_list) in
    Obj.repr(
# 1148 "parsing_c/parser_c.mly"
               ( _1, [] )
# 4944 "parsing_c/parser_c.ml"
               : 'asmbody))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option_list) in
    Obj.repr(
# 1151 "parsing_c/parser_c.mly"
                                     ( Colon _2, [_1]   )
# 4952 "parsing_c/parser_c.ml"
               : 'colon_asm))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1154 "parsing_c/parser_c.mly"
                                ( ColonMisc, [snd _1] )
# 4959 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asm_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1155 "parsing_c/parser_c.mly"
                                ( ColonExpr _3, [snd _1; _2;_4] )
# 4969 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : 'identifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : (string * Ast_c.isWchar) * Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'asm_expr) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1158 "parsing_c/parser_c.mly"
     ( ColonExpr _6, [_1;snd _2;_3;snd _4; _5; _7 ] )
# 4982 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier) in
    Obj.repr(
# 1159 "parsing_c/parser_c.mly"
                                    ( ColonMisc, [snd _1] )
# 4989 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    Obj.repr(
# 1160 "parsing_c/parser_c.mly"
                                    ( ColonMisc, [] )
# 4995 "parsing_c/parser_c.ml"
               : 'colon_option))
; (fun __caml_parser_env ->
    Obj.repr(
# 1164 "parsing_c/parser_c.mly"
                ( [] )
# 5001 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'identifier_cpp) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'exec_ident) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1166 "parsing_c/parser_c.mly"
      ( (ExecEval (_3 (mk_e (Ident _2) [])), [_1]) :: _4 )
# 5011 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'exec_ident2) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1168 "parsing_c/parser_c.mly"
      ( (ExecToken, [snd _1]) :: _2 @ _3 )
# 5020 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'token) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'exec_list) in
    Obj.repr(
# 1169 "parsing_c/parser_c.mly"
                    ( (ExecToken, [_1]) :: _2 )
# 5028 "parsing_c/parser_c.ml"
               : 'exec_list))
; (fun __caml_parser_env ->
    Obj.repr(
# 1172 "parsing_c/parser_c.mly"
    ( function prev -> prev )
# 5034 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1174 "parsing_c/parser_c.mly"
     ( function prev ->
       let fld = RegularName (mk_string_wrap _2) in
       _3 (mk_e(RecordAccess   (prev,fld)) [_1]) )
# 5045 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1178 "parsing_c/parser_c.mly"
     ( function prev ->
       let fld = RegularName (mk_string_wrap _2) in
       _3 (mk_e(RecordPtAccess   (prev,fld)) [_1]) )
# 5056 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.expression) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident) in
    Obj.repr(
# 1182 "parsing_c/parser_c.mly"
     ( function prev ->
       _4 (mk_e(ArrayAccess   (prev,_2)) [_1;_3]) )
# 5067 "parsing_c/parser_c.ml"
               : 'exec_ident))
; (fun __caml_parser_env ->
    Obj.repr(
# 1186 "parsing_c/parser_c.mly"
    ( [] )
# 5073 "parsing_c/parser_c.ml"
               : 'exec_ident2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'exec_ident2) in
    Obj.repr(
# 1188 "parsing_c/parser_c.mly"
    ( (ExecToken, [_1]) :: (ExecToken, [snd _2]) :: _3 )
# 5082 "parsing_c/parser_c.ml"
               : 'exec_ident2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 1190 "parsing_c/parser_c.mly"
                      ( _1 )
# 5089 "parsing_c/parser_c.ml"
               : 'asm_expr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1193 "parsing_c/parser_c.mly"
            ( _1 )
# 5096 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1194 "parsing_c/parser_c.mly"
            ( _1 )
# 5103 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1195 "parsing_c/parser_c.mly"
            ( _1 )
# 5110 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1196 "parsing_c/parser_c.mly"
            ( _1 )
# 5117 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1197 "parsing_c/parser_c.mly"
            ( _1 )
# 5124 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1198 "parsing_c/parser_c.mly"
            ( _1 )
# 5131 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1199 "parsing_c/parser_c.mly"
            ( _1 )
# 5138 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1200 "parsing_c/parser_c.mly"
            ( _1 )
# 5145 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1201 "parsing_c/parser_c.mly"
            ( _1 )
# 5152 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1202 "parsing_c/parser_c.mly"
            ( _1 )
# 5159 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.assignOp) in
    Obj.repr(
# 1203 "parsing_c/parser_c.mly"
            ( List.hd (snd _1) )
# 5166 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1205 "parsing_c/parser_c.mly"
            ( _1 )
# 5173 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1206 "parsing_c/parser_c.mly"
            ( _1 )
# 5180 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1207 "parsing_c/parser_c.mly"
            ( _1 )
# 5187 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1208 "parsing_c/parser_c.mly"
            ( _1 )
# 5194 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1209 "parsing_c/parser_c.mly"
            ( _1 )
# 5201 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1210 "parsing_c/parser_c.mly"
            ( _1 )
# 5208 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1212 "parsing_c/parser_c.mly"
            ( _1 )
# 5215 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1213 "parsing_c/parser_c.mly"
            ( _1 )
# 5222 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1214 "parsing_c/parser_c.mly"
            ( _1 )
# 5229 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1215 "parsing_c/parser_c.mly"
            ( _1 )
# 5236 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1216 "parsing_c/parser_c.mly"
            ( _1 )
# 5243 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1217 "parsing_c/parser_c.mly"
            ( _1 )
# 5250 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1218 "parsing_c/parser_c.mly"
            ( _1 )
# 5257 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1220 "parsing_c/parser_c.mly"
            ( _1 )
# 5264 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1221 "parsing_c/parser_c.mly"
            ( _1 )
# 5271 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1224 "parsing_c/parser_c.mly"
            ( _1 )
# 5278 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1225 "parsing_c/parser_c.mly"
            ( _1 )
# 5285 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1229 "parsing_c/parser_c.mly"
            ( _1 )
# 5292 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1230 "parsing_c/parser_c.mly"
            ( _1 )
# 5299 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1231 "parsing_c/parser_c.mly"
            ( _1 )
# 5306 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1233 "parsing_c/parser_c.mly"
                 ( snd _1 )
# 5313 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1235 "parsing_c/parser_c.mly"
            ( _1 )
# 5320 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1236 "parsing_c/parser_c.mly"
            ( _1 )
# 5327 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * (Ast_c.sign * Ast_c.base)) * Ast_c.info) in
    Obj.repr(
# 1237 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5334 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.floatType) * Ast_c.info) in
    Obj.repr(
# 1238 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5341 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1239 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5348 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.isWchar) * Ast_c.info) in
    Obj.repr(
# 1240 "parsing_c/parser_c.mly"
            ( snd _1 )
# 5355 "parsing_c/parser_c.ml"
               : 'token))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1251 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType Void),            [_1] )
# 5362 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1252 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (IntType CChar)), [_1])
# 5369 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1253 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (IntType (Si (Signed,CInt)))), [_1])
# 5376 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1254 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CFloat)),  [_1])
# 5383 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1255 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CDouble)), [_1] )
# 5390 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1256 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CFloatComplex)),  [_1;_2])
# 5398 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1257 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType (FloatType CDoubleComplex)), [_1;_2] )
# 5406 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1258 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType SizeType),            [_1] )
# 5413 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1259 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType SSizeType),           [_1] )
# 5420 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1260 "parsing_c/parser_c.mly"
                        ( Right3 (BaseType PtrDiffType),         [_1] )
# 5427 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1261 "parsing_c/parser_c.mly"
                        ( Middle3 Short,  [_1])
# 5434 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1262 "parsing_c/parser_c.mly"
                        ( Middle3 Long,   [_1])
# 5441 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1263 "parsing_c/parser_c.mly"
                        ( Left3 Signed,   [_1])
# 5448 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1264 "parsing_c/parser_c.mly"
                        ( Left3 UnSigned, [_1])
# 5455 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_or_union_spec) in
    Obj.repr(
# 1265 "parsing_c/parser_c.mly"
                        ( Right3 (fst _1), snd _1 )
# 5462 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'enum_spec) in
    Obj.repr(
# 1266 "parsing_c/parser_c.mly"
                        ( Right3 (fst _1), snd _1 )
# 5469 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1268 "parsing_c/parser_c.mly"
     ( Right3 (Decimal(_3,Some _5)), [_1;_2;_4;_6] )
# 5481 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1270 "parsing_c/parser_c.mly"
     ( Right3 (Decimal(_3,None)), [_1;_2;_4] )
# 5491 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1271 "parsing_c/parser_c.mly"
             (
     let can_auto_type =
      let open Flag in
       match !c_plus_plus with
         Off -> false
       | On None -> true
       | On (Some i) -> i >= 2011
     in
     if can_auto_type
     then (Right3 AutoType, [_1])
     else
       let i = Ast_c.parse_info_of_info _1 in
       raise (Semantic("auto is not a valid C type, try using the --c++ option",
                       i)) )
# 5511 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1300 "parsing_c/parser_c.mly"
     ( let name = RegularName (mk_string_wrap _1) in
       Right3 (TypeName (name, Ast_c.noTypedefDef())),[] )
# 5519 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'assign_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1303 "parsing_c/parser_c.mly"
                                   ( Right3 (TypeOfExpr (_3)), [_1;_2;_4] )
# 5529 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.attribute list * Ast_c.fullType) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1305 "parsing_c/parser_c.mly"
     ( let ret = Right3 (TypeOfType (snd _3)), [_1;_2;_4] in
       match (fst _3) with (* warn about dropped attributes *)
         [] -> ret
       | _ -> warning "attributes found in typeof(...), dropping" ret )
# 5542 "parsing_c/parser_c.ml"
               : 'type_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec2) in
    Obj.repr(
# 1314 "parsing_c/parser_c.mly"
                         ( dt "type" (); _1   )
# 5549 "parsing_c/parser_c.ml"
               : 'type_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1321 "parsing_c/parser_c.mly"
             ( {const=true  ; volatile=false}, _1 )
# 5556 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1322 "parsing_c/parser_c.mly"
             ( {const=false ; volatile=true},  _1 )
# 5563 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1324 "parsing_c/parser_c.mly"
             ( (* TODO *) {const=false ; volatile=false},  _1 )
# 5570 "parsing_c/parser_c.ml"
               : 'type_qualif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1332 "parsing_c/parser_c.mly"
                                    ( raise Todo )
# 5579 "parsing_c/parser_c.ml"
               : 'attribute))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 1334 "parsing_c/parser_c.mly"
              ( Attribute (fst _1), [snd _1] )
# 5586 "parsing_c/parser_c.ml"
               : 'attribute))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'pointer) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'direct_d) in
    Obj.repr(
# 1349 "parsing_c/parser_c.mly"
                    ( let (attr,ptr) = _1 in
                      (attr, (fst _2, fun x -> x +> ptr +> (snd _2))) )
# 5595 "parsing_c/parser_c.ml"
               : 'declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'direct_d) in
    Obj.repr(
# 1351 "parsing_c/parser_c.mly"
                    ( (Ast_c.noattr, _1)  )
# 5602 "parsing_c/parser_c.ml"
               : 'declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tmul) in
    Obj.repr(
# 1355 "parsing_c/parser_c.mly"
                          ( (Ast_c.noattr,fun x -> mk_ty (Pointer x) [_1]) )
# 5609 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1357 "parsing_c/parser_c.mly"
     ( let (attr,ptr) = _2 in
       (attr,fun x -> ptr (mk_ty (Pointer x) [_1])) )
# 5618 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif_list) in
    Obj.repr(
# 1360 "parsing_c/parser_c.mly"
     ( let (attr,tq) = _2 in
       (attr,fun x -> (tq.qualifD, mk_tybis (Pointer x) [_1])))
# 5627 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tmul) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1363 "parsing_c/parser_c.mly"
     ( let (attr1,tq) = _2 in
       let (attr2,ptr) = _3 in
       (attr1@attr2,fun x -> ptr (tq.qualifD, mk_tybis (Pointer x) [_1])) )
# 5638 "parsing_c/parser_c.ml"
               : 'pointer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1368 "parsing_c/parser_c.mly"
        ( _1 )
# 5645 "parsing_c/parser_c.ml"
               : 'tmul))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1370 "parsing_c/parser_c.mly"
     ( if !Flag.c_plus_plus <> Flag.Off
     then _1
     else
       let i = Ast_c.parse_info_of_info _1 in
       raise (Semantic("& not allowed in C types, try -c++ option", i)) )
# 5656 "parsing_c/parser_c.ml"
               : 'tmul))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'identifier_cpp) in
    Obj.repr(
# 1379 "parsing_c/parser_c.mly"
     ( (_1, fun x -> x) )
# 5663 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1381 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _2 in  (* attr gets ignored... *)
       (fst dec, fun x -> mk_ty (ParenType ((snd dec) x)) [_1;_3]) )
# 5673 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'tocro) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tccro) in
    Obj.repr(
# 1384 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1) (mk_ty (Array (None,x)) [_2;_3])) )
# 5682 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'tocro) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tccro) in
    Obj.repr(
# 1386 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1) (mk_ty (Array (Some _3,x)) [_2;_4])) )
# 5692 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1388 "parsing_c/parser_c.mly"
     ( (fst _1,
       fun x->(snd _1)
         (mk_ty (FunctionType (x,(([],(false, []))))) [_2;_3]))
     )
# 5704 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_d) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1393 "parsing_c/parser_c.mly"
     ( (fst _1,fun x->(snd _1)
       (mk_ty (FunctionType (x, _3)) [_2;_4]))
     )
# 5716 "parsing_c/parser_c.ml"
               : 'direct_d))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1402 "parsing_c/parser_c.mly"
             ( et "tocro" ();_1 )
# 5723 "parsing_c/parser_c.ml"
               : 'tocro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1403 "parsing_c/parser_c.mly"
             ( dt "tccro" ();_1 )
# 5730 "parsing_c/parser_c.ml"
               : 'tccro))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'pointer) in
    Obj.repr(
# 1407 "parsing_c/parser_c.mly"
                                      ( _1 )
# 5737 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'direct_abstract_declarator) in
    Obj.repr(
# 1408 "parsing_c/parser_c.mly"
                                      ( ([], _1) )
# 5744 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'pointer) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'direct_abstract_declarator) in
    Obj.repr(
# 1410 "parsing_c/parser_c.mly"
     ( (fst _1, fun x -> x +> _2 +> (snd _1)) )
# 5752 "parsing_c/parser_c.ml"
               : 'abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'abstract_declarator) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1414 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (ParenType ((snd _2) x)) [_1;_3] )
# 5761 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1417 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (Array (None, x)) [_1;_2] )
# 5769 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1419 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (Array (Some _2, x)) [_1;_3] )
# 5778 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1421 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (Array (None, x))  [_2;_3]) )
# 5787 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1423 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (Array (Some _3,x))  [_2;_4]) )
# 5797 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1425 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (FunctionType (x, ([], (false,  [])))) [_1;_2] )
# 5805 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1427 "parsing_c/parser_c.mly"
     ( fun x -> mk_ty (FunctionType (x, _2))  [_1;_3] )
# 5814 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1438 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (FunctionType (x, (([], (false, []))))) [_2;_3]) )
# 5823 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'direct_abstract_declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 1440 "parsing_c/parser_c.mly"
     ( fun x -> _1 (mk_ty (FunctionType (x, _3)) [_2;_4]) )
# 5833 "parsing_c/parser_c.ml"
               : 'direct_abstract_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_list) in
    Obj.repr(
# 1446 "parsing_c/parser_c.mly"
                                   ( (_1, (false, [])))
# 5840 "parsing_c/parser_c.ml"
               : 'parameter_type_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parameter_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1447 "parsing_c/parser_c.mly"
                                   ( (_1, (true,  [_2;_3])) )
# 5849 "parsing_c/parser_c.ml"
               : 'parameter_type_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1451 "parsing_c/parser_c.mly"
            (
     let name = RegularName (mk_string_wrap _1) in
     LP.add_ident (str_of_name name);
     { p_namei = Some name;
       p_type = mk_ty NoType [];
       p_register = (false, []);
       p_attr = [];
     }
   )
# 5864 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorp) in
    Obj.repr(
# 1461 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg),iihasreg) = fixDeclSpecForParam (snd _1) in
       let attrs = (fst _1) @ (fst _2) in
       let (name, ftyp) = snd _2 in
       { p_namei = Some (name);
         p_type = ftyp returnType;
         p_register = (hasreg, iihasreg);
         p_attr = attrs;
       }
     )
# 5881 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declaratorp) in
    Obj.repr(
# 1472 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam (snd _1) in
       let attrs = (fst _1) @ (fst _2) in
       { p_namei = None;
         p_type = (snd _2) returnType;
         p_register = hasreg, iihasreg;
         p_attr = attrs;
       }
     )
# 5897 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec) in
    Obj.repr(
# 1482 "parsing_c/parser_c.mly"
     ( let ((returnType,hasreg), iihasreg) = fixDeclSpecForParam (snd _1) in
       { p_namei = None;
         p_type = returnType;
         p_register = hasreg, iihasreg;
         p_attr = fst _1;
       }
     )
# 5910 "parsing_c/parser_c.ml"
               : 'parameter_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 1491 "parsing_c/parser_c.mly"
            (
     let name = RegularName (mk_string_wrap _1) in
     LP.add_ident (str_of_name name);
     { p_namei = Some name;
       p_type = mk_ty NoType [];
       p_register = (false, []);
       p_attr = [];
     }
   )
# 5925 "parsing_c/parser_c.ml"
               : 'parameter_decl_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorp) in
    Obj.repr(
# 1501 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg),iihasreg) = fixDeclSpecForArg (snd _1) in
       let attrs = (fst _1) @ (fst _2) in
       let (name, ftyp) = snd _2 in
       { p_namei = Some (name);
         p_type = ftyp returnType;
         p_register = (hasreg, iihasreg);
         p_attr = attrs;
       }
     )
# 5942 "parsing_c/parser_c.ml"
               : 'parameter_decl_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declaratorp) in
    Obj.repr(
# 1512 "parsing_c/parser_c.mly"
     ( LP.kr_impossible();
       let ((returnType,hasreg), iihasreg) = fixDeclSpecForArg (snd _1) in
       let attrs = (fst _1) @ (fst _2) in
       { p_namei = None;
         p_type = snd _2 returnType;
         p_register = hasreg, iihasreg;
         p_attr = attrs;
       }
     )
# 5958 "parsing_c/parser_c.ml"
               : 'parameter_decl_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec) in
    Obj.repr(
# 1522 "parsing_c/parser_c.mly"
     ( let ((returnType,hasreg), iihasreg) = fixDeclSpecForArg (snd _1) in
       { p_namei = None;
         p_type = returnType;
         p_register = hasreg, iihasreg;
         p_attr = fst _1;
       }
     )
# 5971 "parsing_c/parser_c.ml"
               : 'parameter_decl_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl2) in
    Obj.repr(
# 1535 "parsing_c/parser_c.mly"
                                ( et "param" ();  _1 )
# 5978 "parsing_c/parser_c.ml"
               : 'parameter_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1538 "parsing_c/parser_c.mly"
               ( let (attr,dec) = _1 in
                 LP.add_ident (str_of_name (fst dec)); attr, dec )
# 5986 "parsing_c/parser_c.ml"
               : 'declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1542 "parsing_c/parser_c.mly"
               ( let (attr,dec) = _1 in
                 let attr = attr @ _2 in
                 LP.add_ident (str_of_name (fst dec)); attr, dec )
# 5996 "parsing_c/parser_c.ml"
               : 'declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 1547 "parsing_c/parser_c.mly"
                       ( _1 )
# 6003 "parsing_c/parser_c.ml"
               : 'abstract_declaratorp))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 1557 "parsing_c/parser_c.mly"
                                ( ([], addTypeD (_1, nullDecl)) )
# 6010 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1558 "parsing_c/parser_c.mly"
                                ( ([], {nullDecl with qualifD = (fst _1,[snd _1])}))
# 6017 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1559 "parsing_c/parser_c.mly"
                                ( ([_1], nullDecl) )
# 6024 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1560 "parsing_c/parser_c.mly"
                                ( (fst _2, addTypeD (_1,snd _2)) )
# 6032 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1561 "parsing_c/parser_c.mly"
                                ( (fst _2, addQualifD (_1,snd _2)) )
# 6040 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attribute) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1562 "parsing_c/parser_c.mly"
                                ( ([_1]@(fst _2), snd _2) )
# 6048 "parsing_c/parser_c.ml"
               : 'spec_qualif_list2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list2) in
    Obj.repr(
# 1564 "parsing_c/parser_c.mly"
                                               (  dt "spec_qualif" (); _1 )
# 6055 "parsing_c/parser_c.ml"
               : 'spec_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1569 "parsing_c/parser_c.mly"
               ( (Ast_c.noattr,{nullDecl with qualifD = (fst _1,[snd _1])}) )
# 6062 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1570 "parsing_c/parser_c.mly"
                                ( ([_1],nullDecl) )
# 6069 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1571 "parsing_c/parser_c.mly"
                                ( (fst _1,addQualifD (_2,snd _1)) )
# 6077 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1572 "parsing_c/parser_c.mly"
                                ( ((fst _1)@[_2],snd _1) )
# 6085 "parsing_c/parser_c.ml"
               : 'type_qualif_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'spec_qualif_list) in
    Obj.repr(
# 1580 "parsing_c/parser_c.mly"
     ( let (attrs, ds) = _1 in
       let (returnType, _) = fixDeclSpecForDecl ds in (attrs, returnType) )
# 6093 "parsing_c/parser_c.ml"
               : Ast_c.attribute list * Ast_c.fullType))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declaratort) in
    Obj.repr(
# 1583 "parsing_c/parser_c.mly"
     ( let (attrs1, ds) = _1 in
       let (attrs2, fn) = _2 in
       let (returnType, _) = fixDeclSpecForDecl ds in
       (attrs1@attrs2, fn returnType) )
# 6104 "parsing_c/parser_c.ml"
               : Ast_c.attribute list * Ast_c.fullType))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 1591 "parsing_c/parser_c.mly"
                       ( _1 )
# 6111 "parsing_c/parser_c.ml"
               : 'abstract_declaratort))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes_opt) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1601 "parsing_c/parser_c.mly"
     ( function local ->
       let (returnType,storage) = fixDeclSpecForDecl (snd _1) in
       let iistart = Ast_c.fakeInfo () in
       DeclList ([{v_namei = None; v_type = returnType;
                   v_storage = unwrap storage; v_local = local;
                   v_attr = fst _1; v_endattr = _2;
                   v_type_bis = ref None;
                },[]],
                (_3::iistart::snd storage))
     )
# 6129 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'init_declarator_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1612 "parsing_c/parser_c.mly"
     ( function local ->
       let (returnType,storage) = fixDeclSpecForDecl (snd _1) in
       let iistart = Ast_c.fakeInfo () in
       DeclList (
         (_2 +> List.map (fun ((((name,f),attrs,endattrs), ini), iivirg) ->
           let s = str_of_name name in
	   if fst (unwrap storage) = StoTypedef
	   then LP.add_typedef s;
           {v_namei = Some (name, ini);
            v_type = f returnType;
            v_storage = unwrap storage;
            v_local = local;
            v_attr = (fst _1)@attrs;
            v_endattr = endattrs;
            v_type_bis = ref None;
           },
           iivirg
         )
         ),  (_3::iistart::snd storage))
     )
# 6157 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : 'storage_const_opt) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'argument_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes_opt) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1636 "parsing_c/parser_c.mly"
     ( function _ ->
       match _1 with
	 Some (sto,stoii) ->
	   MacroDecl
	     ((sto, fst _2, _4, _6, true),
              (snd _2::_3::_5::_7::fakeInfo()::stoii))
       | None ->
	   MacroDecl
	     ((NoSto, fst _2, _4, _6, true),
              [snd _2;_3;_5;_7;fakeInfo()]) )
# 6179 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : 'storage_const_opt) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : 'argument_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'teq) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : 'initialize) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1649 "parsing_c/parser_c.mly"
     ( function _ ->
       match _1 with
	 Some (sto,stoii) ->
	   MacroDeclInit
	     ((sto, fst _2, _4, _7),
	      (snd _2::_3::_5::_6::_8::fakeInfo()::stoii))
       | None ->
	   MacroDeclInit
	     ((NoSto, fst _2, _4, _7), [snd _2;_3;_5;_6;_8;fakeInfo()]) )
# 6201 "parsing_c/parser_c.ml"
               : 'decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'storage_class_spec_nt) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1660 "parsing_c/parser_c.mly"
                                         ( Some (fst _1,[snd _1; _2]) )
# 6209 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec_nt) in
    Obj.repr(
# 1661 "parsing_c/parser_c.mly"
                         ( Some (fst _1,[snd _1]) )
# 6216 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    Obj.repr(
# 1662 "parsing_c/parser_c.mly"
                         ( None )
# 6222 "parsing_c/parser_c.ml"
               : 'storage_const_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec) in
    Obj.repr(
# 1666 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with storageD = (fst _1, [snd _1]) }) )
# 6229 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_spec) in
    Obj.repr(
# 1667 "parsing_c/parser_c.mly"
                      ( ([], addTypeD (_1,nullDecl)) )
# 6236 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'type_qualif) in
    Obj.repr(
# 1668 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with qualifD  = (fst _1, [snd _1]) }) )
# 6243 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1669 "parsing_c/parser_c.mly"
                      ( ([], {nullDecl with inlineD = (true, [_1]) }) )
# 6250 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 1670 "parsing_c/parser_c.mly"
                      ( ([_1], nullDecl) )
# 6257 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'storage_class_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1671 "parsing_c/parser_c.mly"
                                 ( (fst _2, addStorageD (_1, snd _2)) )
# 6265 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1672 "parsing_c/parser_c.mly"
                                 ( (fst _2, addTypeD    (_1, snd _2)) )
# 6273 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'type_qualif) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1673 "parsing_c/parser_c.mly"
                                 ( (fst _2, addQualifD  (_1, snd _2)) )
# 6281 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1674 "parsing_c/parser_c.mly"
                                 ( (fst _2, addInlineD ((true, _1), snd _2)) )
# 6289 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attribute) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1675 "parsing_c/parser_c.mly"
                                 ( (_1::(fst _2), snd _2) )
# 6297 "parsing_c/parser_c.ml"
               : 'decl_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1683 "parsing_c/parser_c.mly"
                ( Sto Static,  _1 )
# 6304 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1684 "parsing_c/parser_c.mly"
                ( Sto Extern,  _1 )
# 6311 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1686 "parsing_c/parser_c.mly"
     (
      let can_auto_storage =
        let open Flag in
        match !c_plus_plus with
          Off | On None -> true
        | On (Some i) -> i < 2011
      in
      if can_auto_storage
      then (Sto Auto, _1)
      else
        let i = Ast_c.parse_info_of_info _1 in
        raise
          (Semantic
            ("auto is not a valid storage since C++11, \
              try removing the version specification on the --c++ option \
              or removing the whole option",
             i))
     )
# 6335 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1704 "parsing_c/parser_c.mly"
                ( Sto Register,_1 )
# 6342 "parsing_c/parser_c.ml"
               : 'storage_class_spec_nt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'storage_class_spec_nt) in
    Obj.repr(
# 1707 "parsing_c/parser_c.mly"
                         ( _1 )
# 6349 "parsing_c/parser_c.ml"
               : 'storage_class_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1708 "parsing_c/parser_c.mly"
                ( StoTypedef,  _1 )
# 6356 "parsing_c/parser_c.ml"
               : 'storage_class_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl2) in
    Obj.repr(
# 1715 "parsing_c/parser_c.mly"
                         ( et "decl" (); _1 )
# 6363 "parsing_c/parser_c.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec2) in
    Obj.repr(
# 1716 "parsing_c/parser_c.mly"
                         ( dt "declspec" (); _1  )
# 6370 "parsing_c/parser_c.ml"
               : 'decl_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declaratori) in
    Obj.repr(
# 1722 "parsing_c/parser_c.mly"
                                ( (_1, NoInit) )
# 6377 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'teq) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize) in
    Obj.repr(
# 1723 "parsing_c/parser_c.mly"
                                ( (_1, ValInit(_2, _3)) )
# 6386 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1726 "parsing_c/parser_c.mly"
     ( (_1, ConstrInit(_3,[_2;_4])) )
# 6396 "parsing_c/parser_c.ml"
               : 'init_declarator2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declaratori) in
    Obj.repr(
# 1736 "parsing_c/parser_c.mly"
                                ( (_1, NoInit) )
# 6403 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attributes) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratori) in
    Obj.repr(
# 1737 "parsing_c/parser_c.mly"
                                ( (_2, NoInit) )
# 6411 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'teq) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize) in
    Obj.repr(
# 1738 "parsing_c/parser_c.mly"
                                ( (_1, ValInit(_2, _3)) )
# 6420 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'attributes) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'declaratori) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'teq) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'initialize) in
    Obj.repr(
# 1739 "parsing_c/parser_c.mly"
                                           ( (_2, ValInit(_3, _4)) )
# 6430 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'declaratori) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1742 "parsing_c/parser_c.mly"
     ( (_1, ConstrInit(_3,[_2;_4])) )
# 6440 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'attributes) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'declaratori) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1744 "parsing_c/parser_c.mly"
     ( (_2, ConstrInit(_4,[_3;_5])) )
# 6451 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1749 "parsing_c/parser_c.mly"
          ( et "teq" (); _1 )
# 6458 "parsing_c/parser_c.ml"
               : 'teq))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator2) in
    Obj.repr(
# 1751 "parsing_c/parser_c.mly"
                                   ( dt "init" (); _1 )
# 6465 "parsing_c/parser_c.ml"
               : 'init_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator_attrs2) in
    Obj.repr(
# 1753 "parsing_c/parser_c.mly"
                                              ( dt "init_attrs" (); _1 )
# 6472 "parsing_c/parser_c.ml"
               : 'init_declarator_attrs))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1762 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, [] )
# 6480 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'gcc_asm_decl) in
    Obj.repr(
# 1766 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, [] )
# 6489 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'end_attributes) in
    Obj.repr(
# 1770 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in
       LP.add_ident (str_of_name (fst dec)); dec, attr, _2 (* TODO *) )
# 6498 "parsing_c/parser_c.ml"
               : 'declaratori))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1775 "parsing_c/parser_c.mly"
                                         (  )
# 6508 "parsing_c/parser_c.ml"
               : 'gcc_asm_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1776 "parsing_c/parser_c.mly"
                                        (  )
# 6519 "parsing_c/parser_c.ml"
               : 'gcc_asm_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'assign_expr) in
    Obj.repr(
# 1782 "parsing_c/parser_c.mly"
     ( InitExpr _1,                [] )
# 6526 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1784 "parsing_c/parser_c.mly"
     ( InitList (List.rev _2),     [_1;_4] @ _3 )
# 6536 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1786 "parsing_c/parser_c.mly"
     ( InitList [],       [_1;_2] )
# 6544 "parsing_c/parser_c.ml"
               : 'initialize))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1797 "parsing_c/parser_c.mly"
                                      ( [_1,   []] )
# 6551 "parsing_c/parser_c.ml"
               : 'initialize_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1798 "parsing_c/parser_c.mly"
                                      ( (_3,  [_2])::_1 )
# 6560 "parsing_c/parser_c.ml"
               : 'initialize_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cond_expr) in
    Obj.repr(
# 1804 "parsing_c/parser_c.mly"
     ( InitExpr _1,   [] )
# 6567 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1806 "parsing_c/parser_c.mly"
     ( InitList (List.rev _2),   [_1;_4] @ _3 )
# 6577 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'tobrace_ini) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_ini) in
    Obj.repr(
# 1808 "parsing_c/parser_c.mly"
     ( InitList [],  [_1;_2]  )
# 6585 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'designator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1812 "parsing_c/parser_c.mly"
     ( InitDesignators (_1, _3), [_2] )
# 6594 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ident) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'initialize2) in
    Obj.repr(
# 1816 "parsing_c/parser_c.mly"
     ( InitFieldOld (fst _1, _3),     [snd _1; _2] )
# 6603 "parsing_c/parser_c.ml"
               : 'initialize2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1827 "parsing_c/parser_c.mly"
     ( DesignatorField (fst _2), [_1;snd _2] )
# 6611 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1829 "parsing_c/parser_c.mly"
     ( DesignatorIndex (_2),  [_1;_3] )
# 6620 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'const_expr) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'const_expr) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1831 "parsing_c/parser_c.mly"
     ( DesignatorRange (_2, _4),  [_1;_3;_5] )
# 6631 "parsing_c/parser_c.ml"
               : 'designator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1839 "parsing_c/parser_c.mly"
          (  [_1] )
# 6638 "parsing_c/parser_c.ml"
               : 'gcc_comma_opt_struct))
; (fun __caml_parser_env ->
    Obj.repr(
# 1840 "parsing_c/parser_c.mly"
                    (  [Ast_c.fakeInfo() +> Ast_c.rewrap_str ","]  )
# 6644 "parsing_c/parser_c.ml"
               : 'gcc_comma_opt_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'ident) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list_gcc) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_struct) in
    Obj.repr(
# 1855 "parsing_c/parser_c.mly"
     ( StructUnion (fst _1, Some (fst _2), _4),  [snd _1;snd _2;_3;_5]  )
# 6655 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'tobrace_struct) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list_gcc) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_struct) in
    Obj.repr(
# 1857 "parsing_c/parser_c.mly"
     ( StructUnion (fst _1, None, _3), [snd _1;_2;_4] )
# 6665 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'struct_or_union) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1859 "parsing_c/parser_c.mly"
     ( StructUnionName (fst _1, fst _2), [snd _1;snd _2] )
# 6673 "parsing_c/parser_c.ml"
               : 's_or_u_spec2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1862 "parsing_c/parser_c.mly"
             ( Struct, _1 )
# 6680 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1863 "parsing_c/parser_c.mly"
             ( Union, _1 )
# 6687 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1865 "parsing_c/parser_c.mly"
                        ( Struct, _1 (* TODO *) )
# 6695 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1866 "parsing_c/parser_c.mly"
                        ( Union, _1  (* TODO *) )
# 6703 "parsing_c/parser_c.ml"
               : 'struct_or_union2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'field_declaration) in
    Obj.repr(
# 1871 "parsing_c/parser_c.mly"
                     ( DeclarationField _1 )
# 6710 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1872 "parsing_c/parser_c.mly"
           ( EmptyField _1  )
# 6717 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1878 "parsing_c/parser_c.mly"
     ( MacroDeclField ((fst _1, _3), [snd _1;_2;_4;_5;fakeInfo()]) )
# 6728 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : (string * Ast_c.info)) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1881 "parsing_c/parser_c.mly"
     ( MacroDeclField ((fst _1, _3), [snd _1;_2;_4;_5;fakeInfo()]) )
# 6739 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1885 "parsing_c/parser_c.mly"
     ( CppDirectiveStruct _1 )
# 6746 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 1887 "parsing_c/parser_c.mly"
     ( IfdefStruct _1 )
# 6753 "parsing_c/parser_c.ml"
               : 'struct_decl2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'struct_declarator_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes_opt) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1892 "parsing_c/parser_c.mly"
     (
       let (attrs, ds) = _1 in
       let (returnType,storage) = fixDeclSpecForDecl ds in
       if fst (unwrap storage) <> NoSto
       then internal_error "parsing don't allow this";

       let iistart = Ast_c.fakeInfo () in (* for parallelism with DeclList *)
       FieldDeclList (_2 +> (List.map (fun (f, iivirg) ->
         f returnType, iivirg))
                         ,[_4;iistart])
         (* don't need to check if typedef or func initialised cos
          * grammar don't allow typedef nor initialiser in struct
          *)
     )
# 6776 "parsing_c/parser_c.ml"
               : 'field_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'spec_qualif_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes_opt) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1908 "parsing_c/parser_c.mly"
     (
       let (attrs, ds) = _1 in
       (* gccext: allow empty elements if it is a structdef or enumdef *)
       let (returnType,storage) = fixDeclSpecForDecl ds in
       if fst (unwrap storage) <> NoSto
       then internal_error "parsing don't allow this";

       let iistart = Ast_c.fakeInfo () in (* for parallelism with DeclList *)
       FieldDeclList ([(Simple (None, returnType)) , []], [_3;iistart])
     )
# 6794 "parsing_c/parser_c.ml"
               : 'field_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorsd) in
    Obj.repr(
# 1925 "parsing_c/parser_c.mly"
     ( (fun x -> Simple   (Some (fst _1), (snd _1) x)) )
# 6801 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'dotdot) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr2) in
    Obj.repr(
# 1927 "parsing_c/parser_c.mly"
     ( (fun x -> BitField (None, x, _1, _2)) )
# 6809 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'declaratorsd) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'dotdot) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr2) in
    Obj.repr(
# 1929 "parsing_c/parser_c.mly"
     ( (fun x -> BitField (Some (fst _1), ((snd _1) x), _2, _3)) )
# 6818 "parsing_c/parser_c.ml"
               : 'struct_declarator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 1937 "parsing_c/parser_c.mly"
     ( let (attr,dec) = _1 in (* attr ignored *)
       (*also ? LP.add_ident (fst (fst dec)); *) dec )
# 6826 "parsing_c/parser_c.ml"
               : 'declaratorsd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attributes) in
    Obj.repr(
# 1940 "parsing_c/parser_c.mly"
                           ( let (attr,dec) = _1 in dec )
# 6834 "parsing_c/parser_c.ml"
               : 'declaratorsd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 's_or_u_spec2) in
    Obj.repr(
# 1945 "parsing_c/parser_c.mly"
                                   ( dt "su" (); _1 )
# 6841 "parsing_c/parser_c.ml"
               : 'struct_or_union_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_or_union2) in
    Obj.repr(
# 1946 "parsing_c/parser_c.mly"
                                  ( et "su" (); _1 )
# 6848 "parsing_c/parser_c.ml"
               : 'struct_or_union))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl2) in
    Obj.repr(
# 1947 "parsing_c/parser_c.mly"
                           ( et "struct" (); _1 )
# 6855 "parsing_c/parser_c.ml"
               : 'struct_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 1949 "parsing_c/parser_c.mly"
                 ( et "dotdot" (); _1 )
# 6862 "parsing_c/parser_c.ml"
               : 'dotdot))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr) in
    Obj.repr(
# 1950 "parsing_c/parser_c.mly"
                        ( dt "const_expr2" (); _1 )
# 6869 "parsing_c/parser_c.ml"
               : 'const_expr2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl_list) in
    Obj.repr(
# 1953 "parsing_c/parser_c.mly"
                     ( _1 )
# 6876 "parsing_c/parser_c.ml"
               : 'struct_decl_list_gcc))
; (fun __caml_parser_env ->
    Obj.repr(
# 1954 "parsing_c/parser_c.mly"
                         ( [] )
# 6882 "parsing_c/parser_c.ml"
               : 'struct_decl_list_gcc))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_enum) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_enum) in
    Obj.repr(
# 1962 "parsing_c/parser_c.mly"
     ( Enum (None,    _3),           [_1;_2;_5] @ _4 )
# 6893 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : 'ident) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'tobrace_enum) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'gcc_comma_opt_struct) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'tcbrace_enum) in
    Obj.repr(
# 1964 "parsing_c/parser_c.mly"
     ( Enum (Some (fst _2), _4),     [_1; snd _2; _3;_6] @ _5 )
# 6905 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'ident) in
    Obj.repr(
# 1966 "parsing_c/parser_c.mly"
     ( EnumName (fst _2),       [_1; snd _2] )
# 6913 "parsing_c/parser_c.ml"
               : 'enum_spec))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'idente) in
    Obj.repr(
# 1969 "parsing_c/parser_c.mly"
                          ( _1, None     )
# 6920 "parsing_c/parser_c.ml"
               : 'enumerator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'idente) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'const_expr) in
    Obj.repr(
# 1970 "parsing_c/parser_c.mly"
                          ( _1, Some (_2, _3) )
# 6929 "parsing_c/parser_c.ml"
               : 'enumerator))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ident_cpp) in
    Obj.repr(
# 1977 "parsing_c/parser_c.mly"
                  ( LP.add_ident (str_of_name _1); _1 )
# 6936 "parsing_c/parser_c.ml"
               : 'idente))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_def) in
    Obj.repr(
# 1984 "parsing_c/parser_c.mly"
                                     ( fixFunc _1 )
# 6943 "parsing_c/parser_c.ml"
               : 'function_definition))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1987 "parsing_c/parser_c.mly"
                  ( [_1 Ast_c.LocalDecl]   )
# 6950 "parsing_c/parser_c.ml"
               : 'decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 1988 "parsing_c/parser_c.mly"
                  ( _1 @ [_2 Ast_c.LocalDecl] )
# 6958 "parsing_c/parser_c.ml"
               : 'decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1992 "parsing_c/parser_c.mly"
                                    ( )
# 6965 "parsing_c/parser_c.ml"
               : 'cpp_directive_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 1993 "parsing_c/parser_c.mly"
                                    ( )
# 6973 "parsing_c/parser_c.ml"
               : 'cpp_directive_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1996 "parsing_c/parser_c.mly"
                           ( LP.del_scope(); (_1, _2, None) )
# 6981 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1997 "parsing_c/parser_c.mly"
                                         ( LP.del_scope(); (_1, _3, None) )
# 6990 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'start_fun) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'decl_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 1998 "parsing_c/parser_c.mly"
                                     (
     (* TODO: undo the typedef added ? *)
     LP.del_scope();
     (_1, _3, Some _2)
   )
# 7003 "parsing_c/parser_c.ml"
               : 'function_def))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'start_fun2) in
    Obj.repr(
# 2005 "parsing_c/parser_c.mly"
  ( LP.new_scope();
    fix_add_params_ident _1;
    (* toreput? !LP._lexer_hint.toplevel <- false;  *)
    _1
  )
# 7014 "parsing_c/parser_c.ml"
               : 'start_fun))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'declaratorfd) in
    Obj.repr(
# 2012 "parsing_c/parser_c.mly"
     ( let (returnType,storage) = fixDeclSpecForFuncDef (snd _1) in
       let (id, attrs) = _2 in
       (fst id, fixOldCDecl ((snd id) returnType) , storage, (fst _1)@attrs)
     )
# 7025 "parsing_c/parser_c.ml"
               : 'start_fun2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ctor_dtor) in
    Obj.repr(
# 2016 "parsing_c/parser_c.mly"
               ( _1 )
# 7032 "parsing_c/parser_c.ml"
               : 'start_fun2))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 2019 "parsing_c/parser_c.mly"
                                (
     let id = RegularName (mk_string_wrap _1) in
     let ret = mk_ty NoType [] in
     let ty = mk_ty (FunctionType (ret, (([], (false, []))))) [_2;_3] in
     let storage = ((NoSto,false),[]) in
     let attrs = [] in
     (id, ty, storage, attrs) )
# 7047 "parsing_c/parser_c.ml"
               : 'ctor_dtor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'topar) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'parameter_type_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'tcpar) in
    Obj.repr(
# 2026 "parsing_c/parser_c.mly"
                                                    (
     let id = RegularName (mk_string_wrap _1) in
     let ret = mk_ty NoType [] in
     let ty = mk_ty (FunctionType (ret, _3)) [_2;_4] in
     let storage = ((NoSto,false),[]) in
     let attrs = [] in
     (id, ty, storage, attrs) )
# 7063 "parsing_c/parser_c.ml"
               : 'ctor_dtor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'declarator) in
    Obj.repr(
# 2048 "parsing_c/parser_c.mly"
   ( et "declaratorfd" (); let (attr,dec) = _1 in dec, attr )
# 7070 "parsing_c/parser_c.ml"
               : 'declaratorfd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'declarator) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'end_attributes) in
    Obj.repr(
# 2051 "parsing_c/parser_c.mly"
   ( et "declaratorfd" (); let (attr,dec) = _1 in dec, attr )
# 7078 "parsing_c/parser_c.ml"
               : 'declaratorfd))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : (Ast_c.info * bool ref)) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2060 "parsing_c/parser_c.mly"
     (
       let (i1, in_ifdef) = _1 in
       let (s, i2) = _2 in

       (* redo some lexing work :( *)
       let inc_file =
         match () with
         | _ when s =~ "^\"\\(.*\\)\"$" ->
             Local (Common.split "/" (matched1 s))
         | _ when s =~ "^\\<\\(.*\\)\\>$" ->
             NonLocal (Common.split "/" (matched1 s))
         | _ ->
             Weird s
       in
       Include { i_include = (inc_file, [i1;i2]);
                 i_rel_pos = Ast_c.noRelPos();
                 i_overall_rel_pos = Ast_c.noRelPos();
                 i_is_in_ifdef = !in_ifdef;
                 i_content = Ast_c.noi_content;
       }
     )
# 7106 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'define_val) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2083 "parsing_c/parser_c.mly"
     ( Define ((fst _2, [_1; snd _2;_4]), (DefineVar, _3)) )
# 7116 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : 'param_define_list) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'define_val) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2090 "parsing_c/parser_c.mly"
     ( Define
         ((fst _2, [_1; snd _2; _7]),
           (DefineFunc (_4, [_3;_5]), _6))
     )
# 7132 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : (string * Ast_c.info)) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2096 "parsing_c/parser_c.mly"
     ( Define((fst _2, [_1; snd _2; _3]), (Undef,DefineEmpty)) )
# 7141 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'pragma_strings) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2099 "parsing_c/parser_c.mly"
     ( Pragma((RegularName (mk_string_wrap _2),_3),[_1;_4]) )
# 7151 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2101 "parsing_c/parser_c.mly"
                      ( OtherDirective ([_1]) )
# 7158 "parsing_c/parser_c.ml"
               : 'cpp_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 2104 "parsing_c/parser_c.mly"
                 ( [(fst _1, [snd _1])] )
# 7165 "parsing_c/parser_c.ml"
               : 'pragma_strings))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string * Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'pragma_strings) in
    Obj.repr(
# 2105 "parsing_c/parser_c.mly"
                                ( (fst _1, [snd _1])::_2 )
# 7173 "parsing_c/parser_c.ml"
               : 'pragma_strings))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 2111 "parsing_c/parser_c.mly"
             ( DefineExpr _1 )
# 7180 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 2112 "parsing_c/parser_c.mly"
             ( DefineStmt _1 )
# 7187 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 2113 "parsing_c/parser_c.mly"
             ( DefineStmt (mk_st (Decl (_1 Ast_c.NotLocalDecl)) Ast_c.noii) )
# 7194 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl_spec) in
    Obj.repr(
# 2123 "parsing_c/parser_c.mly"
     ( let returnType = fixDeclSpecForMacro (snd _1) in
       DefineType returnType
     )
# 7203 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'decl_spec) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'abstract_declarator) in
    Obj.repr(
# 2127 "parsing_c/parser_c.mly"
     ( let returnType = fixDeclSpecForMacro (snd _1) in
       let typ = (snd _2) returnType in
       DefineType typ
     )
# 7214 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'stat_or_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'stat_or_decl_list) in
    Obj.repr(
# 2139 "parsing_c/parser_c.mly"
     ( DefineMulti
	 (List.map
	    (function
		StmtElem e -> e
	      | _ -> failwith "unexpected statement for DefineMulti")
	    (_1 :: _2)) )
# 7227 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 2153 "parsing_c/parser_c.mly"
                       ( DefineFunction _1 )
# 7234 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'initialize_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'gcc_comma_opt_struct) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'comma_opt) in
    Obj.repr(
# 2156 "parsing_c/parser_c.mly"
    ( DefineInit (InitList (List.rev _2), [_1;_4] @ _3 @ _5)  )
# 7245 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.expression) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2160 "parsing_c/parser_c.mly"
     (
       (* TOREPUT
       if fst $5 <> "0"
       then pr2 "WEIRD: in macro and have not a while(0)";
       *)
       DefineDoWhileZero ((_2,_5),   [_1;_3;_4;_6])
     )
# 7263 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2168 "parsing_c/parser_c.mly"
                                         ( DefineTodo )
# 7273 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'asmbody) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2169 "parsing_c/parser_c.mly"
                                         ( DefineTodo )
# 7284 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    Obj.repr(
# 2173 "parsing_c/parser_c.mly"
                   ( DefineEmpty )
# 7290 "parsing_c/parser_c.ml"
               : 'define_val))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 2179 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 7297 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string * Ast_c.info) in
    Obj.repr(
# 2180 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 7304 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2181 "parsing_c/parser_c.mly"
                        ( mk_string_wrap _1 )
# 7311 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2182 "parsing_c/parser_c.mly"
                        ( "...", [_1] )
# 7318 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2184 "parsing_c/parser_c.mly"
                        ( "register", [_1] )
# 7325 "parsing_c/parser_c.ml"
               : 'param_define))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdef) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement_tail) in
    Obj.repr(
# 2191 "parsing_c/parser_c.mly"
     ( IfdefStmt1 ((_1::fst _3), (_2::snd _3)), [] )
# 7334 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.statement) in
    Obj.repr(
# 2192 "parsing_c/parser_c.mly"
             (_1)
# 7341 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdefelse) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'endif) in
    Obj.repr(
# 2195 "parsing_c/parser_c.mly"
                                       ( [_1;_3], [_2] )
# 7350 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement_tail))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'ifdefelif) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_ifdef_statement) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_statement_tail) in
    Obj.repr(
# 2197 "parsing_c/parser_c.mly"
   ( (_1::fst _3), (_2::snd _3) )
# 7359 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_statement_tail))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2201 "parsing_c/parser_c.mly"
     ( let (cond,tag,ii) = _1 in
       IfdefDirective ((Ifdef cond, IfdefTag (Common.some !tag)),  [ii]) )
# 7367 "parsing_c/parser_c.ml"
               : 'ifdef))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2206 "parsing_c/parser_c.mly"
     ( let (tag,ii) = _1 in
       IfdefDirective ((IfdefElse, IfdefTag (Common.some !tag)), [ii]) )
# 7375 "parsing_c/parser_c.ml"
               : 'ifdefelse))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (Ast_c.ifdef_guard * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2211 "parsing_c/parser_c.mly"
     ( let (cond,tag,ii) = _1 in
       IfdefDirective ((IfdefElseif cond, IfdefTag (Common.some !tag)), [ii]) )
# 7383 "parsing_c/parser_c.ml"
               : 'ifdefelif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2216 "parsing_c/parser_c.mly"
     ( let (tag,ii) = _1 in
       IfdefDirective ((IfdefEndif, IfdefTag (Common.some !tag)), [ii]) )
# 7391 "parsing_c/parser_c.ml"
               : 'endif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdef) in
    Obj.repr(
# 2220 "parsing_c/parser_c.mly"
         ( _1 )
# 7398 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdefelse) in
    Obj.repr(
# 2221 "parsing_c/parser_c.mly"
             ( _1 )
# 7405 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'ifdefelif) in
    Obj.repr(
# 2222 "parsing_c/parser_c.mly"
             ( _1 )
# 7412 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'endif) in
    Obj.repr(
# 2223 "parsing_c/parser_c.mly"
         ( _1 )
# 7419 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2226 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7427 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2229 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7435 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (bool * (int * int) option ref * Ast_c.info)) in
    Obj.repr(
# 2232 "parsing_c/parser_c.mly"
     ( let (_b, tag,ii) = _1 in
       IfdefDirective ((Ifdef Gnone, IfdefTag (Common.some !tag)), [ii]) )
# 7443 "parsing_c/parser_c.ml"
               : 'cpp_ifdef_directive))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'end_attributes_opt) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2243 "parsing_c/parser_c.mly"
     (
       if args_are_params _3
       then
	 (* if all args are params, assume it is a prototype of a function
	    with no return type *)
	 let parameters = args_to_params _3 None in
	 let paramlist = (parameters, (false, [])) in (* no varargs *)
	 let id = RegularName (mk_string_wrap _1) in
	 let ret =
	   warning "type defaults to 'int'"
	     (mk_ty defaultInt [fakeInfo fake_pi]) in
	 let ty =
	   fixOldCDecl (mk_ty (FunctionType (ret, paramlist)) [_2;_4]) in
	 let attrs = Ast_c.noattr in
	 let sto = (NoSto, false), [] in
	 let iistart = Ast_c.fakeInfo () in
	 Declaration(
	 DeclList ([{v_namei = Some (id,NoInit); v_type = ty;
                      v_storage = unwrap sto; v_local = NotLocalDecl;
                      v_attr = attrs; v_endattr = _5;
		      v_type_bis = ref None;
                    },[]],
                   (_6::iistart::snd sto)))
       else
	 Declaration
	   (MacroDecl
             ((NoSto, fst _1, _3, _5, true),
              [snd _1;_2;_4;_6;fakeInfo()]))
           (* old: MacroTop (fst $1, $3,    [snd $1;$2;$4;$5])  *)
     )
# 7484 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'compound) in
    Obj.repr(
# 2277 "parsing_c/parser_c.mly"
                                                 (
   let parameters = args_to_params _3 (Some (snd _1)) in
   let paramlist = (parameters, (false, [])) in (* no varargs *)
   let fninfo =
     let id = RegularName (mk_string_wrap _1) in
     let ret =
       warning "type defaults to 'int'"
	 (mk_ty defaultInt [fakeInfo fake_pi]) in
     let ty = mk_ty (FunctionType (ret, paramlist)) [_2;_4] in
     let attrs = Ast_c.noattr in
     let sto = (NoSto, false), [] in
     (id, fixOldCDecl ty, sto, attrs) in
   let fundef = fixFunc (fninfo, _5, None) in
   Definition fundef
 )
# 7509 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'argument_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2295 "parsing_c/parser_c.mly"
     ( Declaration
	 (MacroDecl
           ((NoSto, fst _1, _3, Ast_c.noattr, false),
            [snd _1;_2;_4;fakeInfo()])) )
# 7522 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'identifier) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2301 "parsing_c/parser_c.mly"
                      ( EmptyDef [snd _1;_2] )
# 7530 "parsing_c/parser_c.ml"
               : 'cpp_other))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_definition) in
    Obj.repr(
# 2310 "parsing_c/parser_c.mly"
                                     ( Definition _1 )
# 7537 "parsing_c/parser_c.ml"
               : 'external_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 2311 "parsing_c/parser_c.mly"
                                     ( Declaration (_1 Ast_c.NotLocalDecl) )
# 7544 "parsing_c/parser_c.ml"
               : 'external_declaration))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : string * Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'translation_unit) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2316 "parsing_c/parser_c.mly"
     ( !LP._lexer_hint.context_stack <- [LP.InTopLevel];
       Namespace (_4, [_1; snd _2; _3; _5]) )
# 7556 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'external_declaration) in
    Obj.repr(
# 2319 "parsing_c/parser_c.mly"
                                                ( _1 )
# 7563 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_directive) in
    Obj.repr(
# 2323 "parsing_c/parser_c.mly"
     ( CppTop _1 )
# 7570 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_other) in
    Obj.repr(
# 2325 "parsing_c/parser_c.mly"
     ( _1 )
# 7577 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cpp_ifdef_directive) in
    Obj.repr(
# 2327 "parsing_c/parser_c.mly"
     ( IfdefTop _1 )
# 7584 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'asmbody) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2330 "parsing_c/parser_c.mly"
                                                ( EmptyDef [_1;_2;_4;_5] )
# 7595 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2337 "parsing_c/parser_c.mly"
              ( EmptyDef [_1] )
# 7602 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2340 "parsing_c/parser_c.mly"
              ( FinalDef _1 )
# 7609 "parsing_c/parser_c.ml"
               : Ast_c.toplevel))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2349 "parsing_c/parser_c.mly"
                  ( LP.push_context LP.InFunction; LP.new_scope (); _1 )
# 7616 "parsing_c/parser_c.ml"
               : 'tobrace))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2350 "parsing_c/parser_c.mly"
                  ( LP.pop_context();              LP.del_scope (); _1 )
# 7623 "parsing_c/parser_c.ml"
               : 'tcbrace))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2352 "parsing_c/parser_c.mly"
                      ( LP.push_context LP.InEnum; _1 )
# 7630 "parsing_c/parser_c.ml"
               : 'tobrace_enum))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2353 "parsing_c/parser_c.mly"
                      ( LP.pop_context (); _1 )
# 7637 "parsing_c/parser_c.ml"
               : 'tcbrace_enum))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2355 "parsing_c/parser_c.mly"
                     ( LP.push_context LP.InInitializer; _1 )
# 7644 "parsing_c/parser_c.ml"
               : 'tobrace_ini))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2356 "parsing_c/parser_c.mly"
                     ( LP.pop_context (); _1 )
# 7651 "parsing_c/parser_c.ml"
               : 'tcbrace_ini))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2358 "parsing_c/parser_c.mly"
                        ( LP.push_context LP.InStruct; _1)
# 7658 "parsing_c/parser_c.ml"
               : 'tobrace_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2359 "parsing_c/parser_c.mly"
                        ( LP.pop_context (); _1 )
# 7665 "parsing_c/parser_c.ml"
               : 'tcbrace_struct))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2365 "parsing_c/parser_c.mly"
     ( LP.new_scope ();et "topar" ();
       LP.push_context LP.InParameter;
       _1
     )
# 7675 "parsing_c/parser_c.ml"
               : 'topar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2370 "parsing_c/parser_c.mly"
     ( LP.del_scope ();dt "tcpar" ();
       LP.pop_context ();
       _1
     )
# 7685 "parsing_c/parser_c.ml"
               : 'tcpar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'string_elem) in
    Obj.repr(
# 2409 "parsing_c/parser_c.mly"
               ( _1 )
# 7692 "parsing_c/parser_c.ml"
               : 'string_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'string_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'string_elem) in
    Obj.repr(
# 2410 "parsing_c/parser_c.mly"
                           ( _1 @ _2 )
# 7700 "parsing_c/parser_c.ml"
               : 'string_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm) in
    Obj.repr(
# 2413 "parsing_c/parser_c.mly"
             ( [_1] )
# 7707 "parsing_c/parser_c.ml"
               : 'colon_asm_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'colon_asm_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'colon_asm) in
    Obj.repr(
# 2414 "parsing_c/parser_c.mly"
                             ( _1 @ [_2] )
# 7715 "parsing_c/parser_c.ml"
               : 'colon_asm_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option) in
    Obj.repr(
# 2417 "parsing_c/parser_c.mly"
                ( [_1, []] )
# 7722 "parsing_c/parser_c.ml"
               : 'colon_option_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'colon_option_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'colon_option) in
    Obj.repr(
# 2418 "parsing_c/parser_c.mly"
                                         ( _1 @ [_3, [_2]] )
# 7731 "parsing_c/parser_c.ml"
               : 'colon_option_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argument_ne) in
    Obj.repr(
# 2422 "parsing_c/parser_c.mly"
                                         ( [_1, []] )
# 7738 "parsing_c/parser_c.ml"
               : 'argument_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list_ne) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2423 "parsing_c/parser_c.mly"
                                    ( _1 @ [_3,    [_2]] )
# 7747 "parsing_c/parser_c.ml"
               : 'argument_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2426 "parsing_c/parser_c.mly"
                                      ( [_1, []] )
# 7754 "parsing_c/parser_c.ml"
               : 'argument_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'argument_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'argument) in
    Obj.repr(
# 2427 "parsing_c/parser_c.mly"
                                 ( _1 @ [_3,    [_2]] )
# 7763 "parsing_c/parser_c.ml"
               : 'argument_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl) in
    Obj.repr(
# 2437 "parsing_c/parser_c.mly"
                                 ( [_1] )
# 7770 "parsing_c/parser_c.ml"
               : 'struct_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'struct_decl_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'struct_decl) in
    Obj.repr(
# 2438 "parsing_c/parser_c.mly"
                                 ( _1 @ [_2] )
# 7778 "parsing_c/parser_c.ml"
               : 'struct_decl_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2442 "parsing_c/parser_c.mly"
                                                   ( [_1,           []] )
# 7785 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'struct_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2444 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7795 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'struct_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'struct_declarator) in
    Obj.repr(
# 2445 "parsing_c/parser_c.mly"
                                                   ( _1 @ [_3,     [_2]] )
# 7804 "parsing_c/parser_c.ml"
               : 'struct_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2449 "parsing_c/parser_c.mly"
                                     ( [_1,          []]   )
# 7811 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'enumerator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2451 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7821 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'enumerator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'enumerator) in
    Obj.repr(
# 2452 "parsing_c/parser_c.mly"
                                     ( _1 @ [_3,    [_2]] )
# 7830 "parsing_c/parser_c.ml"
               : 'enumerator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator) in
    Obj.repr(
# 2456 "parsing_c/parser_c.mly"
                                               ( [_1,   []] )
# 7837 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'init_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'cpp_directive_list) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator_attrs) in
    Obj.repr(
# 2458 "parsing_c/parser_c.mly"
     ( _1 @ [_4, [_2]] )
# 7847 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'init_declarator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'init_declarator_attrs) in
    Obj.repr(
# 2459 "parsing_c/parser_c.mly"
                                                     ( _1 @ [_3, [_2]] )
# 7856 "parsing_c/parser_c.ml"
               : 'init_declarator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 2463 "parsing_c/parser_c.mly"
                                        ( [_1, []] )
# 7863 "parsing_c/parser_c.ml"
               : 'parameter_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parameter_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'parameter_decl) in
    Obj.repr(
# 2464 "parsing_c/parser_c.mly"
                                        ( _1 @ [_3,  [_2]] )
# 7872 "parsing_c/parser_c.ml"
               : 'parameter_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2467 "parsing_c/parser_c.mly"
                           ( [_1] )
# 7879 "parsing_c/parser_c.ml"
               : 'taction_list_ne))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list_ne) in
    Obj.repr(
# 2468 "parsing_c/parser_c.mly"
                           ( _1 :: _2 )
# 7887 "parsing_c/parser_c.ml"
               : 'taction_list_ne))
; (fun __caml_parser_env ->
    Obj.repr(
# 2476 "parsing_c/parser_c.mly"
                        ( [] )
# 7893 "parsing_c/parser_c.ml"
               : 'taction_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'taction_list) in
    Obj.repr(
# 2477 "parsing_c/parser_c.mly"
                        ( _1 :: _2 )
# 7901 "parsing_c/parser_c.ml"
               : 'taction_list))
; (fun __caml_parser_env ->
    Obj.repr(
# 2480 "parsing_c/parser_c.mly"
                   ( [] )
# 7907 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'param_define) in
    Obj.repr(
# 2481 "parsing_c/parser_c.mly"
                                          ( [_1, []] )
# 7914 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'param_define_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : Ast_c.info) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'param_define) in
    Obj.repr(
# 2482 "parsing_c/parser_c.mly"
                                          ( _1 @ [_3, [_2]] )
# 7923 "parsing_c/parser_c.ml"
               : 'param_define_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'designator) in
    Obj.repr(
# 2485 "parsing_c/parser_c.mly"
              ( [_1] )
# 7930 "parsing_c/parser_c.ml"
               : 'designator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'designator_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'designator) in
    Obj.repr(
# 2486 "parsing_c/parser_c.mly"
                              ( _1 @ [_2] )
# 7938 "parsing_c/parser_c.ml"
               : 'designator_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 2489 "parsing_c/parser_c.mly"
             ( [_1] )
# 7945 "parsing_c/parser_c.ml"
               : 'attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'attribute_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'attribute) in
    Obj.repr(
# 2490 "parsing_c/parser_c.mly"
                            ( _1 @ [_2] )
# 7953 "parsing_c/parser_c.ml"
               : 'attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attribute_list) in
    Obj.repr(
# 2492 "parsing_c/parser_c.mly"
                           ( _1 )
# 7960 "parsing_c/parser_c.ml"
               : 'attributes))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2495 "parsing_c/parser_c.mly"
                 ( [Attribute (fst _1), [snd _1]] )
# 7967 "parsing_c/parser_c.ml"
               : 'end_attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'end_attribute_list) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string * Ast_c.info)) in
    Obj.repr(
# 2496 "parsing_c/parser_c.mly"
                                    ( _1 @ [Attribute(fst _2), [snd _2]] )
# 7975 "parsing_c/parser_c.ml"
               : 'end_attribute_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'end_attribute_list) in
    Obj.repr(
# 2498 "parsing_c/parser_c.mly"
                                   ( _1 )
# 7982 "parsing_c/parser_c.ml"
               : 'end_attributes))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'end_attributes) in
    Obj.repr(
# 2501 "parsing_c/parser_c.mly"
                  ( _1 )
# 7989 "parsing_c/parser_c.ml"
               : 'end_attributes_opt))
; (fun __caml_parser_env ->
    Obj.repr(
# 2502 "parsing_c/parser_c.mly"
                   ( [] )
# 7995 "parsing_c/parser_c.ml"
               : 'end_attributes_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.info) in
    Obj.repr(
# 2505 "parsing_c/parser_c.mly"
          (  [_1] )
# 8002 "parsing_c/parser_c.ml"
               : 'comma_opt))
; (fun __caml_parser_env ->
    Obj.repr(
# 2506 "parsing_c/parser_c.mly"
                    (  []  )
# 8008 "parsing_c/parser_c.ml"
               : 'comma_opt))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : Ast_c.expression) in
    Obj.repr(
# 2515 "parsing_c/parser_c.mly"
               ( Some _1 )
# 8015 "parsing_c/parser_c.ml"
               : 'gcc_opt_expr))
; (fun __caml_parser_env ->
    Obj.repr(
# 2516 "parsing_c/parser_c.mly"
                   ( None  )
# 8021 "parsing_c/parser_c.ml"
               : 'gcc_opt_expr))
(* Entry main *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry celem *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry statement *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry expr *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
(* Entry type_name *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let main (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : Ast_c.program)
let celem (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 2 lexfun lexbuf : Ast_c.toplevel)
let statement (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 3 lexfun lexbuf : Ast_c.statement)
let expr (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 4 lexfun lexbuf : Ast_c.expression)
let type_name (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 5 lexfun lexbuf : Ast_c.attribute list * Ast_c.fullType)
